Designer Help File

Designer Help Contents

Page Editor Workspace

Define Field Dialog Box

Designer Menus

Recipes

Remote Passthrough

Troubleshooting

Keyboard Macro Editor

UniNET Network

Touchcell Help

Trends

Defined Terms

Panel Commands


The Page Editor Workspace

Centered on your screen is the page editor workspace. This area is used to display and edit one project page at a time.

It can be helpful to think of a display page as a blank sheet of paper on which your comments, text, drawings and data values will be presented. Regardless of the size of the display you intend to use, each page has a total of 32 editable lines (with the exception of our touchscreen panels). The area of the workspace presented in reverse video indicates the real size of your target panels display screen. This indicator is helpful in determining which portions of the page will be visible on the panel without scrolling. Choosing a different panel model in the Panel Setup dialog box will change the size of this area in accordance with the size of the chosen display. When a project is in actual operation, all lines on a page may be viewed using the up and down arrow keys.

To enter static text, simply move the cursor to the desired location and click the LEFT mouse button to anchor the text and begin typing. To erase characters, use the BACKSPACE and DELETE keys on the PC keyboard.

Pressing the ENTER key on your keyboard or double clicking the LEFT mouse button at any position inside the page editor workspace causes the Define Field dialog box to appear.


Define Field Dialog Box

The Define Field Dialog Box

The Define Field dialog is manufacturer dependent and thus will appear slightly different when switching between PLC's. This section will briefly explain the functionality and purpose of the generic options in this dialog. If you require a more detailed description for your PLC, see the Applications Manual that came with your panel.

To define a new data field, first choose a location by positioning the cursor over the desired area. If the field needs to be wider than one character, hold down the LEFT mouse button while moving the mouse to expand the selected area. Then release the mouse and click on the appropriate ToolBelt icon to select the field type. The Define Field dialog box will appear with all options preconfigured for the selected data type. After checking the options in this dialog press OK. The new data field will be created at the position indicated by the cursor.

If you do not have a mouse, you may create fields by selecting Edit - PLC Field - Field type using the indicated accelerator keys.

PLC References

Display Formats

Scaling a value

Field Dimensions

Minimum and Maximum Values

Fixed Point Option

The Message Editor

Attributes

Define_field_dialog_box


PLC Reference

This area of the Define Field dialog will appear different depending on the PLC being used. In general, this area is used to connect a PLC reference to a display field. Here you will always find options for setting the Data format, a PLC address and read/write access. Other options may also appear that are specific to the PLC manufacturer.

Data Formats

PLC Address

Read / Write Options


Data Format

The Data Format informs UniOP of the type of data it should retrieve from the PLC. Generic formats such as BIT, BYTE and WORD are available along with types that are specific to each PLC. For a complete description of the data formats available for your PLC, refer to the Applications Manual provided for your PLC.

To select a new Data Format, click on the down arrow to the right of the Data Format control. A drop-down list of format types will appear. Next, click with the mouse on the new format type. To confirm the selection press OK.


PLC Address

To set a PLC reference, click in the address box and enter a new address.

  • To set the read/write access, click either the "Read Only" or "Read/Write" radio buttons.

  • To confirm all entries press OK.


Read / Write Options

For each PLC reference you MUST define whether the operator will be able to modify the indicated value or not. If you want to allow the operator to change the value of the variable during the execution of your application, choose the Read/Write Option button. If you choose the Read only Option button, the operator will only be able to read the value of the variable.

NOTE: For safety purposes, some data formats may be restricted to read only depending on the PLC make and model


Display Formats

The display format determines how the PLC reference will be presented.

Bargraphs - Displays a PLC reference as a bargraph.
Message - Displays an indexed message. The message index is determined by the PLC reference.
Attribute - Changes a portion of the screen to blinking, reversed or highlighted video. The state of a dynamic attribute is determined by the PLC.
Numeric - Displays the value of the PLC reference.
ASCII - Reads and displays a sequence of characters from the PLC starting at specified PLC reference. The number of characters read is determined by the width of the display field.


Scaling a PLC Reference

When the WORD data format is used, the PLC data may be converted and displayed in engineering units such as inches, pounds or gallons, rather than in its raw form ( 0 - 65535). Three parameters are used for the conversion to engineering units: A1 and A2 are used to calculate the scaling coefficient and the B is used as the offset from the zero point. The scaled value will be calculated according to the following formula:

Scaled value = A1/A2 * (PLC value) + B

For instance, to convert from degrees Fahrenheit to degrees Centigrade, the following values should be entered:

A1 = 9, A2 = 5, B = 32

Variable References for Min/max and Scaling

It is possible to attach the scaling parameters to memory locations in the controller. This allows the user to dynamically scale their values at run time as required. (See: new on 5.08)


Field dimensions

Display field dimensions are automatically calculated upon entry into the Define Field dialog box. When creating new fields, the dimensions are set according to the current cursor location and the area that it covers. When modifying an existing field, these values will reflect the current size of the field. You may open the Define Field dialog box at anytime to edit these values directly.


Minimum / Maximum Settings

The minimum and maximum entries are used to limit the range of values that will be displayed in a data field. Limiting the data range has different affects depending on the operation being performed. In general, whenever a data field value falls outside the Min/Max range, a set of stars (****) will appear in the field to indicate the error.

Read only

When you are creating a read only data field, limiting the data range will only effect the values that can be displayed. If a value exceeds the specified range a line of stars (****) will appear in the field.

Read/Write

When you are creating a read/write field, limiting the data range works in two ways. First it limits the range of values to be displayed as described above. Second, it limits the range of values that can be entered while in Data Entry Mode. If an invalid entry is attempted during data entry, a line of stars (****) will briefly appear before the display returns to the previous value.

Limiting the data range has no effect on the PLC variable .

Variable References for Min/max and Scaling

It is possible to attach the minimum and maximum values to memory locations in the controller. This allows the user to dynamically scale their values at run time as required. (See: new on 5.08)


The Fixed Point Option

Choosing the Fixed Point option allows you to place a decimal point within the displayed data value.

To choose the Fixed Point option, first click on the desired data field to open the Define Field dialog. Then click on the Fixed Point radio button. Next enter the number of digits you would like to have follow the decimal point in the precision box and press OK to confirm the entry.


The Message Editor

When the Message field type is selected, an additional Edit Message button will appear in the Define Field dialog box. Click on this button to open the Message Editor.

The number of messages that may be defined for a particular field is determined by the min. and max. values in the Define Field dialog. For example, setting the min. value to 0 and the max. value to 9, would yield 10 indexed strings. The absolute maximum number of messages cannot exceed 256 (0-255) for any given message field.

The Message Editor allows you to link a message to specific index. To request the message, the application simply writes the index number to the PLC reference associated with the field. For instance, when the PLC reference has the numeric value of 1, the first message will be displayed. Likewise, any of the remaining messages may be displayed during run-time by writing the correct index value to the PLC reference.

As with all data fields, when a PLC program writes an index value that is outside the min. max. range, a group of stars (******) will be displayed to indicate the error.

Extended ASCII or custom characters can be entered into a message by invoking the Special Characters dialog box from within the Message Editor.


Attributes In General

Any part of a display page can be made to blink, appear in reverse video or to be highlighted. To achieve these effects, either Static or Dynamic attributes can be applied. The Attributes Icon can be used open the Define Field dialog pre-configured for attributes.

To Define the Attribute Area

Click on the page to position the cursor. Then hold down the LEFT mouse button while moving the mouse to expand the selected area. Once the area is highlighted, click on the Attributes Icon or select Edit - PLC Field - Attribute from the menu. The Define Field dialog will appear preconfigured for attributes. From here you may choose between Static and Dynamic modes and the attribute type.


Static Attributes

Static attributes are defined once during development and remain constant whenever the given page is viewed in actual operation. To set a static attribute, choose the static mode and the desired attribute type and press the OK button to confirm the entry.


Dynamic Attributes

Dynamic attributes are defined during development but may be directed by the PLC to change their appearance during run-time. To set a dynamic attribute, enter a PLC reference in the Define Field dialog box. Then click on the radio button marked Dynamic and press the OK button to confirm the entry. When a dynamic attribute is selected, the Screen Attributes box will be configured automaticaly and then disabled. The attribute can now be selected during run-time from the PLC by writing the appropriate code into PLC memory.

The data values shown below can be used by the PLC programmer to activate a dynamic attribute or combination of attributes.

Data Value | Bit 2 | Bit 1 | Bit 0 | Attribute
0 | 0 | 0 | 0 | Normal
1 | 0 | 0 | 1 | BLINKING
2 | 0 | 1 | 0 | HIGHLIGHT
3 | 0 | 1 | 1 | Blinking
4 | 1 | 0 | 0 | REVERSE
5 | 1 | 0 | 1 | Blinking
6 | 1 | 1 | 0 | Highlight
7 | 1 | 1 | 1 | Blinking

On some display models, the highlight attribute is equal to (Blink + Reverse)


Untitled

Designer Menus

Navigate through the menus on the picture of the Designer software to get help about menu items.


File Menu

New

Open

Save

Save As

Print

Printer Setup

Exit


New File

When the Designer initially starts, you are presented with a blank project page where you may begin editing. A new project may also be created by selecting New from the File menu. When you select this option, the current project configuration is carried over for use with the new project. This approach relieves you from having to reset the panel and controller parameters each time a new project is created. The latest configuration is saved on exit for use the next time Designer is started.

When you are switching between two projects with different configurations, the latest project to be opened overrides the previous and becomes the new default state for the Designer.

To prevent accidental reset of the configuration parameters, you will be prompted to confirm the New operation if there are pending modifications that have not been saved.


Open File

To open an existing project, select File - Open. The File Open dialog box will appear, allowing you to view the file names in each directory.

Enter the name of the file you want to load or use the list box to select from the existing files. If you do not specify the extension, .PRJ is assumed.


Save File

To save a project, select File - Save from the menu bar or click on the Save file icon on the Designer ToolBelt. The cursor will be replaced with an hourglass momentarily while the file is being saved.

If you have not named your application, the Save As dialog box will appear instead. This option can also be used to save your project under a different name. The Save As dialog box shows the current directory path and the current file name. You may enter a new name and path or accept the ones presented. If you omit the extension, .prj is assumed. If the file already exists in the selected directory, you will be prompted to confirm the Save As operation in order to overwrite the existing file.


Save file as ...

Save As

This option is used to save your application under a different name. You can enter a new name and directory path. If you omit the extension, .prj is assumed. If a file with the entered name already exists in the selected directory, you will be prompted to confirm the operation.


Designer 5.08

Printing Designer Projects

Designer 5.08 contains a vastly improved printing routine for printing project file information. This new module is able to print graphical previews of the project pages, variable cross-references and much more!

This new printing routine is enabled automatically whenever Designer is installed. The following two lines are inserted in the DESIGNER.INI file upon installation. To use the older printing routine, simply set the value of the first line UsePrintDesigner equal to 0.

[Designer]

...

UsePrintDesigner = 1

PrintDesignerCommandLine = C:\DESIGNER\UReport.exe /t C:\DESIGNER\Samples\report.tpl /quit /min /nosplash /p %p

(Please note that the pathname could be different on your machine).

Selecting File-Print or File-Print Preview will bring up the following dialog box.

Figure 47

Print (or Print Preview)

Start (or view) the print operation.

Printer Setup

Open the standard Windows Printer Setup dialog box. Printer to use, page size, page orientation, etc. can be selected from this dialog box.

Cancel

Close the dialog box without executing the print operation.

UniOP Page Range

Define which panel pages need to be included in the printout.

All pages All data on all panel pages are printed.

Pages Only the data that is inside the selected pages are printed.
To specify the panel pages to print, the user needs to enter the page sequence to print. A page sequence is a page range separated by commas (i.e. 4-5, 8, 13-20). Valid ranges are a single page only, i.e. 8, or consecutive pages, i.e. 4-5.

Without page breaks

Any new data section starts a new page. By selecting this checkbox, all data will be compressed on as little number of pages as possible.

Suppress all cover pages

This checkbox should be selected if the user wants to suppress the cover pages.

Hide empty tables

Use this checkbox if the user wants to avoid printing tables relative to data sections that were not configured inside the project.

Save change on exit

When this checkbox is marked, the selected Report Data Set will be saved for future use.

Report data sets

This section of the print dialog box contains the list of project data that could be printed. For any items that are listed, a checkbox gives the user the possibility to enable or disable the table printout.

Project information

Generic project information. It contains the project name, panel type and name of the controller being used.

Project Summary

Contains some statistical information such as the project file size, number of pages, number of used pictures, etc.

UniOP page layout description data

List of page objects.

UniOP Page description

Description of the pages in the project.

Panel Key Macros

Local macro keys.

Pictures

Static images.

Touch Cells

List of graphic components: Object-oriented touch cells, Trends, Gauges.

Data Fields

List of PLC data field items.

Recipes

Recipe data set values.

Global Key Macros

Global macro keys.

Trend Buffers

Trend buffer parameters.

Recipes

Table with list of recipes that have the Multipage flag set.

Data Transfer

Data transfer jobs.

Reserved Data Area

RDA parameters.

Alarms

Alarm table with messages.

Designer Setup

Panel Printer and Reports

Printer setting and print report table parameters.

Panel Setup

List of panel capabilities and setup configuration

Controller and Network Setup

List of controller drivers connected on the panel network.

Remote Pass through

Remote Pass through parameters.

Password

Table with list of all defined passwords and their parameters.

Cross Reference

List of Pages, Pictures and Controller references with page references.

Report Contents

Table of the Report Contents with page numbers.


Exit

This selection can be used to terminate the Designer. You will be prompted to confirm the operation if your current application has not been saved.


Edit

Edit Menu

Cut

Copy

Paste

Multilanguage Mode

Select All

Time

Date

Recipe Menu

Indexed Addressing Mode

Data Field Type

Data Field Source

Color Palette

Special Characters

Rectangles & Symbols


Cut data field

Cut

Used to delete a data field or to move it to another position.

To cut a data field, highlight the data field you want to delete. One of the following methods may then be used to perform the actual cut:

  • Press Shift + Del keys simultaneously.

  • Choose Cut from the Edit menu.

  • Choose the cut icon from the ToolBelt.

The deleted data field is stored in the clipboard and can be pasted to another position.


Copy data field

Copy

Use this option to copy a data field.

To copy a data field, highlight the data field you want to copy. One of the following methods may then be used to perform the actual copy:

  • Press the Control + Ins keys simultaneously.

  • Choose Copy from the Edit menu.

  • Choose the Copy icon from the ToolBelt.

The copied data field is stored in the clipboard and can be pasted to another position.


Paste data field

Paste

This option is used in conjunction with the Cut and Copy options. Once the data field has been stored in the Clipboard, position the cursor where you want the field to appear. One of the following methods may then be used to perform the actual Paste:

  • Press the Shift + Ins keys simultaneously.

  • Choose Paste from the Edit menu.

  • Choose the Paste icon from the ToolBelt.


Multilanguage Mode

In Designer version 5.05 and later, the cut, copy and paste commands work in the usual way unless the Multilanguage Mode in the Edit menu is set. When working on multilanguage projects, the default behavior of the cut, copy and paste commands is to operate only on the language currently active. If Multilanguage Mode is set, the commands operate on all the languages.

Special care has to be taken when using the cut command: the language sensitive information of the project (for instance a text in the page) will actually be cut in all of the languages of the project. Improper use may lead to loss of information, but you will find this feature very useful for operations such as moving text in all languages at the same time.


Select All

This option is used to select the entire contents of the current page. Once the contents of the page are selected, they may be copied to the clipboard or deleted using Cut or Copy.


Time Data Field

This option is used to add a time data field to the current page. The time data field is placed at the current position of the cursor. The user may choose to have the time displayed in either 12 hour or 24 hour formats. This is accomplished by choosing Panel Setup from the Project menu. Within this menu, there is a group of radio buttons entitled Panel Time Format. Select which time format you wish and click on OK.

To enter the time as a field in your project file, simply go to the Edit menu and select Time.


Date Data Field

This option is used to add a date data field to the current page. The date data field is placed at the current position of the cursor.

This field may be displayed in one of two formats: month/day/year or day/month/year. The user may choose which format to use by selecting Panel Setup from the Project menu. Within this menu, there is a group of radio buttons entitled Panel Date Format. Select the preferable format and click on OK.

To add the date as a field in your project file, simply go to the Edit menu and select Date.


Recipe Menu

A Recipe Menu is a feature that simplifies recipe parameter set selection on UniOP through a user-friendly interface. It provides a menu-like field that will can contain names to describe the parameter set instead of using numbers. Each name represents one Recipe Parameter set.

In order to make usage of Recipe Menu possible, each Recipe Parameter set must be given a name. This is achieved by adding a Recipe Data Item field with a display format of ASCII on the page where the recipe is located and filling the Recipe Item values with a name for each parameter set. This ASCII field is called a Recipe Name field.

NOTE: This field is not a field type name; it only describes the field’s purpose.

A Recipe Name field must be defined to enable Recipe Menu support.

There are three specific fields that support the Recipe Menus:

  • Recipe Menu field

  • Recipe Page For Selection field

  • Recipe Key field

The Recipe Menu field is the actual field that displays the menu with recipe names. The currently selected recipe parameter set is indicated using user defined attribute combinations (blink, highlight, reverse).

The Recipe Page For Selection field shows the page number that will contain the Recipe Menu field (and therefore, the page where the recipe parameter set names will be shown).

The Recipe Key field is not directly connected with Recipe Menus. It is a less user-friendly way of selecting a recipe parameter set by name. In order to choose a recipe parameter set, the user has to edit the field and type the wanted recipe name (instead of being able to select it from a menu). It can also be used to show the currently selected Recipe Parameter Set name for a specific page. The Recipe Key field must refer to a specific page with a defined Recipe Name.

All three of these fields do not depend on each other and can be freely put on any page in the project in any combination.

A set of keyboard macro commands support Recipe Menu:

  • Go To Recipe Menu

  • Scroll Recipe Menu

  • Confirm Recipe Menu Selection

The Go To Recipe Menu macro jumps to a specified page and sets the value of the Recipe Page For Selection.

The Scroll Recipe Menu macro is used to move the selection in the Recipe Menu field. This is the way that a new Recipe Parameter set name is chosen from the list.

The Confirm Recipe Menu Selection macro changes the current recipe parameter set to the one selected in the Recipe Menu field.

Related Topics:

Defining a Recipe Name

Creating a Recipe Menu Field

Recipe Page for Selection Field

Recipe Key Field

Recipe Macro Commands


Indexed Addressing Mode

Indexed addressing mode allows the user to reference many controller memory locations from a single numeric field. This enables the user to monitor the values of many memory locations while using only one field. This feature can be accessed by either clicking on the appropriate icon in the Extra ToolBelt or by selecting Indexed Addressing Mode from the Edit menu.

Example


Data Field Type

There are four (4) types of data fields that can be used in the Designer for Windows software. These fields can be created by either selecting one of the four types of fields from the Data Field Type submenu in the Edit menu or clicking on the appropriate icon in the ToolBelt.

Numeric/ASCII

Bargraphs

Message Fields

Attributes


Numeric Data Field

Numeric / ASCII Data Field

This option is used to add a Numeric data field or an ASCII data field to the current page. A numeric/ASCII data field can be created by either clicking on the numeric field icon in the Toolbelt or by selecting Numeric/ASCII from the Data Field Type submenu in the Edit menu. The field is placed at the current position of the cursor.

The dialog box that will appear once the field has been created has a few options that need configured. These include:

PLC Reference | This is the memory location in the controller you are interested in.
Display format | Whether you wish a numeric format or an ASCII format. If a numeric format is chosen, the field will be represented by 9's the panel. If an ASCII format is chosen, the field will be shown as A's on the display.
Numeric base | The user can choose between a decimal base or a hexadecimal base.
Data Access | This determines if the data field is to be read only or read/write. Keep in mind that if read only is selected, the field can only monitor the data in the controller. If read/write is selected, the user can monitor data in the controller, as well as write data to the controller.
Field Dimensions | This is the length and height of the field. If the user is trying to display a value that is greater than the dimensions of the field as determined here, asterisks will be displayed on the screen.
Scaling | This allows the user to change the appearance of the values being displayed onto the panel. For example, if the controller is reporting values in Celsius but the operator is familiar with Fahrenheit, performing a scaling operation on the data can convert it, with the result being displayed in Fahrenheit. With this option, any data from the controller can be manipulated however the user wishes.
Min/Max Values | These are lower and upper bounds to the data. If a value occurs outside of this range, asterisks will appear on the panel, and the previous value of the field will be displayed.
Fixed Point | This option permits the user to select how many decimal points, if any, are displayed.


Bargraph Data Field

Bargraph Data Fields

To create a bargraph field, simply click the left mouse and drag it to highlight an area. Then, select the Bargraph Field icon from the ToolBelt. This will bring up a dialog box in which the user can specify the controller memory location that the bargraph is to monitor. The maximum value of the field is represented when the bargraph is full. Likewise, the minimum value is represented when the bargraph is empty.

For users of our graphical panels, a border can be drawn around the bargraph by simply highlighting an area around the bargraph and selecting Rectangles & Symbols from the Edit menu. This will bring up a dialog box in which the user can select between two different borders.


Message Data Field

Message fields can be used instead of numerical values to inform the user that an event is occurring. For example, assume the message Voltage too high is attached to the value 32. Whenever the value of the register in the controller reaches 32, the message will be displayed. In this manner, a text message is displayed on the panel, which is often more beneficial and meaningful to the operator than displaying a numerical value.

Note: The maximum number of messages that can be displayed is 1024.

  1. Message fields can be created in one of two ways. One method is to click and drag the mouse to highlight the area in which the message field is to be placed. Then select the Text Message Field icon from the ToolBelt. The other possible way to create a message field is to place the cursor at the desired screen location and select Message from the Data Field Type submenu in the Edit menu.

  2. Once the message field is created using one of the methods described above, a dialog box will appear that is very similar to those that appear when creating numeric fields and bargraph fields. The number of messages to be displayed is set by the values for the minimum and maximum values. For example, if the message is fixed to a bit, the field will have a maximum of two messages. The width of the field is equivalent to the maximum number of characters the message field can contain. Once the parameters are configured, click on the Edit Message button to begin entering messages for the different data values.

  3. Select which message to edit by clicking the left mouse button on the desired value and begin typing the message. The dialog box in which the messages will be entered is shown below.

  4. Special characters may be added to the message by clicking on the Spec chars button. This will bring up a dialog box (shown below) in which the user can select the character(s) to be used by double clicking on them or by single clicking on them and pressing Select. After confirming the operation, the characters will appear in the last position the cursor was in before entering the special characters dialog box.

The familiar Windows features - cut, copy, and paste - are also available for use in editing messages. If you have several messages that are similar, you can use the Copy and Paste features to copy messages and then make any necessary changes.

Simply select which messages to copy by highlighting them. If you want to copy several messages that are in successive order, click on the first one and drag the mouse down until the last one is highlighted and release the mouse button. If you have several messages to copy that are not in successive order, hold down the Ctrl key, click on each of the messages that you want to copy, and release the Ctrl key.

All of these methods will copy the text into Windows’ Clipboard. Next, highlight the message number where you want to paste the first message and click on Paste to copy the messages. You can also use a Windows based text editor, such as Notepad, to create a list of messages. To do this, place each message on a separate line. Use the copy function of the editor to copy the text to the Clipboard. Then use the Paste feature as previously described.


Attributes

Assigning Attributes

Occasionally it is necessary to draw attention to a particular part of the screen or to indicate the increased importance of a message or data field. For these instances, Dynamic and Static attributes are provided.

If you have a UniOP color panel and firmware 4.20 or later, you can use dynamic color attributes as well.

To set an attribute, press the left mouse button and drag the mouse to highlight the desired area. Once the area has been chosen, the attributes icon will become enabled. The attribute dialog box may now be called by either:

  • Choosing the Attributes option from the Edit menu.

  • Clicking on the Attributes icon.

To create a Static attribute

  • Choose the static attribute mode by clicking on the indicated radio button.

  • Choose an attribute type.

  • Review the length and height values for the selected area and press OK.

To create a Dynamic attribute

  • Choose the dynamic attribute mode by clicking on the indicated radio button.

  • Select the controller address of the data item that is to be used to determine the dynamic attribute

  • Press OK.


Data Field Source

There are three (3) types of data field sources that can be used in Designer for Windows. They can be chosen by either selecting one of them from the Data Field Source submenu in the Edit menu or by clicking on the appropriate icon in the Extra ToolBelt.

Controller Data

Recipe Data

Panel Control Variable


PLC Data Selection

PLC data items are data items that are read directly from and written directly to the controller.

The PLC Data Selection option is used to specify that the subsequently entered data items are to be controller data. Selecting this option means that all subsequently entered data items will be of this type until a different selection is made in the Data Field Source submenu in the Edit menu.


Recipe Data Selection

Recipe data items are data items that are associated with a particular controller address but which are actually stored in the panel memory until the user specifically requests that the contents of the recipe data item be transferred to the controller.

The Recipe Data Selection option is used to specify that the subsequently entered data items are to be of type Recipe data. Selecting this option means that all subsequently entered data items will be of this type until a different selection is made in the Data Field Source submenu in the Edit menu


Control Variable Selection

Control Variables

Control Variables are special data items that are stored within the memory of the panel and which are used to examine or modify the state of the panel itself. There are 7 different types of Control Variables:

  • Recipe Page for Selection

  • Passthrough Status

  • Recipe File Status

  • Parameter Set Selection

  • Recipe Action

  • Data Entry Status

  • Data Entry Field Number

  • Password

  • Language

Selecting this option means that all subsequently entered data items will be of this type until a different selection is made in the Data Field Source submenu in the Edit menu


Color Palette

This dialog box allows the user to change the background color and the foreground color (either static text or data fields). The user can select whether to change these colors on a global level or on a current selection. If the user wishes to make the colors the default setting for all subsequently entered pages, selecting the colors and clicking on the Pick text color button will accomplish this. Likewise, if the user wishes to change the colors only for the currently selected area, this can be accomplished by selecting the colors and clicking on the Change button.

The area below the palette bars and above the buttons will indicate the global setting for the project file. For example, in the dialog box shown above, the colors are set for a white background and a black foreground. Every page that is created will have these colors as a default setting unless the user specifies otherwise by selecting different colors and clicking on the Pick text color button.

NOTE: The button entitled Pick text color will change to Pick field color whenever a data field is selected. Likewise, the area below the palette bars that shows the global setting will also change from Text color to Field color whenever a data field is selected.

Changing the Background / Foreground Color Globally

Changing the Background / Foreground Color for a Specific Area

Making the Colors of a Data Field or Static Text the Global Default Colors

Finding Out the Colors of a Particular Area or Field

Application Notes


Special Characters

Extended characters (not available on the PC) can be entered by invoking the Special Characters dialog box. Using this box, strings of normal and special characters can be selected and then confirmed with the OK button.

To select special characters:

  1. Choose Special Characters from the Edit menu.

  2. Use the scroll bar or arrow keys to move through the list of available characters.

  3. Double click on the desired character or press the Select button.

  4. Each newly selected character is appended to the build string.

  5. When the selection is complete, press OK to set the string on the page.

This is also the method used to access special characters that were modified using the Font Editor.


Rectangles & Symbols

Selecting this menu item displays the Rectangles & Symbols dialog box. This dialog box enables two different types of boxes to be easily drawn on the page. To place a box on a page, highlight the area that is to be encompassed by the box. Then, select Rectangles & Symbols from the Edit menu. Click on the type of box to be drawn, and it will appear on the screen.

NOTE: If you are trying to draw a box around an entire screen, select the Zoom Out icon from the Toolbelt(or the Zoom Out option from the View menu) until you can see the entire display of the page. Highlight the entire area, select Rectangles & Symbols from the View menu, and select which box you want drawn.

Keep in mind that only our graphical panels are capable of displaying these rectangles.


View Menu

Zoom In

Zoom Out

ToolBelt

Extra ToolBelt

Status Bar


Zoom In

Use this option if you want to reduce the size of the page editor workspace and make the characters appear larger. This feature can be accessed by either selecting Zoom In from the View menu, or by clicking on the appropriate icon in the Toolbelt.


Zoom Out

Use this option if you want to enlarge the page editor workspace and make the characters appear smaller. If the workspace is not completely visible in the Designer window (either because the user has enlarged the workspace or reduced the size of the Designer window), vertical and/or horizontal scroll bars will appear.

This feature may be accessed by either selecting Zoom Out from the View menu, or by clicking on the appropriate icon in the Toolbelt.


The ToolBelt

The ToolBelt appears at the top of the Designer window just below the menu bar. By clicking on the appropriate icon, frequently used functions can be accessed quickly. The ToolBelt can be broken down into four sections. Each section is separated by a small gray area, which can be seen in the above graphic.

  • New, Open, Save

  • Cut, Copy, Paste

  • Zoom In, Zoom Out

  • Numeric Field, Bargraph Field, Text Message Field, Display Attribute

In addition, pages may be accessed directly by using the page name list box or by entering a new value in the page number edit box. Both of these items are located on the left end of the ToolBelt. The page name list box can also be used to rename the current page.

The ToolBelt may be turned on or off by choosing the ToolBelt option from the View menu.


Extra ToolBelt

The Extra ToolBelt

The Extra ToolBelt is similar in nature to the ToolBelt. It is located beneath and to the left of the ToolBelt. Clicking on the appropriate icon will allow the user to access a certain feature of the software without having to go through a menu system.

The Extra ToolBelt may also be broken down into six other classifications. Each section is separated by a small gray area, which can be seen in the first graphic at the top of this screen.

  1. Controller Data, Recipe Data, Control Variable

  2. Indexed Addressing Mode

  3. Panel Setup, Controller Setup, Select Font, Macro Editor, Alarms, Passwords

  4. Download, Upload, Get Resources

  5. Configure Network

  6. Import Bitmap Graphics, Graphics Library, Dynamic Graphics, Transparent Graphics

  7. Color Palette

Please note that the graphics listed in number 6 will only be present if your panel is capable of handling enhanced graphics AND you have the Enhanced Graphics Support check box marked.

You may toggle the Extra ToolBelt by selecting the Extra ToolBelt option from the View menu.


The Status Bar

The Status Bar appears at the bottom of the Designer window. The following up-to-date information on the current project is displayed:

  • Current page number with the total number of pages.

  • Row / Column positioning information.

  • The Insert/Overwrite mode.

  • The Num Lock mode.

  • The name of the current controller driver.

  • The node number of the panel if the UniNET network is enabled.

The Status Bar may be turned on or off by choosing the Status Bar option from the View Menu.


Page

Page Menu

This menu allows the you to manipulate the pages in your application.

Insert Page

Add Page

Delete Page

Goto Page

Previous Page

Next Page

Page Options

Special Pages and Page Modes

Recipe Configuration


Insert Page

Selecting this option inserts an empty page at the selected position. If there is no page at the specified position, a new page is added. The pages are renumbered automatically.


Add Page

Selecting this command adds a new page to the end of the project file.


Delete Page

Selecting this command deletes the currently selected page within the project file. The user will be prompted to confirm the operation. The pages of the project file will automatically be renumbered.


Goto page dialog box

Goto Page

This dialog box is one method available for selecting the current page. The current page may be accessed directly by entering a number in the page number edit box beside the ToolBelt.


Previous Page

Selecting this option will display the previous page in the project.


Next Page

Selecting this option will display the next page in the project.


Page options dialog box

Page Options

The Page Options dialog box allows users to:

  • Rename the current page.

  • Link the current page to the previous page or to the next page.

  • Enable a page scroll frequency and the number of lines to scroll. This allows you to see lines that may be off the screen without having to use the arrow keys to scroll through the information.

When pages are linked, the left and right arrow keys on the display panel may be used to scroll between pages. By default, the current page is linked to both the previous page and the next page.

Note: If you are having problems using this feature, check the RDA Setup in the Project menu. Make sure that the PR box within the section entitled PLC is unchecked.


Special Pages and Page Modes

Data Entry Screen

Command Menu

System

Passwords

Direct Access

Direct Page Selection

Time & Date

Alarm Page

Event Page

Current Page Mode


Data Entry Screen

This screen will appear whenever the user begins Data Entry Mode.

When using one of our touchscreen panels, a numeric keypad will appear by default. If anything is placed on this screen, the default numeric keypad will not appear.

If this screen is modified, make sure that an ENTER key is defined somewhere in this screen so that the user can always get out of Data Entry Mode.


Command Menu

This is the menu that appears when the user presses the ENTER key and holds it for a period of three to four seconds. In the case of the keyless touch panel, this menu will appear whenever the user presses any area of the screen where there is no touch cell configured. The user will NOT be able to write in the two topmost lines. The reason for this is that the panel reserves this area for the Command Menu itself.


System_1

System

This page will appear when the System option is selected in the Panel Command Menu. This page allows the user to adjust the contrast or brightness (on some panels) and to see if there are good communications between the panel and the controller.


Passwords

This page is displayed when the user selects Passwords from the Panel Command Menu.


Direct Access

This page is in essence a snapshot of the controller's memory. This page will show all of the memory locations contained within the controller.

This menu can only be accessed when using a panel that contains a 16 line display or a 25 line display.


Direct Page Selection

In this menu, you can scroll through the list of page names and select the page to be displayed.

With this option, it is possible to see every page of the project file, even if the links to a particular page are broken.


Time & Date

This area allows the user to set the time and date on the panel. This information is used in the Alarm List, the Event List, and whenever the user inserts Time fields or Date fields into the project file.


Alarm Page

This page will appear whenever there is an active alarm present, providing the C2 bit in the RDA is not set.

If the C2 bit is set, the default alarm page will not appear.


Event Page

This page will list the previous 256 events in sequential order. When more than 256 events have occurred, the older events will be removed in order to make room for the newer events.


Current Page Mode

This mode will display the page that the user is currently on in the project file. This mode is the most often used when editing the project file.


Recipe Configuration

A Recipe is made up of the recipe data items on a particular page. There can be up to 1024 parameter sets of a single recipe, depending upon the panel model. A Parameter Set is a specific block of data within a recipe. Different parameter sets of the same recipe can be assigned different values. All the parameter sets of a particular recipe always contain the same recipe data items but the values of these recipe data items vary between the different parameter sets. Not only is a block of memory in the panel reserved for every recipe; separate blocks of memory are also reserved for each of the parameter sets contained within a particular recipe.

The Recipe Configure dialog allows users to:

  • Specify the number of parameter sets for the recipe on the current page.

  • Specify default values for all recipe data items on the current page.


Project Menu

Change Controller Driver

Panel Setup

Select Font

Controller Setup

RDA Setup

Interlock Mailbox

Report on Panel Printer

Keyboard Macro Editor

Passwords

Alarms

Data Transfer

Languages

Select Languages

Next Language

Memory Use

Application Name


Choose PLC

Change Controller Driver

Designer for Windows supports many different controller manufacturer types. This dialog box allows the user to select the brand of controller they are using.


Designer 5.08

Visual Panel Setup Interface

Using the Panel Setup dialog box, it is possible to directly select the UniOP that is being used. The panel selection can be made manually or it can be obtained directly from the UniOP itself by using the Get Panel Resources command. This command retrieves the information directly from the UniOP that is connected to the PC. For older UniOP panels that are unable to send all the necessary information, please see the section old panel model recognition.

Figure 48

Panel Model

Allows the user to directly select the UniOP model being used. On the right side of the dialog box, a preview picture of the currently selected UniOP will be displayed. If the user is unsure of the UniOP being used, the Generic panel model can be selected. Please note that when using this selection, it will be the responsibility of the user to define the other panel definitions.

Panel Memory

Selects the memory size available in the currently selected UniOP.

Firmware Version

Selects the panel firmware version. If the user has a panel with a newer firmware version that is not yet defined inside the Designer package, please select the highest Designer firmware version. Selecting the All firmware version will enable only the basic panel capabilities that are supported with all panel firmware versions.

Figure 49

The Settings index tab shows the capabilities of the selected model. Note that some capabilities are fixed and cannot be changed by the user. Others have a checkbox or a list box and can be modified.

Memory Type

Can be FLASH for UniOP models with internal memory only or SSFDC for UniOP models with a removable SSFDC memory card.

Project memory

Internal memory reserved for project file.

Recipe Size

Internal memory reserved for recipe data.

Available Alarms

Number of available alarms.

Event List Size

Number of available events.

Colors

Number of supported colors. This list box is enabled only for panels that support 256 colors. For those models that do not support 256 colors, a fixed value is inside.

Time Format

Data Format

Time and date format.

The left side of the Settings index tab lists the capabilities supported by the selected panel. The user can modify these when the currently selected UniOP supports them.

Touch Screen

When touch screen is not enabled, the display window can be scrolled down to line 32. When touch screen is enabled, the display window has the same size of the panel display and cannot be scrolled.

Buzzer

Enable/Disable the panel buzzer (when available)

Recipe Backup

Enable/Disable the recipe backup inside the internal FLASH memory. See the Recipes and Events Runtime Backup section for details.

Events Backup

Enable/Disable the events log backup inside the internal FLASH memory. See the Recipes and Events Runtime Backup section for details.

Disable Battery LED

Enable/Disable the battery LED indicator.

Update PLC References

When the UniOP supports referencing the Min/max settings to a memory location in the controller (PLC Reference), this field determine the field update rules. If this field is checked the PLC Reference will be updated continuously, otherwise they will be updated only when the page is activated. (See the Variable References for MIN/MAX and Scaling section for more details).

Firmware Download

New panels that contain the T2000 board have the ability to manage firmware downloads from within Designer (without using the UNIDL utility). This flag will be checked for panels that support this firmware download feature.

Figure 50

Ethernet Board

Using the (optional) external TCM10, the UniOP can be connected to an Ethernet UDP/IP network. This checkbox enables the network support.

IP Address

The panel own IP Address. This control will be disabled when the Network configuration is used. In this case the panel node IP Address and the protocol has to be selected from the Network dialog box.

Figure 51

The Passthrough dialog box allows the user to configure the panel pass through feature parameters. Please note that the PC/Printer port cannot be used for printing when passthrough is configured.

Port Settings

Configure the passthrough serial line parameters: Baud Rate, Party bit, Data bits and Stop bits.

Mode

Define the pass through activation mode.

Hardware

Panel passthrough mode can be activated locally by panel (Using a macro or a mailbox command)

Remote Hardware

Panel passthrough mode can be activated remotely by sending a string command through the serial line.

Commands

Inside this section, the user can define the command strings to manage the passthrough feature.

Start

Command and response string to activate the panel passthrough mode

Stop

Command and response string to deactivate the panel passthrough mode

Cfg Mode

Command and response string to put panel in configuration mode.

Figure 52

Display Page on Comm Error

This allows the user to specify a page for the panel to go to whenever communications between the panel and PLC are lost.

Time Out for Panel Menu

This allows the user to return to Operation Mode from the Panel Command Menu if there are no keys pressed for a specified amount of time.

Time Out for Data Entry

This allows the user to return to Operation Mode from the Data Entry screen if there are no keys pressed for a specified amount of time.

Time Out for Field Selection Entry

This allows the user to return to Operation Mode from Data Entry if there are no fields selected within a specified amount of time.

LCD Screen Saver

This allows the user to turn off the backlighting on an LCD panel after a specified amount of time.

Panel Upload Protection Password

Protect panel project from unauthorized uploads. When this field contains a value, the defined password will be requested in order to upload the project file from the panel.

Network Setup

Figure 53

Enable UniNET Network

The Enable UniNET Network checkbox gives the user the ability to activate (enable) the configured network configuration.

Node Number for this Panel in the UniNET Network

When a UniNET Network is enabled, the node number associated to the panel must be selected from the proposed list of nodes that are defined within the network. The IP Address that is shown in the External Device index tab will be disabled when the UniNET Network is enabled.

Broadcast Periodic Clock Synchronization Messages

If the UniNET network is enabled, the user can specify whether the panel is to broadcast periodic real time clock synchronization messages across the network. The purpose of these messages is to synchronize the clocks in the different panels attached to the UniNET network. If the checkbox Broadcast Periodic Clock Synchronization Messages is checked, the panel will broadcast a clock synchronization message across the network every 60 minutes. If the checkbox is not checked, the panel will not broadcast the periodic clock synchronization messages.

Tips:

The best way of ensuring clock synchronization across the UniNET network is to configure only one panel as the broadcaster of the periodic clock synchronization messages. The checkbox Broadcast Periodic Clock Synchronization Messages only controls the periodic clock synchronization broadcasts. However every panel in the UniNET network, regardless of the setting of this checkbox, will always broadcast a one off clock synchronization message to the network whenever the time and date menu is exited on the panel and whenever the panel receives a mailbox command instructing it to perform a clock synchronization.

Recognition of Old Panel Models

Designer 5.08 recognizes a model code that is inside the panel or inside the project file. When using an older panel or an older project file, the model code may not be found.

In this case, Designer tries to “guess” the panel model that was initially used by comparing the panel capability information stored inside the panel device or inside the project file with the panel capabilities that are defined inside the panel database within Designer. It is possible that Designer will find more than one panel that fits the available capability description. In this case, Designer will show a warning message to advise the user to manually enter the model in the Panel Setup dialog box.

Figure 54

When Designer cannot determine the UniOP model associated with a project file, the GENERIC panel model will be selected. In this mode, all of the available panel capabilities will be enabled.

It is also possible to manually select the GENERIC panel model. This could be useful if the user has a new UniOP that has not been defined within the Designer panel database.


Font Selection

Select Font

Some of our panels can support downloadable fonts. For these panels, the user can create their own font file with the Font Editor or they can modify the existing font files. The Select Font dialog box allows the user to select which font is to be used for the project.

This feature may be accessed by either choosing Select Font from the Project menu, or by clicking on the appropriate icon in the Extra Toolbelt.


PLC Setup

Controller Setup

Controllers of a particular manufacturer brand come in a number of different model types with different capabilities. This dialog box enables the user to specify which particular model type is attached to the panel. Designer is aware of the different capabilities of the different model types. Therefore, to ensure the maximum level of performance, the correct model type should be specified in this dialog box.

This dialog box also allows the user to enter model type specific information, such as the node number on the controller network if such a network is present. Access to this feature may be obtained by either selecting Controller Setup from the Project menu, or by clicking on the appropriate icon in the Extra Toolbelt.


RDA Setup

This dialog box allows the user to specify the PLC address for the RDA. The RDA can be left as a continuous block of memory, in which case the PLC address for the start of the RDA can be specified. Alternatively, the elements of the RDA can be placed in different memory locations. In this case, the PLC starting address for each of the different elements can be specified. It also enables the user to enable or disable the individual elements of the RDA.

NOTE: If you are having trouble establishing initial communication with your panel, disabling the RDA is recommended. This is accomplished by selecting RDA Setup from the Project menu. Make sure the check box entitled RDA Setup is not checked. If it is, uncheck it and re-download your project.


Mailbox Setup

Interlock Mailbox

This dialog box allows the user to specify the controller address for the Interlock Mailbox. The Mailbox can be enabled in one of two ways. The Mailbox may be read in cycles, in which case the user specifies a read cycle time. The faster the read cycle time, the more often the Mailbox gets checked; however, the slower the rest of the system will become. The user may set the Mailbox up such that it only gets read when a bit in the Controller Control Word gets set (this is bit C15). A memory map of the Mailbox in the controller memory is shown below.

Offset | Item
0 | Status Word
1 | Command/Response Word
2 | Parameter 0
3 | Parameter 1
... | ...
19 | Parameter 17

The general concept behind the Mailbox is as follows. A command is written into the Command/Response Word. Available commands can be seen below. Depending upon which command was given, certain parameters may have to be entered. Once the parameters are entered, a code needs to be written to the Status Word. When the command written into the Command/Response Word is attempted/executed, a Response Word will be written into the Command/Response Word, indicating the status of the command. If the user has the Mailbox set up to be cyclically read, this is all that needs done. If bit C15 must be active, then there is one more step that needs to be performed. Since this bit must be a logic high in order for the Mailbox to be read, the user will need to write a value of 1 to this bit. Once it is 'set', a 1 needs to be written to the Status Word to indicate a pending request in the Mailbox.

Command | Description
1 | Recipe Status
2 | Start Recipe Download
3 | Start Recipe Upload
4 | Set Parameter Set Number
5 | Get Parameter Set Number
6 | Get Recipe Transfer Priority
7 | Set Recipe Transfer Priority
17 | Request Data Entry Mode
33 | Password Status
49 | Start Controller to Controller Transfer With No Confirmation
50 | Start Controller to Controller Transfer With Confirmation
81 | Set the Real Time Clock (RTC)
97 | Clear Event List
113 | Start Report Printout
114 | Stop Report Printout
129 | Get Current Language
130 | Set Current Language


Panel Input/Output Setup

This dialog box allows the user to specify the PLC addresses for the Panel Input and the Panel Output areas. Other features, such as the update cycle can also be specified.


Report on Panel Printer

Printer Setup

Reports

Triggers


Printer Setup

To log alarms, messages and reports, a serial printer may be connected to the panel. Note that the same port is used for both programming the panel while in Configuration Mode and for logging information to a printer during Operation Mode.

To configure the printer, choose Printer Setup from Report on Panel Printer on the Project menu. This will cause the dialog box shown below to appear.


Reports

A report is a collection of project file pages (or parts of project file pages). Each report is divided into two parts. One is a common part, such as the header and footer. The common parts are just that - common. They remain consistent throughout the report (i.e., the header on page 1 of a report will be the same header that appears on page 9 of a report). The second part is the display page, that is, the body of the report.

The Reports dialog box allows the user to define the parameters of each specific report. It is important to mention that more than one report can be created for each project file.


Triggers

Triggers allow the user to specify when the report is printed. The user can select from cyclic, which will print the report at a certain time, or every day. It is also possible to print a report by using a function key or touchcell programmed via the Keyboard Macro Editor, or by having the PLC issue a print request by using the Interlock Mailbox.


Macro Editor

Keyboard Macro Editor

This dialog box allows the user to invoke the Keyboard Macro Editor. This feature allows the user to configure panel keys to perform application specific functions. It may be invoked by selecting Keyboard Macro Editor from the Project menu, or by clicking on the appropriate icon in the Extra Toolbelt.

For more information on the Keyboard Macro Editor, follow this link.


Alarm

Alarms

There are two types of alarms supported by our panels:Enhanced Mode alarms and Compatibility Mode alarms. It is strongly suggested to use Enhanced Mode alarms - future versions of our firmware may no longer support Compatibility Mode alarms.

To access the Enhanced Mode Alarms dialog box, the user may either choose Alarms from the Project menu or click on the appropriate icon in the Extra Toolbelt.


Data Transfer

This dialog box allows the user to exchange data between two controllers or between registers within a single controller. A job refers to one complete data transfer.

The Job # field is used to toggle between the different jobs.

The Source Reference button specifies the register to be read.

The Destination button specifies the register to be written to.

The Job Execution Mode dialog box enables the user to select how the data gets transferred, either On Request or In Cycles.

Once a job is created, it can always be modified. However once a job is created after another job, the initial job cannot be deleted unless the added job is also deleted. For example, assume we have created three jobs in the following order:

  • Job 1 - created first

  • Job 2 - created second

  • Job 3 - created third

It is impossible to delete Job 2 without also deleting Job 3. Modifications can be made to any of the three jobs.


Languages

This feature allows the user to create a single project file that contains multiple languages. The language that the project file uses can be selected at run time. Keep in mind that the user must type in the text in each language. Designer does not have the ability to translate from one language to another.


Select Languages

This allows the user to select a language to work in.

Related Topics:

Changing the Language at Run-Time


Next Language

This option will select the next language from the list of available languages within the project file. For example, assume that there are three languages defined: Italian, English and German. If you are currently working with Italian, selecting Next Language will change the working language to English.


Memory Used

This dialog box shows the amount of panel memory used by the current project file as well as the amount of panel recipe memory used.


Application Name

This option lets you define your target system application name. This name is stored as a part of the program in the target system. The name may consist of up to 40 ASCII characters.


Designer 5.08

Data Acquisition and Trends

Trending is divided into two main parts: trend acquisition and trend viewer. The acquisition module has the responsibility of collecting the data into a database. The trend viewer has the responsibility of displaying the data from this database in a graphical format.

Trend buffer

The first step in creating a trend is to create a trend buffer. The user will need to define two items: the PLC variable that is to be sampled and the method in which the variable is to be sampled. The variable can be sampled from the UniOP panel or the variable can be sampled directly from the PLC. If the variable is sampled from the UniOP panel, all of the data from the trend buffer will be stored within the memory of the UniOP panel. If the variable is sampled directly from the PLC, the data from the trend buffer will be stored in the memory of the PLC. In the latter case, the only duty of the UniOP will be to graphically display the trend buffer data from the PLC.

Figure 1

Add/Remove Trend buffer

To define a trend buffer, select the Trend Buffer option from the Project menu and click the Add… button to define a Trend Buffer name. After defining the name, select the Reference that is to be sampled.

To remove a previously defined trend buffer, select the name of the buffer from the Trend buffer list and click the Remove button.

Buffer Types

It is necessary for the user to select the size and type of buffer to be defined. Trends can be sampled in one of two ways. One option is to sample the trend buffer only when the page where the trend associated with the trend buffer is being displayed. The other option is to continuously sample the trend buffer, regardless of whether or not the trend associated with the trend buffer is being displayed. Please note that number of trends that can be sampled in background is limited.

This page only Trend buffer will be sampled only when the page containing the trend associated with the trend buffer is displayed.

All pages Trend buffer will be sampled regardless of what page is being displayed.

Size Buffer size, number of samples that will be kept during the background sampling.

Tips:

When a trend is sampled in the background (All pages), the sample size reflects the number of old samples that will be shown when the page that contains the trend associated with the trend buffer is displayed.

When a trend is sampled in real time (This page only), the user will never see any old samples because sampling begins when the page that contains the trend is displayed. In this configuration the sample size is useful only when using the macros to scroll the trend along the X-axis. If these macros will not be used, the user can save UniOP memory by setting the sample size to 1.

Reference

The variable to be sampled. This can be a PLC variable or an internal UniOP variable.

Scaling

Allows for a linear transformation of the data being sampled. This allows the user to scale the data before storing it inside the trend buffer.

Sampling methods

Figure 2

This area allows the user to define when the trend samples will be taken.

On PLC Samples are collected from the trend buffer stored inside the memory of the PLC.

Cyclical Samples are taken from the memory of the UniOP on a cyclical basis. The cycle time, in seconds, must be defined.

On control variable event Samples are taken, one a time, when a PLC variable changes value (Tip: use a counter to trigger the sampling: 000->001->002->003....)

Stop when buffer is full

Use this checkbox to stop the sampling when the trend buffer is full. This is a first-in first-out (FIFO) buffer. Once the buffer is full, older sample values will be erased to allow the new sample values to be stored.

Only when variable is not 0

When this checkbox is set, data will be sampled only when the defined PLC variable does not contain a value of zero. When the PLC variable contains a value of zero, sampling is suspended.

Clear buffer

This option allows the user to define when to clear the trend buffer.

No automatic clear Trend buffer is never cleared. However if the “Stop when buffer is full” checkbox is not selected, the oldest sample is removed and the newest sample is stored when the buffer is filled.

On panel startup Trend buffer is cleared upon power up of the UniOP

On controlling variable Trend buffer is cleared when the selected PLC Reference changes value

When full The entire trend buffer is cleared when it becomes full.

Trend viewer

The Trend Viewer is the window used to display the trend buffer. To define a trend viewer, click and drag an area and select the Trend Viewer icon from the floating TouchScreen toolbox. This icon is shown at right.

Within the General index tab of the Trend Viewer Properties dialog box, the user can define the main trend viewer properties such as the title, colors, border, grid, etc..

Figure 3

Options in the Title section defines the visual appearance of the trend viewer window title

Title

Trend title (this is a label).

Height

Height of the reserved area for the trend viewer title.

Font

Title fonts (can be select from installed Windows fonts).

Foreground

Title foreground colors.

Background

Title background colors.

Alignment

Title alignment. Can be Left, Right or Center.

Options in the viewer section define the appearance of the trend viewer window.

Background

Trend window background colors.

Frame color

Trend frame color.

Frame width

Trend frame width (set to 0 for no frame).

Grids sections contains the options of the grid in the viewer window.

Show x-grid

Check box to enable the horizontal grid.

Color

Horizontal grid color.

Mask

Number of horizontal grid lines.

Show y-grid

Check box to enable the vertical grid.

Color

Vertical grid color.

Mask

Number of vertical grid lines.

Y-Axis

Selecting the Y-Axis index tab will allow the user to select the trend buffers (curves) to be displayed inside the trend viewer. Use the Add… and Remove buttons to add or remove trend buffers. For any curve, the user can choose the visualization properties such as line type, style, size and color.

Please note that once a curve is added to the trend viewer, the user will only be able to add additional curves of the same sampling method to that particular trend viewer.

Figure 4

Add/Remove Curves

The Add… button opens a dialog box that contains a list of all the active trend buffers that can be used. Please remember that if a curve is already inserted on the trend viewer, only the trend buffers that are sampled in the same manner as the already-inserted curve will be displayed.

To remove a previously inserted curve, select it from the Curves list and click the Remove button.

Type

Curve type. Can be Line, Step or Filled bar graph

Style

Curve style. Can be Solid, Dotted, Dashed, Dash Dot and Dash Dot Dot. The style type is applicable only when curve is line type.

Size

Curve size. Can be Thin, Medium and Thick.

Color

Curve color. The basic 16 colors are supported.

Designer creates three new variables for every curve defined. These variables are internal panel control variables that can be used to display properties of the trend on the UniOP in alphanumeric format.

Y-cursor

This variable can be used to display the value of the curve at a point on the Y-axis. Use the trend macros to activate the trend cursor.

Y-axis minimum

Y-axis maximum

These variables contain the minimum and maximum values of the defined Y-axis. On the right of the dialog box, the user can define the default value (Y-axis range) that will be used when the trend viewer is displayed. If the user puts these internal panel control variables on the UniOP as read/write fields, their values can be modified on-line, allowing the user to dynamically change the Y-axis range.

X-Axis

Use this index tab to define the X-axis properties of the trend viewer. Please note that a single X-Axis exists for all of the curves that have been inserted inside the same trend viewer window.

Figure 5

The format of the X-Axis (Time, Samples or On PLC) is defined from the curves that are inside the trend viewer. When no curves are defined, all of these radio button are disabled. After adding one or more curves, only the appropriate radio button is enabled.

Time

X-axis range is time defined. This will be enabled when the trend buffers inside the trend viewer are sampled cyclically from the UniOP.

Samples

X-axis range is defined by a maximum number of samples. This will be enabled when the trend buffers inside the trend viewer are sampled on PLC events.

On PLC

X-axis range is defined by a maximum number of samples. The number of samples must be defined inside the PLC memory. See the Trend Buffer on PLC section for details.

Enable auto scroll control

Use this checkbox to enable a trend viewer shift when the trend viewer becomes full.

Scroll

The scroll parameter defines how much the trend viewer will be shifted upon each scroll operation. The scroll parameter can be a fixed amount of time or a fixed number of samples.

Scroll direction

This parameter defines the direction of the curve. The curve can be drawn Left to Right, Right to Left, Up to Down or Down to Up.

X-cursor

This variable can be used to display the value of the curve at a point on the X-axis. Use the trend macros to activate the trend cursor.

Cursor Color

Color used to draw the X-axis cursor.

X-axis minimum

X-axis maximum

These variables contain the minimum and maximum values of the defined X-axis. The user can put these variable on the UniOP by selecting the Time/Date icon located on the floating TouchScreen toolbar.

Trend buffers on PLC

Samples can be collected and stored inside the trend buffer of the UniOP or in the memory of the PLC. This section describes how to set up and organize trend buffers that are sampled inside the PLC.

Note: Trend buffers on PLC are available only on a few selected communication drivers. Please enquiry for availability.

To enable a trend buffer in PLC memory, select the On PLC radio button inside the Trend Buffer Properties dialog box.

Figure 6

PLC memory area

To properly sample and store the data in the PLC, the trend buffer needs to be defined as a consecutive number of words with the following structure:

Word 00 Trend buffer identify (counter)

Word 01 Max number of samples (size of the trend window)

Word 02 Number of samples available to be displayed in the PLC memory

Word 03 Sample #01

Word 04 Sample #02

Word 05 Sample #03

Word 06 Sample #04

....

Word nn Sample #nn

The address of the first PLC word (Word 00) needs to be entered in the Reference field of the Trend Buffer Properties dialog box.

Word 00 Identification number of the trend buffer being displayed. The UniOP will erase its internal copy of samples when it detects a change in the value of this word.

Word 01 Size of the trend window displayed on the UniOP as a number of samples. The uses this information each time a page of the project file is initialized.

Word 02 Number of active samples inside the PLC memory. The UniOP will draw a trend based on the number of samples entered in this memory location. When this value is increased, a new piece of the trend will be drawn. Likewise, when this value is decreased, a portion of the trend will be removed.

If the user wants to “freeze” the trend, enter a value of zero in this memory location. To erase the entire trend from the UniOP, this value must be set to zero AND the value of Word 00 must be changed.

PLC operation mode

Initialization

Word 00 = 0

Word 01 = <Buffer width in samples>

Word 02 = 0

Sampling (loop)

Word 03/nn = Add samples

Word 02 = Update the number of ready samples

New trend

Word 02 = Set to 0 to invalidate the PLC trend buffer (UniOP can continue to use and display the samples already displayed, but it cannot display new samples)

Word 03/nn = Add new samples

Word 00 = +1 (UniOP detects this change and erases the trend)

Word 02 = Update the number of ready samples

Internal panel control variables

The internal panel control variables associated with trending can be defined and used from the trend viewer. Alphanumeric values of these variables can be displayed on the UniOP. To access these variables, it is necessary to switch the Designer into Control Variables mode and create a numeric field. The user will need to select UniOP variable within the Data Type list box. The Variable name control will show the list of variables that have already been defined. The meaning of these variables can be found inside the trend viewer.

Figure 7

Trend macros

There have been two icons added to the Macro Editor that are associated with trending. The first macro, Trend buffer print, can be defined as a global macro (define the macro within the All Pages index tab). The second macro, Trend Window, can be defined only on a local basis (define the macro within the Page index tab). Please note that the Trend Window icon will not be visible when the Page index tab is not selected.

Figure 8

Trend buffer print

This macro gives the user the ability to print the trend buffer in alphanumeric format. The “buffer to print” parameter shows all of the active trend buffers that can be printed

Trend Windows

This macro allows for manipulation of the trend currently being viewed.

Trend viewer scrolling

Action: Scroll Forward, Scroll Backward

Scroll the entire trend viewer left or right. The scroll step parameter defines the scrolling size.

Action: Automatic Scroll On/Off

Trend viewers are configured to scroll the trend to the left by default. This macro will disable the automatic scrolling feature.

Trend viewer zooming

Action: Zoom X, Zoom Y

The zoom percentage parameter defines the new displayed range of the trend. For example, a zoom percentage of 200% will show half of the originally displayed trend, while a 50% value will show an area twice the size of the originally displayed trend.

Reset Trend Wnd. Time

This command resets the axes ranges to their original values.

Trend cursor

Action: On/Off Cursor

This command will enable/disable the graphic cursor. When a graphic cursor is enabled, the scrolling of the trend is stopped. The user can implement the scroll cursor macros to move the graphical cursor over the curves or to move the entire trend window.

Tips:

To display values from the Y-axis on the UniOP, use the Internal panel control variables. The names of the available Y-cursor variables can be found by looking inside the Trend Viewer dialog box.

To display values from the X-axis, use the Time/Date icon that is located in the floating TouchScreen toolbar.

Action: Scroll Cursor Forward, Scroll Cursor Backward

Use these commands to create buttons that move the cursor forward or backward. The scroll step parameter defines the scrolling size.

Tips:

In order to have a smooth cursor movement over the curve, it is helpful if the user programs these commands in the Autorepeat Mode.

Printing

Trend buffers can be printed in either alphanumeric format or in graphic format. To print a trend buffer in alphanumeric format use the print trend macro. To print in graphic mode, use the Print Report features within Designer. To do this, it will be necessary for the user to create a page that contains the trend view to be printed.

Mailbox

The user can start a trend buffer printout by issuing a mailbox command.

The Mailbox command used to print a trend buffer is 0x00A1. The first mailbox parameter is the trend ID number. The user can find the ID number assigned to the trend buffer by looking inside the Trend Buffer dialog box.

The mailbox command response codes are:

0 = OK Command executed successfully

1 = ERROR Printer is busy (another print job in execution)

2 = ERROR Invalid trend buffer ID

An example of using a mailbox command to start a trend buffer print is shown below:

DB10, DB01 <- 161 (0x00A1) Write the mailbox command code

DB10, DB02 <- 1 Write the trend ID

DB10, DB00 <- 1 Start the mailbox command

Limitations

Max number of trend windows inside the same page | 10
Max number of curves inside the same trend window | 10
Total number of curves that can be use inside the same page | 20
Max number of global trend buffers sampled in background | 20
Cyclical sampling period | 1-9999 sec
The total memory reserved for trend buffer | 20 KB

The available memory area in the PLC that can be used to store trend buffers is limited to 60 bytes.


Transfer

Transfers Menu

The options in this menu allows you to communicate with your target system (panel). Downloading, uploading and some control functions can be performed. In order to perform these functions you MUST first:

  1. Connect the panel to your PC workstation.

  2. Place the panel in Configuration Mode.

  3. Check/Set the communications parameters inOptions - Communications.

Upload

Download

Get Panel Resources

Start

Options

Dial

Hang Up


Download

This allows the user to transfer the project file from the computer to the operator interface panel. The user can choose this option by either selecting Download from the Transfers menu, or by clicking on the appropriate icon in the Extra ToolBelt.

The panel must be in Configuration Mode in order for the download procedure to work.


Upload

Selecting this option allows you to upload an existing application from your target system memory into your PC workstation memory. As this will erase the application that is currently loaded in the Designer software, you will be prompted to confirm the operation.

You may select this option from the Transfers menu, as well as by clicking on the appropriate icon in the Extra ToolBelt.


Get Resources

Get Panel Resources

The Get Panel Resources feature is provided to help set the parameters for the target panel quickly or to determine unknown information about the connected panel. This option may be selected from the Transfers menu, or by clicking on the appropriate icon in the Extra Toolbelt. In order to use this feature, the target panel must be connected to the PC and the panel must be in Configuration Mode. Upon selecting this item, the Designer will attempt to retrieve the connected panel's configuration. When successful the following information is displayed.

Controller Type: | Internal code to identify the type of controller
FW driver version: | Version of the controller driver being used
Project in panel: | Reports if there is a project file in the panel
Display type: | Type of display
Max num of rows: | Number of rows per project page
External keyboard: | If a keyboard is present
Internal memory: | Amount of memory available for project file
Recipe memory: | Amount of memory available for recipes
Event list length: | Number of events that can be stored in Event list
Support for graphics: | If the panel is capable of supporting graphics
Color display: | If the panel contains a color display
Touchscreen present (code): | If the panel has a touchscreen (and the internal code, if present)

You may copy the displayed resource configuration to the panel by pressing the OK button. If you do not wish to use the reported parameters press CANCEL.

If for any reason the Designer is unable to communicate with the panel, a message box will appear explaining the problem.


Designer 5.08

Automatic Firmware Upgrade Procedure

New UniOPs that contain the T2000 board are able to accept new firmware files through the serial line or through the SSFDC memory card. For these panel models, the firmware files can be stored in the SSFDC memory card. There are four kinds of firmware files that can be stored in the SSFDC memory card. They are called “Boot”, “Firmware”, “MIPS Code” and “MIPS service” files.

A copy of the Boot and the Firmware files is also stored inside the internal panel FLASH memory. Storing a copy of these files inside the SSFDC card is not mandatory, but it is necessary when the internal FLASH memory must be updated.

A copy of the MIPS Code file must always be stored in the SSFDC memory card. In fact, this code is always loaded from the SSFDC memory card when the UniOP switches from the Configuration Mode” state to the Operating Mode state.

MIPS Service is not necessary for normal panel operation. It is necessary only for running in Service Mode.

Procedure to Upgrade the Internal FLASH Memory

To check the firmware versions that are stored inside the panel memory, it is necessary to put the panel in Configuration Mode and hold the Up-Arrow key for 2 seconds. A table similar to the one shown below will appear:

RELEASE.VERSION UPGRADE

       FLASH       SSFDC
Boot   04.30W      04.35D.0001
Fw     04.35D      04.35D

Press Enter to continue...

The FLASH column shows the active firmware version. The column SSFDC shows the version stored inside the SSFDC card. After pressing the ENTER key, the message shown below will appear.

Press Up Arrow to Update...
...or wait to leave unchanged

Pressing the Up Arrow key will cause the firmware upgrade procedure to start. Waiting for 2 seconds without pressing any keys will cause the procedure to abort without substituting the active firmware files.

Check Firmware Versions

Designer will enable the download features, accessible from the Transfers menu, when a panel model with the T2000 board is detected. Note that this menu item is not visible when the selected panel does not support the download features.

Download features can be enabled manually from the Settings index tab within the Panel Setup dialog box. Manual settings are necessary when a real panel is not physically connected to the PC and a Get Panel Resources command cannot be executed.

Correct setting of the Firmware Download flag is necessary to give Designer the necessary information required to correctly calculate the SSFDC memory used, taking into account the size of the firmware files.

Figure 1

After exchanging information with the panel to detect the version of the firmware files that are inside the SSFDC memory card, the above dialog box is displayed. The left column displays the versions of the firmware files that are located in the SSFDC memory card. The right column displays versions of firmware files ONLY if the user’s computer contains a newer version. If a newer version is not detected, <Do not update> will be displayed.

Update

This will start the download procedure. It does nothing when all of the Designer fields contains the <Do not update> strings. Please note that after updating the firmware files inside the panel SSFDC memory, it will be necessary to upgrade the panel’s FLASH memory as previously described.

Do not update

Use this button to exit from this dialog box without updating the firmware files.

Note: Designer checks the firmware version before beginning any download operation. When an old firmware file version is detected inside the panel, the above dialog box is displayed to give the user a chance to upgrade the firmware file.

Designer Firmware Files Directory

The setup procedure installs a Firmware subdirectory inside the Designer working directory. This directory will contain all the necessary firmware files used by Designer to check and update the panel SSFDC memory card.

New firmware files have to be copied inside this directory to be accessible from Designer.

Rescue Mode

UniOP uses the Boot file that resides inside the internal FLASH memory to load firmware code. When the internal boot file is corrupted or missing, the firmware file cannot be loaded and the UniOP display will remain off.

In this condition, it will be necessary to use the Rescue Mode command to download a new copy of the Boot file. To do this, the user needs to ensure that the Firmware Download flag in the Settings index tab within the Panel Setup dialog box is enabled. Otherwise the Rescue Mode command will be hidden.

After connecting the serial line of the UniOP to the computer, simply execute the Rescue Mode command and follow the instructions that will appear on the computer.

The rescue procedure will ask the user to turn off the UniOP.

Figure 2

The rescue procedure will ask the user to turn on the UniOP.

Figure 3

When communication is established, the rescue procedure will check the Boot files that are inside the firmware directory on the computer and prompt the user to begin downloading the most recent version.

Figure 4

After completing these operations, the UniOP will restart.


Start

Selecting this option will cause the application in your target system memory to begin running. The communication with the target system is interrupted until the target returns to Configuration Mode.


Options

This feature may be accessed by choosing Options from the Transfers menu. Selecting it will cause the Transfer Options dialog box to be displayed. This dialog box enables you to:

  • Select the panel memory location for both the project and the protocol

  • Create a ROM file for both the project and the protocol

  • Put the panel into operation mode

Pressing the Advanced Options button will allow you to select the memory location for the protocol, as well as choosing if you want to upload the original recipe data or the modified data. It also allows you to choose if you want to download the project, the protocol, or both.


Dial

This feature allows the user to enter a phone number and send a dial command to their modem. Another option included in this menu is the phone directory. The phone directory permits the user to classify phone numbers (i.e., business, personal, etc.).


Hang Up

This feature allows the user to send a hang up command to their modem.


Options_1

Options Menu

Communications

Modem

Preferences

Run Font Editor

Configure Network


Options - Communications

By selecting Communications from the Options menu, the user will be able to specify port settings such as parity, data bits, stop bits, and which communications port to use.


Modem

Selecting this feature allows the user to specify modem settings, such as initialization strings, dial strings, result messages, etc.


Preferences

The Grid option allows the user to choose a grid system that will be displayed on the computer monitor to aid in positioning. The user can choose between no grid, a point-based grid system, and a line-based grid system.


Font Editor

The Font Editor allows the user to modify the downloadable font of semigraphical display panels. Each font consists of 256 characters which can be edited or changed. This allows the user to create any necessary characters for a particular project. In most cases, the user would not want to edit any of the standard characters such as letters, numbers, large character blocks, or bargraph blocks.

Editing Characters

Defining Symbols

Saving a Font


Configure Forth Interpreter


Network Configuration

This dialog box enables the UniNET network to be configured by the user. The first time this option is selected the Network Type dialog box is shown. With this dialog box the user can select the type of network that is required. There are three network types available:

  1. Single Server, Multiple Clients - This network type consists of a single panel that is attached to a controller (the Server) and one or more panels that are not attached to any controller (the Clients). In this type of network, all of the Clients and the Server can read and write data from and to the controller.

  2. Multiple Servers, Multiple Clients - This network type consists of more than one panel that are attached to controllers of the same manufacturer brand (the Servers) and one or more panels that are not attached to a controller (the Clients). In this type of network, all of the Clients and all of the Servers can read and write data from and to every controller that are attached to a Server in the Network.

  3. Mixed Multiple Servers, Multiple Client - This network type consists of more than one panel that is attached to controllers of different manufacturer brands (the Servers) and one or more panels that are not attached to a controller (the Clients). In this type of network, all of the Clients and all of the Servers can read and write data from and to every controller attached to a Server in the Network.

The first step in configuring the Network is selecting the Network Type. The third Network type, Mixed Multiple Servers, Multiple Clients is an advanced network type. With this Network type, the user can create a network that contains panels attached to many different manufacturer brands and model types of controllers. With this type of network, the user has full control and flexibility over the network configuration. The other two types of networks are simpler and more common in practice. If the user selects one of these two types, they are prompted for the number of Clients and/or the number of Servers. Once they have entered this information, the Network is automatically configured for them based on the default settings for the type of network. In general, these default settings should be sufficient for most needs. However, if it is necessary to modify these default settings, the user may do so.

The first time the Network Configuration option is selected, the Network Type selection dialog box is displayed. Once the user has specified the Network Type, then subsequent selections of the Network Configuration option will display the Network Configuration dialog box. The Network Configuration dialog box displays the Network Configuration data for every node in the UniNET network. With this dialog box, the existing data for a node can be modified. Furthermore, nodes can be added to the UniNET network and existing nodes can be deleted.


Internal PLC Setup


Help

Help Menu

Contents

Exor on the Web

About


Index

Selecting this feature will display a list of available help topics.


Help on Help

This option will take you to the Exor Web Site. The address is www.exor-rd.com.


About

Selecting this option will display the version of Designer for Windows that you are using, as well as the copyright date of the software.


TouchScreen

TouchScreen Menu

Please note that this menu will only be present if the panel you are using is a touchscreen AND if you have selected the check box Touchscreen support in the Panel Setup dialog box in the Project menu.

If you are using Designer 5.04 or later, please click here for touchcell information.

If you have a digital touchscreen panel, only the first two menu items listed below will be present.

More help on these topics is available by clicking on the Help button after selecting to create a touchcell by using the Toolbox.

Show Touchscreen Grid

Show Touchscreen Cells

Show Toolbox

Delete All Touch Cells

Select Touch Font


Show Touchscreen Grid

Selecting this option will display a grid on the monitor, giving the user a guideline area in which to create touchcells.


Show Touchscreen Cells

Selecting this option will display the configured touchcells.


Show Toolbox

The toolbox is a floating toolbar that allows the user to create a touchcell as a pushbutton, indicator lamp, illuminated pushbutton, etc..


Delete All Touch Cells

This option will delete all of the touch cells on the current page, along with associated graphics and commands.


Select Touch Font

This allows the user to select the font to be used on the touchcell. The font may be selected for each individual touchcell.


Graphics

Graphics Menu

Please note that this menu will only be present if the check box Enhanced graphics support is selected in the Panel Setup submenu in the Project menu AND if your panel is capable of supporting enhanced graphics.

Import Bitmap Graphics

Graphics Library

Dynamic Graphics

Transparent Graphics

ISA Symbols


Import Bitmap Graphics

If your panel supports enhanced graphics, you may import bitmap graphics using Designer for Windows for use in your project. Keep in mind that graphic files require more system memory than data fields or text.

The following steps will help you to import a bitmap file:

  1. Make sure that the Enhanced Graphics Support check box is marked in the Panel Setup submenu in the Project menu.

  2. Highlight the area where you want the picture to be placed. Click and drag the mouse to accomplish this.

  3. Select Import Bitmap Graphics from the Graphics menu. This will open a dialog box that allows you to select a file. Select the file name that you wish to use and click on OK. Another dialog box will open that allows you to label the bitmap and select import options.

  4. The label will default to the file name of the bitmap file; however, this label can be changed. The label is used to recall the bitmap to your project file if you need to use the same bitmap more than once.

  5. You can resize a graphic after you have imported it. However, this is not recommended because the graphic may become distorted or lose resolution. To resize a graphic, single click on the graphic to select it. Then place the mouse cursor on one of the selection handles. Single click and drag the mouse until the desired size is achieved.

  6. To move or reposition a graphic, single click on the graphic and drag it to the desired location.

  7. To duplicate or copy a graphic within the same page, hold the Ctrl key down and click on the graphic. Now drag the duplicate graphic to a new location and release the mouse button.

  8. To delete a bitmap graphic, click on the graphic to select it and press the Delete key or click on the Cut tool.

  9. Designer also allows you to import graphics using cut, copy, and paste from other Windows based applications, such as Paintbrush. Cut or copy the graphic from the other application onto the Clipboard. Return to the Designer and highlight the area where the graphic is to be placed. Click on the Paste tool in the toolbelt. A dialog box will appear that allows you to label the bitmap and select import options. Once you finish making your selections, click on OK.


Dynamic Graphics

This feature allows the user to display different graphics on the panel based upon a numeric value in the controller. This can be accessed by either selecting Dynamic Graphics from the Graphics menu or by selecting the proper icon from the Extra ToolBelt. For example, a user may want to display two graphics - one when a blower is on, and one when a pump is on. Depending upon which machine is on, that particular graphic will be displayed at a single screen location. If neither is on, there will be no graphic displayed on the panel. An example of this is given in the example below.

Example using Dynamic Graphics


Transparent Graphics

Transparent graphics are graphics that can be seen through once they are placed into the project file.

Transparent graphics can be selected by selecting Transparent Graphics from the Graphics menu or by clicking on the appropriate icon in the Extra ToolBelt.

Keep in mind that this option acts as a toggle - you can turn it on and off as you wish.


Graphics Library

Another method of bringing a graphic into a project file is by using the Graphics Library. Simply highlight the area in which you wish to place the graphic and select Graphics Library from within the Graphics menu (or click on the appropriate icon in the Extra ToolBelt). This will bring up the dialog box that is shown below.

When the External Library source radio button is selected, the dialog box will list all of the bitmap graphic files that are contained within the Graphics subdirectory. This subdirectory is located within the main directory of Designer that was created upon installation of the software. It is recommended that the user place all graphics files that they frequently use in the Graphics subdirectory.

If the Current project Library source radio button is selected, the dialog box will list all of the bitmap graphic files that are in use within the current project.

A graphic can be selected by single clicking the left mouse button on the filename you wish to use. Once a graphic is selected, a preview of the image will be shown within the dialog box.

Example using the Graphics Library


ISA Symbols

The ISA (Instrument Society of America) Symbols floating toolbar allows the user to have an easy access library of standard industrial symbols. This feature can be accessed by selecting ISA Symbols from the Graphics menu. Doing so will bring up the floating toolbar of symbols that is shown above. By placing the cursor over a symbol, the user will see a popup tip containing the name of that symbol. The user may add these symbols to their project file by using one of two methods.

The first method is to highlight the area in which the symbol is to be placed, select ISA Symbols from the Graphics menu, and click and drag the desired symbol to the highlighted area.

The second method is to select ISA Symbols from the Graphics menu and click and drag the symbol to the desired location. The symbol may then be resized by selecting the image and using the handles that appear around it's outer border.


Recipes

Recipes are a powerful feature that enable the panel to extend the capabilities of a controller. A Recipe is a collection of special data items on a particular page of the project. These special data items refer to particular memory addresses in the controller, just like normal data items, but, unlike normal data items, they are not directly read from or written to the controller. Instead these data items are read from and written to a special area of memory inside the panel itself.

Only when the user or the controller program specifically requests that the data in the Recipe data items be transferred to the real memory inside the controller is the data actually written to the controller memory locations specified by the individual data item controller addresses. Similarly, only when the user or the controller program specifically requests that the data in the actual controller memory specified by the individual data item controller addresses be transferred to the special Recipe memory inside the panel is the data actually written to the Recipe data items.

The user can add Recipe data items to a page by first pressing the Recipe icon in the ToolBelt or by selecting Recipe Data in the Data Field Source submenu in the Edit menu.

When the Recipe data items have been added to the page then the Recipe for that page can be configured using the Recipe Configure dialog box. The user can access this dialog box by selecting Recipe Configuration from the Page menu.

There are 2 ways that the user of an operator panel can start Recipe transfers from or to the controller. The first is by using Control Variables and the second is by using the Keyboard Macro Editor functions Recipe Upload and Recipe Download. There is only 1 way in which the controller programmer itself can start Recipe transfers and that is by using the Mailbox.

A Quick Start Example

Recipe Menus

Multipage Recipe Support


Example - Recipes

Recipes - A Quick Start Example

  1. Make sure that the panel is in Configuration Mode.

  2. Connect the panel to the PC and the controller using the correct cables.

  3. Start the Designer software.

  4. Define some background text and two numeric fields with different addresses as shown in the screen capture below.

  5. Go to the Edit menu and select Recipe Data from the Data Field Source submenu or choose the Recipe icon in the Extra ToolBelt.

  6. Define two recipe data items with the same addresses as given to the numeric fields that were created in step 4. The two recipe data fields will be shown on the Designer page with the placeholder 'R' instead of the '9' used for numeric fields. See the screen capture shown below.

  7. Go to the Page menu and select the option Recipe Configuration. This will bring up the dialog box that is shown below. Enter 4 for the Number of Parameter Sets and initialize the values as shown. Note that the Recipe Item addresses will be the addresses of the fields that were defined earlier. Select OK to confirm the operation.

  8. Enter the Keyboard Macro Editor and configure the F1 key using the command Recipe Control to download the current parameter set.

  9. Download the project to the panel. When the download is finished, the panel will go into Operation Mode. The variables in the left column represent the content of the controller memory. The column on the right will represent the content of the first recipe parameter set once the F1 key is pressed.

  10. Pressing the F1 key will cause the panel to begin downloading the current recipe parameter set (which is parameter set 1). After a few seconds, the operation will be completed and the content of the controller memory will show the same values as those that are stored in parameter set 1.


Defining a Recipe Name

The Recipe Name should be defined for all of the pages containing recipes that are going to be handled using Recipe Menu. It is also necessary for the pages that are referred to by Recipe Key field(s).

The Recipe Name is defined by adding a Recipe Data Item field of ASCII display format on the page with recipes and filling the Recipe Item values with a name for ach Parameter set.

NOTE: This ASCII field is not an internal variable in the panel memory. It needs to be addressed to a physical location in the PLC memory. The amount of memory required depends on the length of the ASCII string: one byte per character.

Here is the procedure that describes how to add a Recipe Name definition. It assumes that the current page is the page with defined recipes and that it is the page for which you want to add a Recipe Name. The screencapture shows the Recipe Configure dialog box.

  1. Add one Recipe Data Item field.

  2. Set the Display format to ASCII.

  3. Set Data Access to Read/Write if you want to make recipe names editable.

  4. From the Page menu choose Recipe Configuration… to open Recipe Configure dialog box.

  5. Fill the new Recipe Item with names for each Recipe Parameter Set.

  6. Select this new Recipe Item by clicking on the button with the record number. Note that the entire row highlights.

  7. Click on the Set As Recipe Name button to set this Recipe Item to be the Recipe Name. Note that the asterisk (“*”) appears to the right of the Recipe Item name.

  8. Click on the OK button to accept the changes.


Creating a Recipe Menu Field

The Recipe Menu field is the field that displays the menu with the Parameter Set names. It displays recipe names for the page which number is contained in the Recipe Page For Selection internal UniOP variable. The value of this variable can be displayed and changed using the Recipe Page For Selection field. Its value can be automatically set by the Go To Recipe Menu macro command. The currently selected recipe name is indicated with a user defined attribute combination (blink, highlight, reverse).

To enable Recipe Menu support, at least one page with Recipe Name must be defined.

NOTE: The only field on the page needed for displaying a Recipe Menu is the Recipe Menu field. Other fields can show additional information but are not necessary.

If Recipe Page For Selection contains the page number of a page without a Recipe Name field defined, the Recipe Menu field will display asterisks (“*”).

The following procedure describes how to add a Recipe Menu field.

  1. Select an area on the panel screen by dragging the mouse. This area will contain the Recipe Menu field.

  2. From the Edit menu choose Recipe Menu or press Ctrl-R. Click once anywhere on the panel screen to clear the selection; a solid box represents the Recipe Menu field.

  3. Double click on the Recipe Menu field to open the Recipe Menu dialog box (see Figure 12-5).

  4. Adjust the width and height if not satisfied.

  5. Choose the attribute combination for indicating the selected recipe name.

  6. Select Yes or No for Shown Record Numbers before Record Name, depending on whether you want to show record number (which is just the parameter set number) together with the recipe name.

  7. Click on the OK button to accept changes.


Recipe Page for Selection Field

The Recipe Page For Selection is a numeric field of type Control Variable. The Recipe Page For Selection field's purpose is to show the page number on which a Recipe Menu field will display recipe names.

It can be placed on the same page with a Recipe Menu field to show the “recipe page number”. It can also be edited to change the page for which Recipe Menu field displays information. If Recipe Page For Selection contains the page number of a page without a Recipe Name field defined, the Recipe Menu field will display asterisks (“*”). After powering up the UniOP, the Recipe Page For Selection is set to zero.


Recipe Key Field

The Recipe Key field is an ASCII field of type Control Variable. The Recipe Key field displays the currently selected Recipe Parameter Set name for the referred page. Like a Recipe Menu field, it can be used to change the selected recipe parameter set by name but in a less user-friendly way. Using this method, the user has to edit the field and type the wanted recipe name (versus selecting it from a menu of choices).

The page to which a Recipe Key field refers to must have a defined Recipe Name field. If the referred page has no Recipe Name field defined, the Recipe Key field will display asterisks (“*”).


Recipe Macro Commands

  • Go To Recipe Menu,

  • Scroll Recipe Menu

  • Confirm Recipe Menu Selection

The Go To Recipe Menu macro sets the Recipe Page For Selection and jumps to the specified page. This is the preferred way of going to a Recipe Menu page (page with Recipe Menu field). The other way is to set the page number in the Recipe Page For Selection field and then go to the Recipe Menu page using any other page changing macros (Go To Page, Next Page, etc.).

The Scroll Recipe Menu macro is used to move the selection in the Recipe Menu field. With this macro command you can choose a new Recipe Parameter Set from the list. Positive values for the scroll step move the selection down, while negative values move the selection up.

If there are many recipe parameter sets, more than one key can be assigned to Scroll Recipe Menu macros: two keys with step of 1 (-1) for “fine” scrolling and two other keys with step greater than 1 for “fast” scrolling.

The Confirm Recipe Menu Selection macro accepts the selected parameter set name and sets the current recipe parameter set to the new value. It can be assigned to a key together with Return To Initial Page macro to “close” the Recipe Menu page and return to the page jumped from with the Go To Recipe Menu macro.


Multipage Recipe Support

So far, UniOP has supported a straightforward recipe organization: while many recipes could be defined in a UniOP Project, each one was limited to a single project page. Many users found this solution to be clear and easy to use and quite sufficient for their application.

This section describes the Multipage Recipe organization introduced for the current version of Designer software and Firmware. In this version of UniOP Firmware and Designer Software, the one page - one recipe restriction has been removed: now data belonging to a single recipe can be scattered over several project pages and yet be downloaded or uploaded as a whole.

A recipe spanning several pages is called Multipage recipe.

Configuration in Designer

Using Multipage Recipes with Recipe Menus


Configuration in Designer

In order to enable Multiple Page Recipe feature in Designer software you should define the desired number of single page recipes in your project and for each of these pages you should check the Multipage recipe checkbox in the Recipe Configuration dialog box.

By marking the checkboxes, all multipage recipe pages are linked together and any recipe-related action done in run-time (i.e. on the UniOP) on any linked page will result in the same action being done for all the pages. This refers to parameter set selection, upload and download.

In other words, the set selection, the download and upload process can be done by referring to each page contained in the multipage recipe.

You should respect the fact that in Designer, the definition of parameter sets number and values for the multipage recipe is still done pagewise, as it was for standard, single-page recipes.

You should make sure to define an equal number of parameter sets in all pages belonging to the multipage recipe, otherwise the upload and download of the recipe may be aborted in the middle. In addition you have to make sure that the variables on the pages of the multipage recipe are different. Otherwise, you could have problems in data integrity during download and upload operations.

For any recipe page not contained in the multipage recipe, the user should simply leave the checkbox unchecked, as it is by default. In all pages belonging to the multipage recipe, the checkbox must be checked.


Using Multipage Recipes with Recipe Menus

Of course, the Recipe Menu features are enabled on multipage recipe and you can manage it with the menu in the same way as single page recipes.

You should make sure that the recipe name is defined in only one page of the multipage recipe. If you want to display names in the recipe menu for the multipage recipe, the Recipe Page for Selection field must refer to the page that contains the ASCII field declared as “Recipe Name”.


Remote Passthrough

This feature will allow you to remotely put a UniOP panel into either Configuration Mode or Operation Mode via a modem. In this manner, you will be able to remotely upload or download a project file, start the panel, or use passthrough mode to access the programming port on the PLC. Your UniOP must contain firmware version 4.20 or later to use this feature.

To set up Designer for Remote Passthrough, select Passthrough pane on the Panel Setup dialog box.

To configure Designer for remote passthrough via a modem, you need to select Remote hardware passthrough. If you select Hardware passthrough, it will not work correctly. Hardware passthrough needs to be selected only if you are wanting to use passthrough mode locally and not via a modem.

You can enter the commands that you wish to enter in order to put the panel into Configuration Mode, to start passthrough mode and to stop passthrough mode in the ‘request’ boxes. Likewise, you can enter the response that you will receive back from the panel in the ‘response’ boxes.

The communication parameters that you set up here need to match the communication parameters of your modem. Once you have everything configured, you can use a terminal program to dial up the panel.

Remote Commands from within Designer

Passthrough Status Control Variable

Configuration for the Modem on the Local End

Configuration for the Modem on the UniOP End


Remote Commands from within Designer

When remote passthrough has been configured in Panel Setup, a new entry will be available in the Transfers menu of Designer. This new entry is called Start remote pass-through. This entry will allow the user to select one of three remote passthrough commands: Go to Configuration Mode, Start Passthrough and Stop Passthrough.


Passthrough Status Control Variable

When passthrough mode has been activated, the UniOP does not communicate with the controller and the dynamic data displayed on the screen may no longer be correct. It may be useful to inform the user that the passthrough option is active. A new control variable has been defined for this purpose. The control variable name is PassThrough Status. This variable can take on two values; zero meaning that passthrough is not active, one meaning that passthrough is active.


Configuration for the Modem on the Local End

The following commands are necessary for the modem that is attached to the local end (the PC that is running Designer).

AT &D0 &K0 &Q0 &W &Y

Term | Explanation
&D0 | DTR is ignored (according to &Q setting)
&K0 | Disable flow control
&Q0 | Direct asynchronous operation
&W | Stores setting in profile 0
&Y | Profile 0 is loaded on power up


Configuration for the Modem on the UniOP End

The following commands are necessary for the modem that is attached to the remote end (the UniOP panel).

AT &D0 %C0 &K0 &Q0 S0=1 &W &Y

Term | Description
&D0 | DTR is ignored
%C0 | Disable data compression
&K0 | Disable flow control
&Q0 | Direct asynchronous operation
S0=1 | Auto answer after 1 ring
&W | Stores setting in profile 0
&Y | Profile 0 is loaded on power up


Troubleshooting

Problems Common to All Panels (Including Touchscreen Panels)

Problems Common to Only Touchscreen Panels


Problems Common to All Panels

Panel Will Not Communicate

Fault Light is Blinking

Fault Light is On Continuously

Can't Get Into Configuration Mode

Can't Write to the PLC

Unexpected Values Are Appearing on the Panel

Asterisks Appear on the Screen Instead of Numbers


Panel Will Not Communicate

With the Computer

With the PLC


With the Computer

If your panel will not communicate with the computer, check the following items:

  1. Make sure you have the correct cable connecting the panel and the computer. A CA1 cable should be used if your computer has a 25 pin RS-232 communications port. A CA2 cable should be used if your computer has a 9 pin RS-232 communications port.

  2. Check to ensure that you have a good connection between the panel and the computer.

  3. Make sure you have power applied to the panel (24 V DC).

  4. Check to see that the panel is in Configuration Mode if you are trying to download a project to the panel.

Our keyed panels can be put into Configuration Mode by holding down the ENTER key for approximately four seconds. This will bring up the Panel Command Menu, from which Configuration Mode can be accessed by cursoring to the top right hand corner of the menu, selecting the CONFIGURATION option (also seen as CFG and CONFIG on some panels) and pressing the ENTER key.

On our touchscreen panels, you can press and hold any area of the screen that does NOT contain a touchcell for approximately four seconds. This will bring up the Panel Command Menu. Cursor to the top right hand corner of the menu, select the CONFIGURATION option (also seen as CFG and CONFIG on some panels) and press the ENTER key.


With the PLC

If the panel will not communicate with the PLC, check the following parameters:

  1. If you are trying to upload or download, make sure that the panel is in Configuration Mode.

  2. Make sure that you have the correct PLC brand and model number selected under Change Controller Driver in the Project menu and Controller Setup in the same menu.

  3. Make sure you have power applied to both the panel and the PLC.

  4. Make sure you have the correct cable for your PLC brand and model. You may call our BBS at (513) 874-4712 and download technote TN07.ZIP. Once you use pkunzip to unzip this file, it will turn into a .DOC file (Word for Windows). This file contains a listing of our cables and what they connect. You may also call technical support at (513) 874-4665 in North America or +39-045-877-9068 in Europe.

  5. Check to see if the RDA is disabled. If you are not using the RDA (if you aren't sure, disable it), choose RDA Setup from the Project menu. Make sure all of the boxes marked Enable are NOT checked.

  6. If you are getting asterisks for values in your data fields, increase the size of the field. The asterisks indicate that your values are out of range.

  7. Check your communication parameters. The values entered in the software must match those entered in the PLC. These parameters can be checked by choosing Controller Setup from the Project menu. Once you are in Controller Setup, click the button marked PLC Comm. This will cause a dialog box to appear in which you can configure your PLC's communications settings.


Fault Light Is Blinking

If the fault light on the panel is blinking:

  1. The backup batteries are either weak or completely discharged. The following information is maintaned by the battery: hardware real-time clock (date and time), event list, and recipe data.


Fault Light Is On Continuously

If the fault light is on continuously in your panel, the panel has a hardware error.


Can't Get Into Configuration Mode

If you can't get back into configuration mode, there are two possibilities. Please remember to save your project file before attempting any of these solutions.

On any Panel

  1. If you are using passwords, enter 0007 instead of your normal password(s). After pressing the ENTER key to confirm the password entry, press and hold the ENTER key for approximately four (4) seconds. The panel should proceed into Configuration Mode.

  2. Hold down any three (3) arrow keys. While you are holding these keys in, power the panel down (continue holding the keys), and power the panel back up. The panel should go into Configuration Mode.

Only for Touchscreens

  1. Power the unit down. Re-apply power and continuosly alternate tapping the left center of the display followed by the right center until the panel enters the Calibration Mode. This can also be achieved by repeatedly tapping the center of the display. A small circle should appear on the screen. Touch this circle with a small object, such as a pencil eraser (the panel is very sensitive about where you touch it. Even though you may think you are within the circle, you may very well not be). You will be asked to repeat this a few time for different circles in different areas of the screen. Follow the on-screen prompts until no more prompts appear. This will recalibrate the touchscreen and should allow you back into Configuration Mode.

  2. Hold in any three arrow keys (if your panel has them). Power the unit down (continue holding in the arrow keys), and power the unit back up. The panel should default into Configuration Mode.


Can't Write to the PLC

Can't Write to the Controller

There are three possible causes of this problem:

  1. The panel and the controller are not communicating.

    • Make sure that you have the correct controller selected by choosing Change Controller Driver from the Project menu. The currently selected driver will be highlighted.

    • Make sure that you have the correct controller model selected by choosing Controller Setup from the Project menu.

    • Make sure that the communications parameters (baud rate, parity, stop bits, data bits) are set the same in both the controller and in the software. Select Controller Setup from the Project menu and select the PLC Comm button.

  2. The memory location you are trying to write to does not exist in the controller.

    • Different models of controllers contain different amounts and types of user-editable memory. Make sure that the address you are trying to write to physically exists in the controller.

  3. The field you are trying to edit is read only.

    • In order to be able to edit a field, the field must be specified as a read/write field. This can be done by selecting the Read/Write radio button in the define field dialog box.


Unexpected Values Are Appearing on the Panel

If you are getting unexpected values out of your controller, there are two things you can check.

  1. Make sure you are looking at the correct registers!

  2. Double click on the field that is giving the incorrect value and see if there is any scaling being applied. Whenever you double click on the field, a dialog box will appear. Look underneath the section entitled Scaling. If there are any numbers displayed in the boxes that are not grayed out, then the data being transferred in from the controller is getting scaled by some factor.


Asterisks Appear on the Screen Instead of Numbers

If asterisks are appearing on the screen instead of numbers, you are getting an 'out-of-range' error. This can be fixed by increasing the physical size of the field (double click on the field and increase the value beside of width).

For example, if you have a single digit field and try to display a two digit number, you would need to increase the physical size of the field.


Touchscreen Panels

Can't Get Into Configuration Mode


The Keyboard Macro Editor Help File

The Keyboard Macro Editor is a feature that allows the user to associate certain functions with keys or touchcells on a panel. This feature may be accessed by either selecting Keyboard Macro Editor from the Project menu or clicking on the appropriate icon in the Extra ToolBelt.

Each of the available functions are called elementary macro commands. They can be accessed by clicking on the proper icon in the Commands toolbar from within the Keyboard Macro Editor. Advanced commands, called complex macro commands, are composed of two or more elementary macro commands. For example, "Go to page 2" is an elementary macro command. "Select Field 5, Begin Data Entry" is a complex macro command composed of two elementary macro commands. Complex macro commands function by executing each of the elementary macro commands in the sequence in which they were entered.

All keys on our panels can be programmed. However, it is our strict recommendation that you do NOT program the ENTER key. If the ENTER key needs to be programmed, please leave at least one page where the ENTER key is not programmed. The panel uses the ENTER key to access the panel command menu and Configuration Mode. If the ENTER key is programmed on all pages to perform a function other than it's default function, the user will be locked out of Configuration Mode and will NOT be able to download to the panel, change the project file, etc.

  • Keyboard Macro Editor Dialog Box
  • A Quick Start Example
  • Multiple Field Data Entry
  • Tips and Techniques


Keyboard Macro Editor Dialog Box

The Keyboard Macro Editor dialog box is shown in the screen capture below. To find out more information about a specific part of the dialog box, click the left mouse button once on the area you are interested in.

Function Keys Key States Index Tabs Icons Macro Configuration Window Delete Append - Insert OK Cancel Help


A Quick Start Example

This example describes the steps necessary to create a simple macro.

  1. Place the panel into Configuration Mode.

  2. Connect the panel to the personal computer using a CA1 or CA2 cable.

  3. Start the Designer for Windows software package. Make sure that the project file is set up to work with the panel you are using. This can be accomplished by selecting Get Panel Resources from the Transfers menu and choosing OK.

  4. Activate the Keyboard Macro Editor by either selecting the [image] icon in the Extra ToolBelt or by selecting Keyboard Macro Editor from the Project menu.

  5. The Macro Editor dialog box will be displayed. Click on the key you wish to assign a macro to and click on Pressed beside of Key states. Click on the All Pages index tab. The macro is now set up to function whenever the key is pressed on any page of the project.

  6. Click on the [image] icon in the toolbar. This icon represents the elementary macro command Go to page.

  7. Another dialog box will pop up, allowing the user to enter the page number that the panel is supposed to go to whenever the key is pressed. In this case, we are going to have the panel go to page 2 whenever the key is pressed. Therefore, enter a 2 in this box and click on OK.

  8. The list box located at the bottom left hand side of the Macro Editor dialog box will list the defined macro. Press OK to confirm the command. This will return the user to the page editor workspace.

  9. Type the text Page 1 in the topmost row of the current page.

  10. Press the F7 key to create another page. Press the Page Down button on the keyboard to move to this page. Type the text Page 2 in the topmost row of this page.

  11. Select Download from the Transfers menu. The project file will be downloaded to the panel.

  12. When the download is completed, the panel will go into Operation Mode and display the text Page 1 that was entered in step 9.

  13. Press the key to which the macro was assigned. The panel will go to the second page of the project, indicated by the text Page 2 appearing on the display.

It is suggested to repeat this example using other macros in order to gain familiarity with the Keyboard Macro Editor and the effects the macros will have on the functionality of the panel.


Function Keys

These are the keys that are available to be programmed. All of the keys on a UniOP panel may be programmed. Select which key you wish to program by clicking on the left or right arrow key on the scroll bar and then clicking on the key itself. You can tell which key is selected by looking at its color. It will appear lighter in color than other keys of the same nature (i.e., keys F1 through F36 will look a certain way, keys 0 through 9 will look a different way, etc.). As can be seen in the screen capture below, the key F3 has been selected to be programmed. Note the difference in color between F3 and the other function keys.

Please do not program the ENTER key. If you must program this key, please leave at least one page where this key is not programmed - the user MUST leave a way for the panel to get back into Configuration Mode.


Multiple Field Data Entry

Panels that contain firmware version 4.07G and greater offer the capability of multiple field data entry. This feature allows the user to edit more than one field without exiting Data Entry Mode.

In order to use this feature, the user will need to create a macro key that is programmed in the following manner:

- In the Pressed state, the key needs to be programmed with the macro Begin Data Entry.

- In the Released state, the key needs to perform the following elementary macro commands in sequence:

  1. Confirm Data Entry
  2. Begin Data Entry
  3. Go to Next Field
  4. Begin Editing Value

Click here to see an example using Multiple Field Data Entry.


Example

If you want to have F1 programmed as the key that performs this function, you would perform the following steps:

  1. Select Keyboard Macro Editor from the Project menu (you can also click on the Keyboard Macro Editor icon [image] located in the ToolBelt)
  2. Click on the F1 icon at the top of the page.
  3. Click on the Pressed radio button beside Key states.
  4. Click on either All Pages or Page n, depending upon if you want this key to function in all pages or on only one specific page.
  5. Click on the Begin Data Entry icon [image] in the toolbar.
  6. Click on OK.

Click here to view animation of the process

Now we need to program the key for the Released state:

  1. Enter the Keyboard Macro Editor as previously described.
  2. Click on the F1 icon at the top of the page.
  3. Click on the Released radio button beside Key states.
  4. Click on the Data Entry index tab.
  5. Click on the Confirm Data Entry icon [image] in the toolbar.
  6. Click on the Begin Data Entry icon [image] in the toolbar.
  7. Click on the Go To Next Field icon [image] in the toolbar.
  8. Click on the Data Editing icon [image] in the toolbar.
  9. Click on OK.

Click here to view animation of the process

To use the macro that was just created, simply press the F1 key. A read/write data field will be selected, allowing you to enter the value for that field. Pressing F1 again will confirm your data entry and advance you to the next read/write field on the page. Repeat this process until all of the fields have been edited. Pressing the ENTER key will return the panel to normal operation.


Index Tabs

The Index Tabs display all of the operating modes of the panel that are available for programming. An important point to remember is that each key may have different functions in each mode of operation. For example, F1 could be programmed to acknowledge an alarm in Alarm Mode, command the panel to display page 7 in Page mode, and to cancel the value entry in Data Entry Mode. Click on one of the modes below to learn more about it's specific features.

  • System
  • All Pages
  • Page n
  • Data Entry
  • Alarm
  • Command Menu
  • Event List
  • Time/Date


System

System Mode

This operation mode is used in the setup of toggle keys.

Icons

Toggle Relay The key you assign to this elementary macro command will function like a toggle push-button, changing the value of a bit each time the key is activated. The bit may take on values of either 0 or 1. The user will be asked to specify the control relay bit which is to be toggled.


All Pages

All Pages Mode

Keys that are programmed in this operation mode will be active in all pages of the project. This means that the user needs to define (i.e., program) the key only once on one page of the project. The key will perform its specified function on each and every page of the project, regardless of what page the user is on when the key is programmed.

Please be aware that if the user is programming a key in All Pages mode and in Page n mode (where n is an integer representing a specific page of the project), Page n mode will be active only when you are on page n. For example, assume F1 is programmed in All Pages mode to go to page 1 and in Page n mode (let's use page 4) to ask for a password. Pressing F1 on any page EXCEPT page 4 will take the user back to page 1. When the user is on page 4 and presses F1, the panel will ask for a password to be entered.

Icons

First screen

Second screen - accessed by pressing the white arrow at the right end of the first row of icons

The following descriptions of the icons progress from left to right.
 | Go to page | This command will cause the panel to display a specific page (the user will be asked for the specific page number).
 | Return to initial page | This command will cause the panel to return to the page that was displayed before the 'Go to page' macro command was executed.
 | Password Protect | This command allows the user to require that a password be entered before executing any macros that follow. The panel will not prompt the user to enter the password, rather the user must enter the password by using the Password selection in the panel command menu. If the password is not active, the panel will simply not execute any macro commands that follow. A dialog box will appear, allowing the user to specify which password(s) must be active.
 | Show Alarm List | This command will switch the panel to Alarm mode and display the currently active alarm(s). This is designed to be used when a user does not want the alarm list to appear every time there is an active alarm. Rather, the user wants to be able to bring up the alarm list on demand. Note that the proper control bit in the RDA must be set to disable the automatic popup of the alarm list. This macro will work ONLY if there are active alarms.
 | Show Event List | This command will display all of the events that are currently stored in the event list. This macro will ONLY work if there are events in the list.
 | Printout on/off | This command allows the user to print the current page, the alarm list, or the event list. This command will toggle the printer. In other words, if the printer is not printing, then activating the key that has this macro command assigned to it will cause the printer to begin printing. Likewise, if the printer is in the process of printing, activating the key that has this macro command assigned to it will cause the printer to cease printing.
 | Print Report | This command allows the user to print a report.
 | Scroll to line | This command allows the user to specify the page row that is to be considered the topmost row of the display. Activating this command will scroll the panel to the 'new' topmost row. This is useful when there are more lines on a page than there are viewable lines on the panel. This macro will function only when there are enough defined lines to make the selected line the topmost line (for example, the user can not specify line 30, since there are only 32 displayable lines per page).
 | Select data entry field | This command allows the user to select which field they wish to edit. This command only selects the field; to edit it, the user must begin data entry. Note that fields are counted from left to right, top to bottom on the panel. Attributes, time data fields, and date data fields are counted as fields. The user should keep this in mind whenever selecting the field number.
 | Begin Data Entry | This command will switch the panel into data entry mode. The user may edit any field on the page that is a read/write field. The user may now select the field and press ENTER to begin editing the value.
 | Data Editing | This command will select a digit of the field and allow the user to begin editing the value. This functions mainly as an ENTER key and should be used in a complex macro command following begin data entry.
 | Data Entry Popup toggle | This command is used with a touchscreen panel and will either enable or disable the numeric keypad that appears on the panel once the user enters Data Entry Mode and presses the ENTER key (or uses the complex macro command begin data entry and data editing). The numeric keypad will appear on the panel by default. This command is mainly used if a user would wish to turn this keypad off.
 | Send Command | This command allows the user to send ASCII commands to the controller. Note that this command is only available with certain PLCs and motion controllers. When used with a motion controller, the user will be able to enter the ASCII string that is to be sent. When used with a controller, the user will only be able to select from a given list of commands.
 | Write to Controller | This command allows the user to write constant values to the controller memory. The user will be prompted for the desired location and the numeric value.
 | Toggle Relay | This command allows the key to behave as a toggle push button. The user will be prompted for the control relay bit which is to be toggled. This bit can take on the values of 0 and 1.
 | LED state | This command allows you to set the state of any LED that is attached to the keys on your panel. The user may select ON, OFF, BLINK, or DEFAULT. The default state is determined by the value of the bits in the RDA.
 | Scroll up | This command will scroll the page up a line.
 | Scroll down | This command will scroll the page down a line.
 | Wait | This command allows the user to pause for a specified amount of time before execution of the next macro command. Note that the time is entered in tenths of a second. Therefore, if you want a delay of one second, you would enter a 10.
 | Right arrow | This key will take you to the next set of icons available for programming.
 | Left arrow | This key will take you to the previous set of icons available for programming.
 | Step | This command allows the user to increase or decrease the numeric value of a register. The user may enter a step size, as well as minimum and maximum values which the register may not exceed.
 | Display text | This command will display text at any location in the visible portion of the page. The user will be prompted for the text to be displayed, as well as the row on the display screen where the text is to be shown.
 | Attribute | This command lets the user specify the display attribute of an area of the page. Available attributes are reverse, blink, and highlight. The user will be prompted for the row, column, width, and height (as well as the attribute type) of the area that the attribute is to affect.
 | Recipe Control | This command allows the user to perform a recipe function. The user may program the macro to download, upload, or select a particular parameter set. Following this, the user must enter the page number and the parameter set that is to be affected. Entering a 0 for the page number and/or the parameter set will cause the current page/parameter set to be chosen.
 | Passwords | This command will request the user to enter a password. There must be passwords defined in the project for this macro to have any effect.
 | Next page | This command will cause the panel to display the next page, providing you are not on the last page of the project.
 | Previous page | This command will cause the panel to display the previous page, providing you are not on the first page of the project.
 | Brighter display | This command increases the brightness of a vacuum fluorescent display panel and the contrast of an LCD display panel.
 | Dimmer display | This command decreases the brightness of a vacuum fluorescent display panel and the contrast of an LCD display panel.
 | Passthrough mode | This command allows the user to enable or disable passthrough mode. This is designed so the user can go on-line with the controller without disconnecting any cables. This feature is known to work with some controllers using RS-232. Later versions of the software will include more protocols and controllers.
 | Clear Event List | This command will clear all of the entries from the queue of events.
 | Control Variable Step | This command allows the user to step through a set of control variables. This command eliminates the necessity of having to explicitly enter the specific control variable field number.
 | Go to Recipe Menu | This macro sets the Recipe Page for Selection and jumps to the specified page. Please see the section on Recipe Menus in the Recipe section of the main help file for further explanation.
 | Scroll Recipe Menu | This macro is used to move the selection in the Recipe Menu field. Please see the section on Recipe Menus in the Recipe section of the main help file for further explanation.
 | Confirm Recipe Menu Selection | This macro accepts the selected parameter set name and sets the current recipe parameter set to the new value. Please see the section on Recipe Menus in the Recipe section of the main help file for further explanation.


Page n

Page n Mode

This mode of operation has the same available elementary macro commands as All Pages Mode. Please see All Pages mode for pictures and descriptions of the icons.

Please be aware that if the user is programming a key in All Pages mode and in Page n mode (where n is an integer representing a specific page of the project), Page n mode will be active only when you are on page n. For example, assume F1 is programmed in All Pages mode to go to page 1 and in Page n mode (let's use page 4) to ask for a password. Pressing F1 on any page EXCEPT page 4 will take the user back to page 1. When the user is on page 4 and presses F1, the panel will ask for a password to be entered.


Data Entry

Data Entry Mode

Keys that are programmed in this mode of operation will be active only when the panel is in the process of data entry.

Icons

The following descriptions of the icons progress from left to right.
 | Next field | This command will position the cursor on the next read/write field. Fields are sorted in the direction left to right, top to bottom. This directionality defines what is considered to be the next field. If a field is read only, it will be skipped and the cursor will fall on the next available read/write field. This is because a field that is read only can not be edited.
 | Previous field | This command will position the cursor on the previous read/write field. This command is similar to the above command 'Next field'.
 | Field down | This command will position the cursor on the next available read/write field directly below the currently selected field. If your data fields are not aligned vertically, this command has no functionality.
 | Field up | This command will position the cursor on the next available read/write field directly above the currently selected field. If your data fields are not aligned vertically, this command has no functionality.
 | Step | This command allows the user to increase or decrease the numeric value of a register. The user may enter a step size, as well as minimum and maximum values which the register may not exceed.
 | Confirm | This command confirms the entered value and exits Data Entry Mode.
 | Cancel | This command cancels the entered value and exits Data Entry Mode.
 | Erase | This command will erase the entry text.
 | Begin data entry | This command will switch the panel into Data Entry Mode. The user may edit any field on the page that is a read/write field.
 | Data editing | This command will select a digit of the field and allow the user to begin editing the value, providing the field is set up as read/write.
 | Write to Controller | This command allows the user to write constant values to the controller memory. The user will be prompted for the specific memory location, as well as the value to be written.
 | Toggle Relay | Allows the key to behave as a toggle push-button. The user will be prompted for the controller bit which is to be toggled.
 | Wait | This command allows the user to pause for a specified amount of time before execution of the next macro command. Note that the time is entered in tenths of a second. Therefore, if you want a delay of one second, you would enter a 10.
 | Control Variable Step | This command allows the user to increment or decrement a control variable field (such as parameter set select or to change the language).


Alarm

Alarm Mode

Keys that are programmed in this mode will be active only when the panel is in Alarm Mode.

The following descriptions of the icons progress from left to right.
 | Write to Controller | This command allows the user to write values to the controller. The user will be prompted for the specific memory location, as well as the value to be written.
 | Toggle Relay | This command allows the key to behave as a toggle push button. The user will be prompted for the control relay bit which is to be toggled. This bit can take on the values of 0 and 1.
 | Wait | This command allows the use to pause for a specified amount of time before execution of the next macro command. Note that the time is entered in tenths of a second. Therefore, if you want a delay of one second, you would enter a 10.
 | Page Mode | This macro is used to return back to page mode. Alarm mode displays the active alarm, while page mode displays the current page.
 | Acknowledge alarm | This command will acknowledge an active alarm.
 | Scroll up | This command will show the next alarm, assuming more than one alarm is active.
 | Scroll down | This command will show the previous alarm, assuming more than one alarm is active.
 | Print alarms | This command will print all of the active alarms.
 | Go to alarm page | If an alarm page has been specified for the currently active alarm, this macro command will take the user to that specified page.
 | Control Variable Step | This command allows the user to increment or decrement a control variable field (such as parameter set select or to change the language).


Command Menu

Keys that are programmed in this mode are only active when the panel is in the Command Menu.

Icons

The following descriptions of the icons progress from left to right.
 | Page Mode | This is used to return the panel to current page mode from alarm mode.
 | Left | This command will position the cursor on the command directly to the left of the currently selected command.
 | Right | This command will position the cursor on the command directly to the right of the currently selected command.
 | Up | This command positions the cursor on the command directly above the currently selected command.
 | Down | This command positions the cursor on the command directly beneath the currently selected command.
 | Confirm | This command confirms the menu selection.
 | Control Variable Step | This command allows the user to increment or decrement a control variable field (such as parameter set select or to change the language).


Event List

Keys that are programmed in this mode are active only when the panel is in the Event List Mode.

Icons

The following descriptions of the icons progress from left to right.
 | Clear Event List | This command will clear all of the entries from the queue of events.
 | Page Mode | This is used to return the panel to current page mode.
 | Scroll up | This command will scroll the event list up.
 | Scroll down | This command will scroll the event list down.
 | Control Variable Step | This command allows the user to increment or decrement a control variable field (such as parameter set select or to change the language).


Time/Date

Time/Date Mode

Keys that are programmed in this mode are active only when the panel is in the Time/Date Mode.

Icons

The following descriptions of the icons progress from left to right.
 | Page Mode | This is used to return the panel to current page mode.
 | Next field | This command positions the cursor on the next read/write field. Directionality of fields is defined as left to right, top to bottom. This direction is what determines which field is actually the 'next' field. Note that if a field is not a read write field, the cursor will skip to the next available field that is a read/write field.
 | Increment | This command increments the selected field to the next value.
 | Decrement | This command decrements the selected field to the next value.
 | Control Variable Step | This command allows the user to increment or decrement a control variable field (such as parameter set select or to change the language).


Tips and Techniques

  1. The macros effectively change the functionality of the panel keyboard. Keys can be programmed to have a completely different meaning in different pages and, if not well planned, the final effect can be very confusing to the operator. We recommend that you use page-specific macros sparingly. Most of your macros can be programmed in All Pages Mode. The panel operator would then have less difficulty remembering which function key performs what operation. If your application requires that your function keys have different meanings on different pages, inform the operator by placing some static text onto that page. For example, you may have this on page 4 'F4 will print the event list'. The macros also use the available memory of the panel. While this is almost never a problem, exceptionally large project files (in excess of 100 pages) with numerous macro commands can easily require 15K of memory for storing the macro definitions.

  2. The execution of the macro command requires a certain amount of time and processing power that comes from the main processor within the panel. Below is a macro that might take a relatively long time to execute. These types of macro should either be avoided or used only at times when the application is not critical.

    Go to page 1

    Print page toggle

    Wait 50 tenth(s) of a second

    Go to page 2

    Print page toggle

    Wait 50 tenth(s) of a second

    Go to page 3

    Print page toggle

    Wait 50 tenth(s) of a second

    Go to page 4

    Print page toggle

    In this example, it is necessary to insert the 'Wait' macro command before printing the next page. This allows the panel to spool the contents of the page to the printer. Otherwise, the panel would be buffering and sending the pages faster than the printer could print them, resulting in erroneous output.

  3. If you are having problems getting your macros to work, please do the following:

    • make sure that your firmware version is 3.12 or above. This version number is displayed in the first row of the screen when the panel is in Configuration Mode.

    • verify that your macro is not programmed for a different page than the one you are currently testing. This applies only to those macros that are programmed for specific pages.

    • if you have programmed a macro in All Pages Mode, verify that it is not being nullified by some other macro defined specifically for the page where you have the problem.

    • read the specification of the macro commands in the Index Tab section.

  4. When using the macro command Attribute, the command will be written to the specified screen location. For example, assume a user has a 4 line panel and has a key programmed to assign an attribute of reverse to the screen location of row 2, column 1, height of 1, width of 1. Wherever the user is at on the page, executing this macro will assign the reverse attribute to the second displayed row on the panel.
  5. If the user decides to program the 0 numeric key, they may not be able to edit values on a page where 0 is also used as the INSERT key.
  6. A key can be programmed in BOTH the pressed and released states.
  7. In general, macro commands that switch operating modes are not valid! Programming a key to function in more than one operating mode within a single macro command will not work. For example, the following macro command goes from Password Mode to Data Entry Mode to Page Mode and will not work properly.

    Enter Password

    Begin Data Entry

    Confirm Data Entry

    Go to Page 7


UniNET Network

With the UniNET Network many operator panels can be networked together. In this way, any panel on the network can access data from any of the PLCs attached to other panels on the network. The UniNET network is a token passing network which can contain a maximum of 32 nodes. Each operator panel on the network has a unique node number.

Operator panels in a UniNET network can be classified into two categories, Servers and Clients. A Server is a panel which is directly attached to a PLC, it can read data from and write data to the PLC. A Client is a panel which is not directly attached to a PLC, but which can access data from any PLC that is attached to a Server in the same network. Similarly a Server can also access data from any PLC that is attached to any other Server in the same network.

The UniNET network is very powerful it can provide the following capabilities:

  • Up to 32 operator panels can access and display the data from a single PLC.

  • Every panel in a UniNET network can access data from any PLC that is attached to a Server in the network.

  • The PLCs attached to the Servers in the UniNET network can be of different manufacturer brands and different model types.

The UniNET network is a token passing network and it is therefore necessary that every panel on the network has it's own unique node number for identification. The node number for the panels can only be set by the Designer. Generally the easiest way to manage the UniNET network is to first configure the layout of the entire network. This involves deciding the following points:

  • How many Servers and how many Clients are required

  • Which COM port on the panels to use for the UniNET connection (either the Printer Port or the PLC port can be used for the UniNET connection)

  • Which PLC manufacturer brand and model type to use for the Servers

The UniNET network can be easily configured using the Network Configuration dialog box.

Once the network is configured it is a good idea to save the network configuration to disk. This can be done by invoking the Network Configuration box and by selecting Export. This will allow the Network Configuration information to be saved in a Network configuration file with the extension .NET. Subsequently it will be possible to read in the Network configuration data by selecting Import in the same dialog box.

The next step in using the UniNET network is to specify which node is to be used for the current project file. When the project file is downloaded to the attached panel the node number will then be assigned to the panel. The node number for the project file can be assigned by invoking the Panel Setup dialog box.

The step of enabling the UniNET network, assigning a node number and then downloading the project file must be repeated for every panel in the UniNET network. If it is necessary to display different data on every node in the UniNET network then it will be necessary to create a new project file for every node in the UniNET network. In this case, to ensure that the Network Configuration is consistent for all the nodes, and to save time reconfiguring the network, it is highly recommended that the Network be configured only once and that the Network Configuration data be stored on disk in a Network configuration data file. Then every time a new project file is created for one of the nodes in the network this same Network configuration file can be imported to recreate the Network Configuration.


Network Type Selection Dialog Box

The first time the Network Configuration menu item from the Options menu is selected the Network Type Selection dialog box is displayed. With this dialog box the type of the UniNET Network can be selected. Selecting the Network Type simplifies the configuration of the network because Designer, once it knows the type of network and the number of Servers and Clients required, can generate the Network Configuration for you based on Default values. There are 3 network types available.

The required network type can be selected by pressing one of the three buttons on the left of the dialog box. You will see that when one of the buttons is pressed a description of the corresponding network type is displayed to the right of the buttons. When you have selected the required network type and are happy with your selection then press OK. If you want to cancel your selection and exit the dialog box then press Cancel.

There are 3 types of Networks that can be selected with this dialog box:

  • Single Server, Multiple Clients. This network type contains only a single Server panel attached to a PLC and also contains one or more Client panels.

  • Multiple Servers, Multiple Clients. This network type contains two or more Server panels attached to PLCs of the same manufacturer brand and also contains one or more Client panels.

  • Mixed Multiple Servers, Multiple Clients. This network type contains two or more Server panels attached to PLCs of different manufacturer brand and also contains one or more Client panels.

The Single Server, Single Client is the simplest network configuration. The Mixed Multiple Servers, Multiple Clients is the most advanced configuration. With this configuration the network is not configured automatically by Designer but rather the network configuration is fully configurable by the user.

When Single Server, Multiple Clients is selected and the OK button is pressed then a dialog box is displayed in which the number of required Servers can be entered.

When Multiple Servers, Multiple Clients is selected and the OK button is pressed then a dialog box is displayed in which the number of required Servers and the number of required Clients can be entered.


Network Configuration Dialog Box

The first time the Network Configuration menu item from the Options menu is selected the Network Type selection dialog box is displayed. With this dialog box the type of the Network can be selected and default values for the Network Configuration are generated automatically in the case of Network Types of Single Server, Multiple Clients and Multiple Server, Multiple Client. To subsequently modify the default values for the Network Configuration or to add new nodes to the configuration the Network Configuration Dialog Box can be used. This dialog is invoked by selecting the Network Configure menu item from the Options menu after the Network Type has been selected.

Network Configuration Dialog Box Controls

Adding New Nodes

Deleting Existing Nodes

Modifying Existing Nodes


Network Configuration Dialog Box Controls

The Network Configuration Dialog Box contains the following controls:

Maximum Node Number

Panel Node

Comm Port For Network

Printout Node

Num Comm Retries

Comm Time Out

Panel Type

Configured Nodes

Add/Modify

Delete

OK

Cancel

Net Comm

Export

Import


Maximum Node Number

The UniNET network is a token passing network. When the panel that currently has the token has finished with it, it attempts to pass the token onto the next node. The Maximum Node Number specifies the highest node number to which the token should be passed. To ensure that all nodes can receive the token this number should be set to the node number for that of the node with the highest node number. To maximize the performance of the UniNET network, the Maximum Node Number should be as small as possible, while still being equal to or greater than the highest node number.


Panel Node

The UniNET network is a token passing network. Every panel in the network must have a unique node number for identification. The node number can have a value between 1 and 255. The Panel Node control is used to assign a node number to a panel in the UniNET network. This node number is the one and only way of addressing a panel on the network. The first step in adding a new node to the network configuration is by specifying a new node number in this control. Once the node number has been entered the other configuration data for the node can be specified.


Comm Port For Network

Every panel in the UniNET network must be connected to it. This connection can be made either to the Printer port on the panel or to the PLC port on the panel. If the connection is made to the Printer port then no printer can be attached to the panel, while if the connection is made to the PLC port then no PLC can be attached to the panel. Therefore a panel that is to be used as a Server should have it's UniNET connection made to the Printer port. For a panel that is to be used as a Client the UniNET connection can be made either to the Printer port or to the PLC port. However, for a Client, it is preferable to make the connection to the PLC port to enable a Printer to also be attached.

The nodes in a UniNET network do not all have to use the same Comm port for the connection to the network. Some can use the PLC port for the connection and others can use the Printer port.

The Comm Port For Network control is only enabled when a valid number has been entered in the Panel Node control. If the Panel Node control is empty or if it contains an invalid number then the Comm Port For Network control is disabled. When the control is enabled either the PLC port or the Printer port can be selected for the UniNET connection. The selection applies to the panel with the node number given by the Panel Node control.


Printout Node

Panels that are attached to the UniNET network can redirect their printouts to other panels attached to the network. This is particularly useful for Server panels which can not be connected directly to a printer as their Printer ports are used for the connection to the UniNET network. The nodes in a UniNET network do not all have to use the same node for printing, however, if they do, a single panel can act as the printing node for the entire network.

The Printout Node control is only enabled when a valid number has been entered in the Panel Node control. If the Panel Node control is empty or if it contains an invalid number then the Printout Node control is disabled. When the control is enabled the node number of the panel to which printouts should be redirected can be selected. The selection applies to the panel with the node number given by the Panel Node control.


Num Comm Retries

Panels that are attached to the UniNET network communicate with other panels when they require data from the PLCs attached to the other panels on the network. In a network, nodes can be disconnected or turned off, so to ensure that the entire network does not hang under these cases it is important that communication attempts do not continue indefinitely. With the Num Comm Retries control, the number of times that a panel should attempt to read information from another panel over the UniNET network, before giving up, can be specified.

The Num Comm Retries control is only enabled when a valid number has been entered in the Panel Node control. If the Panel Node control is empty or if it contains an invalid number then the Num Comm Retries control is disabled. When the control is enabled the number of communication retries for the communication with other panels over the UniNET network can be selected. The selection applies to the panel with the node number given by the Panel Node control.


Comm Time Out

Panels that are attached to the UniNET network communicate with other panels when they require data from the PLCs attached to the other panels on the network. In a network, nodes can be disconnected or turned off, so to ensure that the entire network does not hang under these cases it is important that communication attempts do not continue indefinitely. With the Comm Time Out control, the maximum duration of a single communication attempt where a panel attempts to read information from another panel over the UniNET network can be specified.

Communication between nodes over a network can require several seconds. Therefore, to ensure that communication attempts are not aborted before they have even begun, the time out value should not be set to too small a value. Generally a time out of between 2 and 10 seconds should be sufficient.

The Comm Time Out control is only enabled when a valid number has been entered in the Panel Node control. If the Panel Node control is empty or if it contains an invalid number then the Comm Time Out control is disabled. When the control is enabled the communication time out for communication attempts with other panels over the UniNET network can be selected. The selection applies to the panel with the node number given by the Panel Node control.


Panel Type

Panels that are attached to the UniNET network can be either Servers or Clients. Clients are not attached directly to any PLC, while Servers are. Servers can be attached to PLCs of different manufacturer brand names. The Panel Type control enables the type of the panel to be selected. With this control the panel can be specified as being a Client or a particular PLC manufacturer brand Server. The list box of this control lists all the supported types of Servers as well as the Client type. A panel can be configured as a Client simply by selecting the Network Client entry in the list box. A panel is configured as a Server by selecting the particular manufacturer brand of PLC to which the panel is to be attached.

The Panel Type control is only enabled when a valid number has been entered in the Panel Node control. If the Panel Node control is empty or if it contains an invalid number then the Panel Type control is disabled. The selection applies to the panel with the node number given by the Panel Node control.


Configured Nodes

Nodes that have already been configured for the UniNET network are listed in the Configured Nodes list box control. The list box shows the node numbers of the configured nodes together with their panel types of either Network Client or the particular PLC manufacturer brand of Network Server.

To view the complete set of information relating to a particular configured node the required node can be selected from the list box by clicking once with the mouse on the entry for the required node. Doing so results in all the information pertaining to this node being displayed in the controls of the Network Configuration dialog box.

In the case of a Server panel the information relating to the PLC setup for the PLC attached to the panel can be displayed by clicking twice with the mouse on the entry for the required node. Doing so results in the PLC setup dialog box for the PLC manufacturer brand specified for the Server being displayed. This dialog box contains information as to the exact PLC model type, the PLC communication parameters and other PLC specific information.

The Configured Nodes control is only enabled when at least 1 node has been configured.


Add / Modify

The Add / Modify control is used to add new nodes to UniNET network configuration and to confirm the modifications of existing nodes.

The Add / Modify control is only enabled when a valid node number has been entered in the Panel Node control and when a valid selection has been entered for the Panel Type in the Panel Type list box.

If the node number specified in the Panel Node control is the same as an already configured node then pressing the Add / Modify button overwrites the existing data for this node with the data currently displayed in the Comm Port For Network, Num Comm Retries, Comm Time Out, Printout Panel and Panel Type controls.

If the node number specified in the Panel Node control is not the same as an already configured node then pressing the Add / Modify button adds a new node to the UniNET network configuration with the data currently displayed in the Comm Port For Network, Num Comm Retries, Comm Time Out, Printout Panel and Panel Type controls.

When the Add / Modify button is pressed for a Server node then the PLC setup dialog for the particular PLC manufacturer brand used for this node is displayed. This gives the opportunity to specify the particular PLC model type to be used, the PLC communication parameters and other PLC specific information.


Delete

The Delete control is used to remove already configured nodes from the UniNET network configuration.

The Delete control is only enabled when an existing node is selected from the list of configured nodes. Pressing the Delete button will remove the selected node from the UniNET network configuration.


OK

If you are happy with the changes that you have made in the Network Configuration dialog box then select OK. This will make your changes permanent and exit the dialog box.


Cancel

If you are not happy with the changes that you have made in the Network Configuration dialog box then select Cancel. This will exit the dialog box, throwing away your changes and restoring the data that was present before the Network Configuration dialog box was entered.


Net Comm

Selecting this button displays the Communication Parameters dialog box. This dialog box is used to enter the communication parameters for the UniNET network as a whole. Communication parameters of Baud Rate, Number Of Stop Bits, Parity and Number of Start Bits can be set. Every panel in the UniNET network must use the same set of communication parameters, therefore the settings entered in this dialog box apply to every configured node.

To achieve the optimum performance from the UniNET network it is best to use the highest supported Baud Rate. For the UniNET network a maximum Baud Rate of 19200 can be supported.


Export

When a UniNET network has been configured the data is stored in the project file. Therefore whenever the project file is saved and then subsequently loaded from disk the UniNET network configuration data will be restored. However, when creating project files for the different nodes in a UniNET network it is often useful to be able to read in an existing UniNET network configuration without having to load in a complete project file. This is possible by using the Import and Export buttons in the Network Configuration dialog box.

By pressing the Export button it is possible to save only the UniNET network configuration to disk. The information is saved in a file with the default extension .NET. The UniNET network configuration can then subsequently be read in by pressing the Import button.

When the Export button is pressed the Save File As... dialog box is displayed. This dialog box can be used to specify the file name and directory path for the network file.


Import

When a UniNET network has been configured the data is stored in the project file. Therefore whenever the project file is saved and then subsequently loaded from disk the UniNET network configuration data will be restored. However, when creating project files for the different nodes in a UniNET network it is often useful to be able to read in an existing UniNET network configuration without having to load in a complete project file. This is possible by using the Import and Export buttons in the Network Configuration dialog box.

By pressing the Export button it is possible to save only the UniNET network configuration to disk. The information is saved in a file with the default extension .NET. The UniNET network configuration can then subsequently be read in by pressing the Import button.

When the Import button is pressed the Open File dialog box is displayed. This dialog box can be used to specify the file name and directory path for the network file that is to be read in.


Adding New Nodes

To add a new node to the UniNET network configuration perform the following steps:

  1. Decide upon the node number to use for the new node. The node number should not be the same as the node numbers for any of the already configured nodes. Enter the node number in the Panel Node control. Entering a valid node number will result in the other controls for entering network node data being enabled.

  2. Decide which comm port, on the panel which is to be used as this node, to use for the UniNET connection. If the panel is to be a Server then the Printer port should be used while if the panel is to be a Client it is preferable to use the Printer port. Select the required comm port using the Comm Port For Network control.

  3. Decide which node to use for printouts. If you want to redirect the printouts to a different panel then enter the node number of this other panel in the Printout Node control. If you do not want to redirect the printouts then enter the same node number as entered in the Panel Node control in the Printout Node control. Remember that the node used for printouts can not have the UniNET connection made to the Printer port.

  4. Enter the values for the UniNET parameters Number of Retransmissions and Time Out. Generally, a value of 3 for the Number Of Retransmissions and a value of 10 seconds for the Time Out should work well.

  5. Decide whether the new node is to be a Client or a Server. If it is to be a Server decide which PLC manufacturer brand is to be attached to the panel which is to be used as this node. If the panel is to be a Client then select Network Client in the Panel Type control. If the panel is to be a Server then select the required PLC manufacturer brand from the Panel Type control.

  6. To add the data for the new node press the Add / Modify button. If the panel is to be a Client then you will see that the new node is added immediately to the list of configured nodes. If the panel is to be a Server, however, you will see that the PLC setup dialog box is displayed for the required PLC manufacturer brand. In this case, before the new node is added to the list of configured nodes you must specify the exact PLC model type, the PLC communication parameters and other related information in this dialog box. When the PLC setup dialog box is exited by pressing OK or Cancel the new node data will be added to the list of configured nodes.

  7. Ensure that the Maximum Node Number is not less than the node number of the new node. If it is then increase the Maximum Node Number by 1.


Deleting Nodes

Deleting Existing Nodes

To delete an already existing node from the UniNET network configuration perform the following steps:

  1. Select the node to be deleted by either clicking on the required node once with the mouse in the list of configured nodes, or by entering the node number of the node that is to be deleted in the Panel Node control.

  2. Press the Delete button. You will see that the node is removed from the list of configured nodes.


Modifying Existing Nodes

To modify the data for an already configured node in the UniNET network configuration perform the following steps:

  1. Decide the node number of the node which is to be modified. Select the node to be modified by either clicking on the required node once with the mouse in the list of configured nodes, or by entering the node number of the node that is to be modified in the Panel Node control. You will see that all the UniNET controls are set to the previously configured data for this already configured node.

  2. If you want to change the Comm Port For Network setting then decide which comm port, on the panel which is to be used as this node, to use for the UniNET connection. If the panel is to be a Server then the Printer port should be used while if the panel is to be a Client it is preferable to use the Printer port. Select the required comm port using the Comm Port For Network control.

  3. If you want to change the Printout Node Control then decide which node to use for printouts. If you want to redirect the printouts to a different panel then enter the node number of this other panel in the Printout Node control. If you do not want to redirect the printouts then enter the same node number as entered in the Panel Node control in the Printout Node control. Remember that the node used for printouts can not have the UniNET connection made to the Printer port.

  4. If you want to change the Number Of Retransmissions or the Time Out value then enter the required values for the UniNET parameters Number of Retransmissions and Time Out. Generally, a value of 3 for the Number Of Retransmissions and a value of 10 seconds for the Time Out should work well.

  5. If you want to change the Panel type then decide whether the new node is to be a Client or a Server. If it is to be a Server decide which PLC manufacturer brand is to be attached to the panel which is to be used as this node. If the panel is to be a Client then select Network Client in the Panel Type control. If the panel is to be a Server then select the required PLC manufacturer brand from the Panel Type control.

  6. To add the modified data for the already configured node press the Add / Modify button. If the panel is to be a Client then you will see that the modified node is updated immediately in the list of configured nodes. If the panel is to be a Server, however, you will see that the PLC setup dialog box is displayed for the required PLC manufacturer brand. In this case, before the modified node is readded to the list of configured nodes you must specify the exact PLC model type, the PLC communication parameters and other related information in this dialog box. When the PLC setup dialog box is exited by pressing OK or Cancel the modified node data will be updated in the list of configured nodes.

If you need to only modify the data in the PLC setup dialog box for an already configured Server node, for example to change the PLC model type or the PLC communication parameters, then it is not necessary to go through all the steps above. In this case perform the following steps.

  1. Click on the required node twice with the mouse in the list of configured nodes. This will result in you being prompted as to whether you really want to modify the data. If you select Yes then the PLC setup dialog box for the PLC manufacturer brand selected for this Server will automatically be displayed. If you select No then no more action will be taken.

  2. Make any changes required in the PLC Setup dialog box and press OK to store the modified settings, or Cancel to throw away the modified settings and to restore the previous settings.


Network Node Selection Dialog Box

When only a single Servers is configured for the UniNET network then every PLC data item in the project file can only be read from this single Server. In this case it is not necessary for Designer to prompt the user for the Server Node number whenever the user adds a new PLC data item to the project. However, whenever more than one server is configured in the UniNET Network configuration then it is necessary for Designer to prompt the user for the Server Node number whenever the user adds a new PLC data item to the project.

The Network Node Selection Dialog box enables the user to select the Server node from which a PLC data item is to be accessed. This dialog box is only ever displayed if there are 2 or more nodes configured as Servers and if the UniNET network is enabled in the Panel Setup dialog box. The dialog box is displayed prior to every invocation of the Field Dialog box or the PLC Address dialog box.

The Network Node Selection dialog box consists of three controls:

  1. The Configured Server Node list.

  2. An OK button.

  3. A Cancel button.

The Configured Server Node list lists all the nodes that have been configured as Servers. In order to select the Server Node from which a PLC data item should be accessed simply click the required node once with the mouse button in the list of Configured Server Nodes. Then selecting OK will enact the selection and exit the dialog box. Selecting Cancel will revert the selection to the one that was in force when the Configured Server Node dialog box was first invoked and will exit the dialog box.


Defined Terms

Client

In the UniNET network a Client is an operator panel which is not connected directly to a PLC. It can access data via the UniNET network from Server panels that are attached directly to PLCs.

Server

In the UniNET network a Server is an operator panel which is connected directly to a PLC. It makes the data in the PLC available to other panels via the UniNET network.

Token Passing Network

A token passing network is one in which every node on the network has an opportunity to become the sole Transmitter. At any one time there can only be one Transmitter but every node can be a listener. A node becomes the sole transmitter when it receives the token. It remains the sole transmitter for as long as it keeps the token. When it has finished its transmission it passes the token onto the next node in the network.

UniNET

Is a token passing network to which the operator panels can be connected. A maximum of 32 nodes can be connected in the network. The UniNET network supports a maximum communication speed of 19200 Bauds.


Contents

The TouchScreen Menu

Dialog Boxes Used When Creating Touchcells

Creating Touchcells

A Note on Prior Touchscreen Projects

Using Multilanguage with Touchcells


The TouchScreen Menu

Click on the items in the TouchScreen Menu to see description.


Dialog Boxes Used When Creating Touchcells

General Tab

Text and Colors Tab

Reference Tab

Custom Tab

Preview Window


General Tab

The General tab allows the user to specify the shape and looks of the touchcell. The items listed within the Looks portion of this dialog box are relatively self-explanatory with the exception of the Custom option. Custom will allow the user to choose a custom image, which are typically graphics that are stored on disk.


Text and Colors Tab

Within this dialog box, the legend for the touchcell can be specified and whether it is positioned above the touchcell or in the center of the touchcell, along with the font in which it is displayed.

If a color panel is being used, the color that the text is displayed in (Fg) and it's background color (Bg) can be selected, along with the background color of the touchcell and what color the touchcell will be displayed in when it is pressed (on) and when it is released (off). If a monochrome panel is being used, the user can select only between two colors.


Reference Tab

This area allows the user to specify what address in the controller that the touchcell is to affect (Button reference). If an illuminated pushbutton is being created, the user will also be able to reference the address in the controller that affects the light on the face of the touchcell (Light reference).


Custom Tab

The Custom tab allows the user to select an image for each state of the touchcell that they are creating. The user can click on the state, select the image source (external is from a file, library is from the Graphics subdirectory that is created whenever Designer is installed) and click on Load image ... .


Preview Window

Whenever a touchcell is created, there will be a preview window that appears on the screen. This window allows the user to preview what the touchcell will look like before actually creating the touchcell.

To simulate pressing the pushbutton, click the left mouse button on the touchcell. For an illuminated pushbutton, clicking on the right mouse button will simulate the controller changing states and shows the pushbutton changing colors to reflect this.

The captures below, going from left to right indicate:

- An illuminated touchcell where the controller bit is in the off state.

- An illuminated touchcell where the controller bit is in the on state.

- An illuminated touchcell that has been pressed and the controller bit is in the on state.

- An illuminated touchcell that has NOT been pressed and the controller bit is in the on state.


The Toolbox

Creating a Touchcell as a Panel Key

Creating a Touchcell as an ASCII Character

Creating a Touchcell as an Illuminated Pushbutton

Creating a Touchcell as a Pushbutton

Creating a Touchcell as a Selector Switch

Creating an Indicator Lamp

Creating a Touchcell as a Generic Command (Panel key, Macro, ASCII)


Creating a Touchcell as a Panel Key

A touchcell can be created to act as a panel key by selecting the area where the touchcell will be located and click on the panel key icon.

Within the General tab, the user can select the looks of the touchcell, as well as which panel key the touchcell will behave as.


Creating a Touchcell as an ASCII Character

To create a touchcell as an ASCII character, simply click and drag the area that the touchcell is to encompass and click on the ASCII character icon.

The General tab will appear, allowing the user to specify the looks of the touchcell, as well as the character that is to be transmitted when the touchcell is pressed.


Creating a Touchcell as an Illuminated Pushbutton

When creating a touchcell as an illuminated pushbutton, the user can specify the looks of the button, as well as how it is to behave; either as a momentary, maintained, on or off pushbutton.

The Reference tab allows the user to specify what address in the controller the pushbutton is to affect (Button reference) and the address in the controller that affects the light on the face of the pushbutton (Light reference).


Creating a Touchcell as a Pushbutton

When a touchcell is created as a pushbutton, the user can specify the looks of the button, along with it's behavior (momentary, maintained, on or off). By clicking on the Reference tab, the user can specify what address in the controller is to be affected by the button.


Creating a Touchcell as a Selector Switch

To create a selector switch of N states, you must have selected an area that is N characters wide, or a multiple of N characters. For example, if you wish to create a 3 position selector switch, you must select an area on the panel that is at least 3 characters wide (or 6, or 9, or 12, etc.). If you wish to create a 2 position selector switch, you must select an area that is at least 2 characters wide (or 4, or 6, or 8, etc.).When creating a touchcell as a selector switch, the user has the ability to specify the looks of the switch, as well as the number of states (2, 3 or 4).

Clicking on the Text and Colors tab will allow the user to specify a text for each state of the switch, as well as the colors to be used.

Clicking on the Reference tab will allow the user to specify the address in the controller that is to be affected by each state of the switch.

IMPORTANT: In order for the selector switch to be displayed on the panel, the controller bits associated with the switch must be correctly initialized - ALL BUT ONE OF THE BITS MUST BE IN THE OFF STATE. If this is not done, asterisks will appear on the panel in place of the switch.

For example, if you have a three position selector switch, two of the bits must be set to 0, and one of the bits must be set to 1 in order for the switch to appear on the panel.


Creating an Indicator Lamp

To create an indicator lamp, simply highlight the area in which the lamp will reside and click on the indicator lamp icon. This will bring up a dialog box in which the user can specify the looks of the lamp. Clicking on the Text and Colors tab allows for the specification of the text on or above the lamp, as well as the colors that will be used. Clicking on the Reference tab will allow the user to enter the address in the controller that the lamp is to reflect.


Creating a Touchcell as a Generic Command (Panel key, Macro, ASCII)

This method of creating a touchcell allows the user to configure the cell to act as a panel key, an ASCII character or as a macro command (i.e., go to page, show alarm list, etc.). Within the General tab, the user can setup the looks and functionality of the touchcell.

It is possible to place an LED indicator on the face of the touchcell by clicking on the Reference tab and marking the box entitled Attach to controller reference. The LED will reflect the state of the address entered in the Button reference box.


A Note on Prior Touchscreen Projects

Designer 5.03 and later changes the way that touchcells are created, allowing for such items as pilot lights, selector switches, etc. If you have a touchscreen project file that was created with a version of Designer prior to 5.03 and you attempt to create a touchcell in this project file using Designer 5.03 or later, you will be asked if you want to transform your old touchcells into the new format.

If you desire to do so, your panel must have a firmware version of 4.10E or later or it will not work.

If you choose 'No', you will be able to continue creating touchcells as you have done in the past with earlier versions of Designer.


Using Multilanguage with Touchcells

With Designer version 5.05 and later, and firmware version 4.20 and later, it is possible to integrate multiple languages within the same touchcell. Whenever a user defines a touchcell in a project file that has more than one language created, an additional button will be present in the Text and Colors index tab called Change Language. Clicking on this button will bring up the Language floating toolbar which allows the user to choose the language that they wish to work in. The user may specify the text for the touchcell in each language that is used in the project file. See Multilanguage for more information about multiple languages within a single project file.


Definition of Terms

Acknowledgement

An action performed by the operator which notifies the panel that the operator has noticed an alarm message being displayed by the panel.

Alarm flag

A flag set when an event, typically a violation of some predefined limit value, is detected and considered extraordinary by the PLC. The flag is passed to the panel which handles the corresponding alarm according to its application program.

Alarm handling flags

A set of flags, set or reset by the user during the configuration phase, which determine the way the corresponding alarm is handled by the Panel.

Screen Designer

A software package, run on a PC, which enables the user to easily and quickly define an application program.

Configuration

An initialization procedure, needed to be performed for each panel. During this phase, all the parameters needed to produce an application program tailored to a specific application are defined by the operator using the Screen Designer.

Configuration Mode

The operating mode in which communication with the host running the Designer software package is possible. A panel stays in this mode whenever no program is stored in its application memory. When the program is in the memory, the panel will change to the Configuration Mode upon the request issued by the operator.

Data block

A basic data structure inside the PLC internal memory. Its purpose is defined during the design of the PLC program.

Data field

A basic element of the dynamic part of the Page, actually a space reserved for a variable specified during the configuration. When in the Operation Mode, the panel displays current value of variables in their respective data fields.

Downloading

A process during which the application program is transmitted from the host to the panel over the serial communication line and stored into the panels application memory.

Dynamic entries

A part of the Page, consisting of one or more data fields, in which current values of variables are being displayed.

Event

Each panel treats the setting and resetting of alarm flags, as well as alarm acknowledgements as events.

Function keys

A set of 20 keys located on the Expanded Keyboard whose functions are user-defined. The status of these keys is transferred to the PLC directly, not being influenced by the application program.

Host

A PC workstation on which the Designer is being run and which is connected to the panel via a serial communication line.

Log-in

A process by which the panel identifies the operator and a set of privileges assigned to him. Operators are identified by passwords.

Operation Mode

The mode in which application programs are run. In the stand-alone operation, this mode is entered automatically upon power-up if the application program is in memory. If the panel is connected to the host, it is entered after a start command is issued by the host.

Page

A basic structure for presenting application data on the display. It can be thought of as a sheet of paper, up to 32 lines long, on which current values of variables are presented to the user, accompanied by fixed texts describing them. The number, length and layout of the Pages are defined during the configuration.

Page window

An area of the Screen Designer (UniSD) where the user defines the layout of his Pages. It can be entered from the Main Menu Bar by pressing TAB.

Project file

A file on the host PC containing an application program for the panel.

Read only

A variable or memory location is of the Read only type if it can be read, but not modified by the operator.

Read/Write

A variable or memory location is of the Read/Write type if it can be read and modified by the operator.

Reserved data Areas

Areas of PLC memory set aside to support the communication between the PLC and the panel.

Resources

The built-in display and the application memory are referred to as panel resources. Their size and types should be declared to using the Screen Designer.

Setup

The usual name used for a set of parameters of a programmable device, which are defined once in the configuration phase and then stay constant.

Stand-alone operation

A panel is said to be operating stand-alone when it is running its application program and is connected to the PLC, but not to the host PC. During stand-alone operation, a printer can be connected to the same port to which the PC is connected in the configuration phase.

Static entries

A fixed part of the Page, created in the form of text comments that describe the variable data displayed in data fields. This part of the Page does not change while the panel is in the Operation Mode.

System memory area

A part of PLC internal memory where data assigned to PLC structures (timers, counters, flags, inputs and outputs) are stored.

Uploading

A process during which the application program, residing in the panel application memory, is transferred to the host over a serial communication line.

Variable

A process quantity whose value is dependent on the state of the plant, process or machine to be controlled and is thus changing as time passes.


Panel Commands

Panel Command Summary

This section describes the basic commands available for each panel mode. Note that some commands are available only if the extended keyboard is present.

Depicts the ENTER key, depending on the panel type you use.

Page Mode

 | Scroll Page up
 | Scroll Page down
 | Previous Page
 | Next Page
+ [image] or | Print Page
+ [image] or | Cancel print
 | Enter Data Entry Mode
+ Hold for 2 sec. | Enter Direct Page Selection Mode
Hold for 2 sec. | Enter Event Mode
Hold for 2 sec. | Enter Time and Date Set Mode
Hold for 2 sec. | Enter Direct Access Mode
+ | Enter Password Entry Mode
+ Hold for 2 sec. | Return to Configuration Mode
+ | Increase display brightness
+ | Decrease display brightness

Event Mode

 | Scroll up
 | Scroll down
Hold for 2 sec. | Return to the Page Mode
+ [image] or | Print event list
+ [image] or | Cancel print

Data Entry Mode

 | Field select
to and | Numeric entry
 | Move cursor right inside data field (Text type)
 | Move cursor left inside data field (Text type)
 | Scroll up one line
 | Scroll down one line
 | Entry confirmation and return to the Page Mode
+ | Cancel entry and return to the Page Mode

Alarm Mode

Hold for 2 sec. | Alarm acknowledgment
 | Previous alarm
 | Next alarm
+ Hold for 2 sec. | Return to the Page Mode
+ or | Alarm list printout
+ or | Cancel alarm printout

Time and Date Set Mode

or | Field select
 | Increment field value
 | Decrement field value
Hold for 2 sec. | Return to the Page Mode

Direct Access Mode

 | Select timers
 | Select counters
 | Select digital inputs
 | Select digital outputs
 | Select flags
 | Decrement offset
 | Increment offset
to | Offset entry
 | Offset entry confirmation
+ | Cancel offset entry
Hold for 2 sec. | Return to the Page Mode

Direct Page Selection Mode

 | Decrement Page
 | Increment Page
to | Page number entry
 | Confirm entry, go to selected Page
+ | Cancel offset entry, back to old Page

Password Entry Mode

to | Password entry
 | Confirm entry
+ | Cancel offset entry and return to the Page Mode


Designer 5.08

New Features in Designer 5.08/UniOP 4.40

The new UniOP Designer version 5.08 and its companion UniOP firmware version 4.40 come with plenty of new interesting features. This Technical Note contains highlights of the new release and will help you point out the differences and the improvements from the previous versions.

Contents

Data Acquisition and Trends. Error! Bookmark not defined.

Gauges. Error! Bookmark not defined.

Variable References for Min/Max Values and Scaling Parameters. Error! Bookmark not defined.

Touch Data Entry Keypads. Error! Bookmark not defined.

Text Box Objects. Error! Bookmark not defined.

Improved Font Support Error! Bookmark not defined.

UniOP Networking with Ethernet Error! Bookmark not defined.

Extending the Connectivity with the UniNET OPC Server Error! Bookmark not defined.

Recipes and Events Runtime Backup in Flash. Error! Bookmark not defined.

Assigning the Communication Port when Using the Internal Controller Error! Bookmark not defined.

Panel I/O.. Error! Bookmark not defined.

Printing Designer Projects. Error! Bookmark not defined.

Visual Panel Setup Interface. Error! Bookmark not defined.

Transferring Projects with the UniLOAD Device. Error! Bookmark not defined.

Overlapping Graphic Objects. Error! Bookmark not defined.

Automatic Firmware Upgrade Procedure. Error! Bookmark not defined.


Designer 5.08

Gauges

Gauges are simple instruments that display numerical values by moving a needle to the appropriate position over a labeled scale. A typical gauge on a UniOP could look like this:

Using the Gauge dialog box, the look of the gauge can be change to suit the needs of the user. Here are some examples:

Up to 10 gauges can be displayed on a single page within a project.

To insert a gauge on page

To insert a gauge in Designer, click and drag an area where the gauge is to appear and click the Gauge button on the floating toolbar.

General parameters

Within this index tab, the user can enter the main properties that define the gauge, such as the Title, Minimum and Maximum scale values, etc

Figure 9

Title

This is the title for the gauge.

Minimum

Maximum

Minimum and maximum values on the gauge scales

Decimal point

Number of digits past the decimal point to be displayed on the gauge. A value of zero means that only integer values will be displayed.

Reference

Defines the variable to graphically represent. Variables can be PLC references or internal UniOP variables.

Scaling

By using the scaling parameter, it is possible to perform a linear transformation on the value to be displayed.

Scale label parameters

By using these parameters, it is possible to define the labels, tick marks and directionality of the gauge.

Number of labels

Number of labels on the scale

Major ticks

Number of major ticks on the scale

Minor ticks

Number of minor ticks on the scale

Colored arcs

These parameters are used to define different colored zones on the gauge. To define a color range on the gauge, click the Add button. Fill in the Start and End edit boxes with the range and select the color. To delete a color zone, select the color zone from the list and click the Remove button.

Figure 10

Layout parameters

The parameters within this index tab are used to define the layout of the gauge.

Figure 11

Figure 12

Title x position

Title x position. 50% is in the middle of the box area, 0% on left border and 100% on right border.

Title y position

Title y position. 50% is in the middle of the box area, 0% on upper border and 100% on bottom border.

Title font

Title fonts (can be select from installed Windows fonts).

Label position

Label position. 100% is on the gauge scale circle. Greater of 100% is outside the scale and less of 100% is inside the scale.

Ticks length

Dimension, in pixels, of major tickets. Minor tickets are half the size of major ticks.

Ticks position

Ticks position on the gauge scale. Can be Inside, Outside or in the Middle of the scale.

Label font

Title fonts (can be select from installed Windows fonts).

Gauge

Start angle

Scale start angle. It can be from -360° to +360°

Angle range

Scale range. It can be from -360° to +360°. Use negative values the have clockwise movement, positive values to have counterclockwise movement.

Diameter

Diameter is a percentage (0-100%) of the lowest box side

Center x position

Gauge x position. 50% is in the middle of the box area, 0% on left border and 100% on right border.

Center y position

Gauge y position. 50% is in the middle of the box area, 0% on upper border and 100% on bottom border.

Needle

Front length

Needle length. It is in percentage of the gauge radius.

Tail length

Needle tail length. It is in percentage of the gauge radius.

Base circle

It is a circle that highlights the needle rotations point. Size of this circle is defined in percentages of the gauge diameter.

Angle

Width of the needle. It is express in degrees.

Gauge colo rs

The Colors index tab allows the user to define the different colors of the gauge.

Figure 13

Background

Gauge background color. (It is not used when background is a custom bitmap).

Frame

Gauge frame color. (It is not used when background is a custom bitmap).

Custom bitmap

When checked the Load background image pushbutton will be enabled

Title

Gauge title foreground color

Labels and ticks

Scale label and ticks color

Needle

Gauge needle color

Needle base

Base of the gauge needle color

Load background image

By selecting the Custom bitmap checkbox, the user can enter a custom bitmap as the background for the gauge. The bitmap can come from an external file that the user has, or from the graphics library that is supplied with Designer. Select the image source to be used, select the bitmap and click the Load background image… button.


Designer 5.08

Variable References for Min/Max Values and Scaling Parameters

It is now possible to attach the minimum and maximum values and all of the scaling parameters to memory locations in the controller. This allows the user to dynamically scale their values at run time as required.

Figure 14

When dynamic references are required for the minimum/maximum values or the scaling parameters, the corresponding References checkbox needs to be selected. Upon doing so, the Scaling … button and/or the Min/Max… button will be activated, thus allowing access to the Extended Settings dialog box. Figure 2 shows the Extended Settings dialog box for Scaling.

Figure 15

In this dialog box, the variables A1 and A2 represent the numerator and denominator of the linear scaling factor applied to the actual value being read from the controller. The variable B represents the offset, which is the scaled value at origin.

For example, let’s assume that when the value being read from the controller is 1, the user wants to display a value of 50 on the UniOP. In this case, the user would load a value of 1 into the memory locations assigned to both variables A1 and A2, and a value of 50 into the memory location assigned to variable B.

Figure below shows the Extended Settings dialog box for the Min/Max values.

Please note that once the user has decided to use dynamic variable references for either scaling or the min/max values, all the variables associated with the dynamic references must be assigned to memory locations in the controller.

For example, let’s assume the user wants to use dynamic references for scaling but not for the min/max values. In this case, the user would need to reference all three of the scaling variables (A1, A2 and B) to memory locations in the controller. It is not possible to enter a constant value in the Extended Settings dialog box.

Figure 16

Updating Variable Reference Fields

When using dynamic variable references for either scaling or the min/max limit settings, the user can select how the UniOP retrieves these values. Selecting Project – Panel Setup and clicking on the Settings index tab will reveal a checkbox called Update PLC References (see Figure 17).

If this checkbox is marked, the dynamic variable references will be updated on a continuous basis. If this checkbox is unmarked, the dynamic variable references will be updated only after a page change when the destination page contains variable reference fields.

Figure 18

Note: When the continuous mode is used to get dynamic variable references from the controller, communication performance can be reduced due to the increasing number of variables being transmitting through the communication channel between UniOP and the controller.


Designer 5.08

Touch Data Entry Keypads

It is now possible for the user to define customized floating popup keypads. Instead of defining a single keypad by modifying the Data Entry screen within Designer, the user can now define custom popup keypads for four different types of fields – numeric fields with a decimal base, numeric fields with a hexadecimal base, ASCII fields and message fields – by using the new UniKEY utility. These popup keypads are dynamic objects that are displayed by the UniOP firmware over the current page whenever Data Entry is started on a field for which a popup keypad is defined.

Note: Touch Data Entry Keypads are only supported by firmware type 58 starting from version 4.40.

The UniKEY Software

The UniKEY utility is a Windows-based application that allows the user to design, manage and download custom keypads to a UniOP. Figure below shows the main UniKEY programming window.

To create a new popup keypad, select File – New. The UniKEY utility will present the user with a blank programming area where the keypad can be designed.

Figure 19

A UniKEY keypad can contain two types of objects:

Buttons

Value Objects

Buttons can represent any of the keys that are present on a standard keyboard (i.e., F1, ENTER, à). Configuration of Buttons is described later in this section.

Value Objects are rectangular areas inside the keypad where the UniOP firmware displays different information related to the field that is being edited. The four available Value Objects are: Current Value, Old Value, Maximum Value, and Minimum Value. Each of the Value Objects is described in detail later in this section.

Keyboard Properties

By selecting the Keyboard Properties icon, UniKEY will display the dialog box shown in Figure 6, allowing the user to define the basic parameter of the keypad.

Name

The name assigned to the keypad. This is used by UniKEY to identify different keypads.

Background

The Browse button allows the user to search for a bitmap image to be used as the background of the keypad.

Colors

Allows the user to select the number of colors used to represent the keypad. The Background button located below the Color list box allows for selection of the desired background color.

The Position area contains the controls used to define where the keypad will appear on the display.

Avoid Field

When checked, this specifies that the keypad will be displayed in a position such that the field being edited will not be covered by the keypad. When Avoid field is checked, the Horizontal and Vertical controls allow the user to define the position of the keypad.

The Horizontal position can be Left, Right or Center. The Vertical position can be Up, Center or Bottom. Both of these items are relative position, the references of which can be specified in each of the corresponding From list boxes.

Absolute coordinates

When this checkbox is marked and the Display has been selected (see later in this section) the keypad will be placed by the UniOP firmware in the same position as it is displayed in the UniKEY utility. If the Avoid field checkbox is also selected, the firmware will place the keypad in the specified position only if the field under editing is not covered by the keypad.

Figure 20

Display

Allows the user to specify the display type of the panel to which the keypad will be downloaded. This is especially useful when absolute coordinates are used to place the overlapping keypad.

Grid Size

Specifies the character grid size of the panel where the keypad will be download. Correct values for the grid size can be derived from Designer by selecting one character and reading the pixel size of the selected are in the Designer Status Bar.

Panel Size

This can be used to set the dimensions of the UniOP when the Display option is not defined.

Border

Allows the user to specify the color of the border of the keypad.

Associated Field

Specifies the types of fields that can be edited using the selected keypad. Please note that a field type (i.e., numeric field with decimal base) can have only a single keypad associated with it.

Creating Buttons

To create a Button, click the Button icon and select an area on the screen. After doing this, double clicking on the button will bring up the Button Properties dialog box, allowing the user to define the functionality of the button..

Figure 21

The Colors area contains three list boxes that allow the user to select the colors for the button face, the button shadow and the button line. Using a proper combination of the three colors will result in a three-dimensional aspect of the button. The button can also be made to appear as a “flat button” by assigning the same color to the Shadow and Line color.

The Label area contains the necessary selections required to customize the button label.

Label

The text that will appear on the face of the button.

Font

The font in which the label is displayed. This can be any Windows font that is installed on the computer that is running the UniKEY utility.

Picture

This allows the user to specify a background bitmap image for the button.

Horizontal align

Specifies the horizontal position of the label (right, center, left).

Vertical align

Specifies the vertical position of the label (top, center, bottom).

Key Code

The functionality assigned to the button. Each button can be assigned as a standard UniOP key or as an ASCII character. Please note that the available selections in the list can be fully personalized by modifying a configuration file that is present in the UniKEY installation directory. The configuration file is a text file called KeyCodes.txt. This file contains the ASCII codes and the UniOP key definition used by the UniKEY software to build the Key Code list of available functions and can be modified by any text editor.

Value Objects

Creating Value Objects is done in much the same manner as creating a Button. Simply click the Value icon and select an area on the screen. After doing this, double clicking on the value object will bring up the Value Box dialog box, allowing the user to define the functionality of the value object (see Error! Reference source not found.8).

Type

The type of value object being created – Edit (current) value, Old value, minimum value, maximum value.

Edit

The field is configured for the editing process.

Old

The field is configured to display the old value of the controller variable being edited.

Min

The field is configured to display the minimum allowable value that has been programmed for the controller variable being edited.

Max

The field is configured to display the maximum allowable value that has been programmed for the controller variable being edited.

Alignment

Specifies the alignment of the different value objects. Possible options are: Left, Center, Right and Default.

The Background and Foreground controls within the Colors area allow the user to specify the background and foreground colors for the value object.

Figure 22

Downloading Keypads to the panel

Floating keypads created with the UniKEY software need to be downloaded to the panel in addition to the standard project file. Once the keypads have been downloaded, the UniOP will use them for editing when in Data Entry mode.

Please note that if the user has created a custom Data Entry screen using the Special Pages section in Designer, the keypads created in the UniKEY software will not be used.

Communication Port Setup

The Com Port icon allows the user to configure the settings of the communication port. This dialog box is shown in Figure 23.

Figure 23

The communication parameters need to be set as follows in order to perform a successful keypad download:

Baud rate: 38400 (recommended)

Parity: none

Stop bits: 2

Data Bits: 8

Transferring Files to UniOP Memory

UniKEY keypads can be downloaded to the UniOP by using the standard download cable (CA1 or CA2) connected to the PC/Printer port.

Selecting the Download icon will start the communication session between the UniKEY utility and the UniOP. The dialog shown in Figure 240 will appear.

Figure 24

When the New File checkbox is marked, this indicates that the keypad being downloaded is a new object that is not intended to substitute an existing keypad.

The left part of the dialog box shows the keypads that have been downloaded to the UniOP. The right part of the dialog box shows the association between each of the keypads and the corresponding field types.

When selecting OK, the download procedure will begin and the Transfer dialog box shown in Figure 251 will be displayed. This dialog box shows information about the current download process, such as the completion rate of the process, the estimated time for completion and the average transfer speed.

Figure 25

Once the file download is completed, the next keypad can be downloaded to the UniOP.

Deleting Keypads from Memory Card

When the UniOP is in Configuration Mode, selecting Edit-SSFDC from within the UniKEY software will return a list of all the keyboard files currently stored in the UniOP memory, as shown in Figure 262.

Figure 26

To delete a particular keypad, simply select the name of the keypad from the list and click on the Delete button. To close the communication session, click on the Close button.


Designer 5.08

Text Box Objects

A Text Box object is a new component that enhances the method of creating text. This component uses the new font enhancement support to draw text.

Figure 27

Please note that the Text Box icon in the floating TouchScreen toolbar will only be enabled when the selected font is an enhanced font. To create a Text Box, click and drag an area where the text box is to appear and select the Text Box icon from the TouchScreen toolbar.

Figure 28

The following items can be defined from within the Text Box Properties dialog box:

Foreground colors

Text box foreground color

Background colors

Text box background color

Alignment

Text alignment (inside the text box component). Can be Left, Center or Right.

Size

Text size. Can be Normal, Regular, Large or Extra large.

Please note that when the selected area is too small, only the sizes that can fit inside the selected area will be enabled.

Figure 29

Selecting the Text index tab will allow the user to enter the text to be displayed within the Text Box. If the user wishes to write on the second line of the Text Box (assuming the selected area is large enough), pressing CTRL-ENTER will split the line.

Change Language

The change language button is enabled only when more than one language is defined in the project file.

Tips:

When creating Text Box objects, it is suggested to select an area for the Text Box that is larger than desired. Once the text is entered into the Text Box, it can be resized to the required dimensions. Please note that when the user shrinks the size of the Text Box, Designer will scale the text such that it fits within the Text Box.


Designer 5.08

Improved Font Support

It is now possible on certain UniOP panels to have up to 4 different fonts. When the new enhanced fonts are installed, the user can select the font to be used by selecting Project – Select Font. This will bring up the Select Font dialog box. Please note that once an enhanced font is selected, the Text Box icon will be enabled.

Warning:

If a project is developed using an enhanced font, it is necessary for the user to use the Text Box component to write Large and Extra large text.

If a project file contains Text Box components, switching to a standard font (not an enhanced font) will erase all of the Text Box components in the project.

Download Enhanced Fonts

Designer automatically downloads the enhanced fonts along with the project file whenever enhanced fonts have been used in the project file. These fonts will be downloaded to the UniOP each time the project file is downloaded. If these fonts have already been downloaded to the UniOP, it is not necessary to re-download them. To save time, the user can select Transfer-Options and click on the Advanced Options button. By marking the Do not download fonts checkbox, the enhanced fonts will not be downloaded to UniOP. The user can also erase the previously downloaded fonts by selecting Erase Fonts.

Compress Enhanced Fonts

In order to save memory in the UniOP, Designer automatically compresses the enhanced font files that it downloads. If necessary, the user can disable this optimization by using the Do not compress fonts checkbox inside the Advance Options dialog box. Please note that font optimization will be automatically disabled in the case where PLC references in ASCII format are used.

Install new enhanced fonts

Enhanced fonts, as all of our standard fonts, are associated to the various display types. To add a new font, it is necessary to copy the .FON file inside the working directory that contains the DESIGNER.EXE file. It will also be necessary to modify the DISPLAYS.INI file as described below.

DISPLAYS.INI

[DTYPE25]

...

CharHeight=16

CharWidth=8

...

[DTYPE25 Fonts]

ERL25X80=ERL25X80.FON

UniCOMIC=UniCOMIC.fon

Uni7SEG=Uni7SEG.fon

[Uni7SEG Font]

BargraphStart=226

BoxChars=218,191,192,217,196,179,196,179,180,194,193;201,187,200,188,205,186,205,186,0,0,0

BigCharStart=128

First, it is necessary to know that some panels use an 8x16 character size and other panels use an 8x15 character size. A font that has an 8x16 character size cannot be used on a UniOP that supports only an 8x15 character size and vice versa. The panel characters size can be found inside the [DTYPEnn] section. The DTYPE code used for a particular panel can also be found by reading the panel database file.

All new fonts must be declared inside the [DTYPEnn Fonts] section and a new [<Font Name> Font] section with the necessary graphic character codes must be added. The necessary graphic character codes to be used are shown below.

Uni7Seg.fon - Uni7Seg5.fon

Figure 30

Normal: Courier New (only first 127 characters)

Double: Ni7Seg

Large: Ni7Seg

Extra Large: Ni7Seg

Basic font for 8x16 panel type: ERL25x80.FON

[Uni7SEG Font]

BargraphStart=226

BoxChars=218,191,192,217,196,179,196,179,180,194,193;201,187,200,188,205,186,205,186,0,0,0

BigCharStart=128

Basic font for 8x15 panel type: SH164015.FON

[Uni7SEG5 Font]

BargraphStart=226

BoxChars=218,191,192,217,196,179,196,179,180,194,193;201,187,200,188,205,186,205,186,0,0,0

BigCharStart=128

UniComic.fon - UniComi5.fon

Figure 31

Normal: Courier New (only first 127 characters)

Double: Comic Scans MS

Large: Comic Scans MS

Extra Large: Comic Scans MS

Basic font for 8x16 panel type: ERL25x80.FON

[UniComic Font]

BargraphStart=226

BoxChars=218,191,192,217,196,179,196,179,180,194,193;201,187,200,188,205,186,205,186,0,0,0

BigCharStart=128

Basic font for 8x15 panel type: SH164015.FON

[UniComi5 Font]

BargraphStart=226

BoxChars=218,191,192,217,196,179,196,179,180,194,193;201,187,200,188,205,186,205,186,0,0,0

BigCharStart=128


Designer 5.08

UniOP Networking with Ethernet

The networking capabilities of the UniOP operator panels have been extended with additional options including the connection to Ethernet-based networks.

There are two main classes of applications where the Ethernet networking capabilities can be successfully used:

Direct connection to Ethernet-based PLC networks

Extending the UniNET network

Ethernet is becoming a popular communication support for cell-level industrial controllers. There is no standard set in the industry for the application level protocol, but there are several non-compatible protocols. As the only common point, they are all based on the TCP/IP or UDP/IP protocols.

Note: UniOP can be successfully connected to one of such PLC networks only if the specific application layer protocol has been implemented.

The UniOP UniNET network has also been extended to use Ethernet, when available, as the communication media. The advantages, compared to the conventional UniNET technology, are the possibility of using existing network cables and a more effective solution for connecting a computer to the UniNET network.

The TCM10 Ethernet Module

UniOP requires an additional hardware module to connect to Ethernet networks.

The module for Ethernet communication is the TCM10. TCM10 is intended for connection to 10Base-T networks (10 Mbit, twisted-pair cables). The TCM10 requires an external network adapter. The network adapter must be plugged into the UniOP Aux port.

The TCM10 external network adapter is equipped with a standard RJ45 connector. The TCM10 can be directly connected to a hub using standard Ethernet twisted-pair patch cables.

The TCM10 external network adapter has two diagnostic LED indicators:

LED | Description
RED – Link | When ON indicates that Ethernet link is missing. In this condition the GREEN LED is normally OFF.
GREEN – Activity | ON | Blink
 | No network activity for the UniOP panel | Network activity detected for the UniOP panel

Table 1

The compatibility information of the TCM10 module is included in the appendix.

Configuring Ethernet

When the TCM10 communication module is used to connect UniOP to Ethernet based PLC networks, the Designer configuration is fully dependent on the protocol type used over the network. From the Designer point of view, the UniOP project needs to know the IP addresses of the TCM10 card and the IP addresses of the devices connected on the network with which the panel has to exchange information.

The Controller Setup will normally allow configuring of the IP address of the communication partners of the UniOP that are connected over the Ethernet network. Figure 32 shows a typical Controller Setup configuration box where, for each communication partner, an entry point in the list informs about the IP address assigned to the device. The Access Multiple Controllers checkbox can be used when connection to more than one device is required.

Figure 32

Because the UniOP panel is a partner of the Ethernet network like all of the other devices, a proper IP address must be assigned to UniOP. In the Panel Setup tool, the options available under the External Device index tab can be used to specify the presence of the TCM10 communication module and an IP address assigned to it, as is shown in Figure 33.

Figure 33

The IP address used in Controller Setup and in Panel Setup/External Devices has to be chosen according to the overall Ethernet configuration.

UniNET on Ethernet

When the TCM10 communication module is used to extend the UniNET connectivity capabilities, the network setup follows the basic concepts of a normal UniNET network.

Designer 5.08 introduces an additional step in the project network setup. When the Ethernet communication media is required for the UniNET network, the Ethernet option has to be selected in the Network media and Protocol selection dialog box directly accessible from the Option/Configure Network menu. This dialog box is shown in Figure 34.

Like the traditional UniNET network, the next step consists of making the UniNET topology selection. The possible available layouts are still represented by:

Single Server – Multiple Clients

Multiple Servers – Multiple Clients

Mixed Multiple Servers – Multiple Clients

The Network Type Selection dialog box is shown in Figure 35.

Figure 34

Figure 35

The Mixed Multiple Server – Multiple Clients layout is the more general network layout. Figure 36 shows the Network Configuration dialog box for this case.

Following Figure 36 is a description of all the options related to the Ethernet support. The traditional options maintain the classic meaning.

Figure 36

IP Address

Represents the IP address assigned to the UniNET node. This must be unique in the Ethernet network.

Panel node

Represents the UniNET node of the panel. Ethernet networks are still based on the UniNET application layer protocol. Please note that more than one panel can have the same Panel Node. The configuration corresponds in this case to several different UniNET networks that cohabit on the same Ethernet line. Each time two partners are configured with the same UniNET node and they reside together on the same Ethernet network, they are conceptually part of distinct UniNET networks. This concepts allows to put more than 32 UniNET nodes on the same UniNET Ethernet based network.

IP Address

Represents the IP address assigned to the current UniNET node. It must be unique over the network.

UniNET TCP/IP Port

Represents the port number from which the UniNET protocol services respond. The default value is normally correct. However, it may be changed in case the default port is already assigned to another service.

Disable Undeclared client access

When checked specifies that partners of the UniNET network can not be accessed by a Client not expressly declared to be a member of the network itself. With reference to the section “Extending the Connectivity with the UniNET OPC Server” it might be useful when an OPC Server UniNET Client is present on the network and it is not allowed to access the current UniNET resources.

Note that a general configuration where the UniOP UniNET node is set to 1 and several Servers are configured with different IP address is allowed if it corresponds to several UniNET networks, each one composed of only one panel working as Server. These UniNET networks are part of the same Ethernet network; the UniOP Servers are independent from each other and the use of a similar layout is useful when an UniNET Client running on a PC is may be required to collect data coming from several different Controllers. The description and the use of the UniNET Client for a computer are described in the section “Extending the Connectivity with the UniNET OPC Server”.

Like a standard UniNET network, once the configuration is completed it has to be enabled under “Panel Setup”.

Figure 37 shows the Network tab in the Panel Setup dialog box where the configured network has to be enabled. This is required in order for the user to specify the UniNET node number of the UniOP.

Figure 37

When the UniNET network is enabled, the External Device tab will simply show that the IP address for the current panel is assigned. This dialog box is shown in Figure 38.

Figure 38


Designer 5.08

Extending the Connectivity with the UniNET OPC Server

The implementation of the UniNET network using Ethernet technology allows for an easy extension of the connectivity options of the system. One of the most important advantages of the Ethernet based technology is the availability of a UniNET Client for a computer.

The UniNET Client for a computer consists of a software component designed to work as a Client in the network. The software component is a program based on the OPC technology (O LE for Process Control) working as OPC Server. Once the software component is installed on the computer, all of the OPC Client programs will have full access to data coming through the UniNET Network. They can also fully interact with the Controllers connected to the UniNET Server panels.

UniNET OPC Server

The UniNET OPC Server is a program that is distributed separately from Designer. The UniNET OPC Server program has the following minimum requirements:

Microsoft Windows 98 or NT

15MB of free hard disk space

Ethernet card

The installation procedure of the UniNET OPC Server software components will automatically provide the registration of the Server at the system level. It will make the server visible to all of the OPC Clients that are already installed. Likewise, any OPC clients that are installed after the UniNET OPC server software is installed will also “see” the server.

The UniNET OPC Server main window appears as is shown in Figure 39.

Figure 39

The OPC Server has to be properly configured in order to collect data coming from the UniOP panels working as UniNET servers on the network. The software uses the concepts of Device and Tag to identify the controllers connected to the server panels and the variables requested by them. These variables will be available to any OPC Client that may require their values. Please refer to specific OPC documentation for any additional detail regarding the theory of OPC technology.

Note: OPC Client programs installed on the computer will only have access to the Data Sets configured in the OPC Server application.

To create a new Device, select Add/New Device or click on the New Device icon. The Device Properties dialog box will be displayed as is shown in Figure 40.

Figure 40

Name

Represents a mnemonic description of the Device.

Device

The list box contains the list of all available drivers for the different controller types. Because OPC Server is a UniNET Client, the application needs to know the data structure of the controller connected to the UniOP UniNET Server panels.

Timeout

Period of time that the OPC server will wait to receive requested information before reporting a timeout error for the Device.

TCP/IP Access

Specifies if the UniNET network is Ethernet based. When the TCP/IP checkbox is not marked, the OPC server can be used to prepare a configuration file usable with the Windows CE OPC Server. Please refer to the specific documentation for further details.

IP Address

Represents the IP Address assigned to the UniOP Panel, working as UniNET Server, that is connect to the controller specified by the Device item. Please refer to the Networking with Ethernet section for a detailed description.

Socket Port

Represents the number of the socket port used by the UniOP panel to relay requests coming through the Ethernet network.

When the Device setup is completed, the OPC Server program has to be configured to read a certain amount of specific data from the UniNET network. Only this data will be available to an eventual OPC Client connected to [image] the UniNET OPC Server. Required data from UniNET can be specified by inserting the Tags definition for the Device. To insert a Tag for the specific Device, use the Add/New tag menu or click on the New tag icon. Figure 41 shows the Tag Properties dialog box.

Figure 41

Name

The mnemonic name used by the OPC Server to uniquely identify the variable.

Description

Allows for the user to explain exactly to what the Tag refers.

Address

The tag address in terms of the native data types of the controller specified in the Device list box of the Device Properties dialog box.

Numeric Data

When marked, this specifies that the tag is to be treated like a numeric variable. When unmarked, it specifies that the variable is to be interpreted as the starting point of an ASCII string. The ASCII data length specifies the length of the ASCII string. If the ASCII representation is selected, the OPC Server program will retrieve an amount of bytes equal to the number of ASCII characters specified by the ASCII data length parameter from the UniNET network.

The UniNET OPC Server program has a monitor function useful when a check of the Ethernet connection link is required. Once the Device and the Tags are configured, select View/Monitor to activate the debug function. The Value column of the main window (see Figure 39) displays the current value of each configured tag. If the OPC Server program cannot retrieve the value from the network, it displays the string Bad.

Interfacing Microsoft Excel with the UniNET OPC Server

As an application example, it is important to consider a typical use of the UniNET OPC Server. The program Microsoft Excel can be easily equipped with the OPC Automation software components that will allow connection to any OPC Server installed on the computer.

EXOR has successfully tested a solution provided by FactorySoft that is downloadable free of charge from the following web site: http://www.factorysoft.com . The Excel interface to the OPC Server consists in software components called OPC 2.0 Data Access Components. FactorySoft provides an Automation interface and a Server browser service.

Automation FactorySoft wrote the Automation interface sample code for the OPC Foundation. They provide a standard Automation component based on this code for redistribution. An OPC Server vendor may use these components to provide its server.

Server Browser This COM server returns OPC Servers by Component Category. It can be used to find Data Access 1.0 or 2.0 servers, in addition to future OPC servers. Because this is a COM server that can be run remotely, clients can get access to remote servers without local registry entries.

The FactorySoft OPC Data Access Components downloadable will install the Server Browser, the Data Access 2.0 proxy DLLs and the Automation DLL in the System directory.

This installation is used to install the OPC components needed for the server and can be freely distributed with your products.

Once the required software components are correctly installed, the VBA (V isual Basic for Application) interface available in Excel can be easily used to give access to the UniNET OPC Server.

The read operation can be implemented using a simple form where a button is programmed to perform the following “Get OPC Data” subroutine.

Private Sub GetOpcData_Click()

'Get OPC Automation Reference

Set opcauto = CreateObject("OPC.Automation.1")

'Connect to the server

opcauto.Connect ("EXOR.UniNETOPC")

'Plays with groups and items

Set groups = opcauto.OPCGroups

Set group = groups.Add("Device1.Group")

group.IsActive = True

Set Items = group.OPCItems

Set Item = Items.AddItem("Device1.Group.tag1", 1)

Item.Read (1)

value = Item.value

'Display value

Sheet1.Range("a1").value = value

End Sub

A working sample program is available on request.


Designer 5.08

Recipes and Events Runtime Backup in Flash

On some of the UniOP panels, it is now possible to back up recipe data, as well as the event list, into flash memory inside the UniOP. This means that even the UniOP loses power AND the backup battery is discharged or missing, the recipe data and the event list will be preserved.

To use this feature, select the two checkboxes entitled Recipe Backup and Events Backup by selecting Project – Panel Setup and clicking on the Settings index tab. Please note that selecting these features uses memory within the UniOP that is normally reserved for the project file. Therefore, the amount of memory available for the project file is reduced by the amount of memory reserved for the entire backup of both recipe data and the event list, which is 128 KB.

Figure 42

Panel Startup Sequence

With this feature enabled, the following sequence is performed on power-up of the UniOP:

Check the data inside RAM. If the data is valid, it will be used.

If the data inside RAM is invalid, the data in flash memory is checked. If the data inside the flash memory is valid, it will be used.

If the data in the flash memory is not valid, the recipe memory and the event list will be initialized with no data.

Recipes and Events backup execution

When this feature is enabled, recipes are copied to flash memory automatically from the UniOP after any recipe backup or recipe upload operation. The event list is copied to flash memory any time one event happens. A new macro can be use to perform a manually backup operations.

During the write operation to flash memory the panel LED #65 will flash to indicate that a write operation is in progress. Some UniOP panels do not have this LED. For those UniOP panels that do not have this LED, the control variable Recipe/Event Backup can be used to give feedback to the operator on the status of the backup operation. This control variable can assume the values listed below.

Recipe/Event Backup:

0 = Standby

1 = Backup operation in progress

The S12 bit of the RDA area is used to communicate to the controller when a backup operation to flash memory is in process. The UniOP will set this bit to 1 just before the backup operation begins. When the backup operation is complete, UniOP will set this bit to 0.


Designer 5.08

Assigning the Communication Port when Using the Internal Controller

The ISaGRAF Workbench can communicate with the SCM03 controller by connecting to the UniOP PLC Port or to the PC/Printer Port.

When UniOP does not contain a valid project, it will remain in Configuration Mode. In this situation the PLC port is assigned by default to the Internal Controller. To program the Internal Controller before loading a Designer project, the PLC programming cable should be connected to the PLC port.

If the UniOP has no PC/Printer Port, then the PC/PLC Port will be used for communication with the Designer software. The Internal Controller will be programmable only after a valid project has been transferred and the UniOP is in Operation Mode.

When a valid project is present in UniOP and the panel is in Operation Mode, the System Menu will let the user choose the mode of the communication port for the Internal Controller. Port assignment via the System Menu is described in greater detail in TN137. Please refer to it for a complete description.

Designer 5.08 and the companion firmware V4.40 introduce a new possibility to assign UniOP serial ports for communication with the Internal Controller. UniOP serial ports can be assigned for communication with the iPLC using macro commands while UniOP is in Operation Mode.

Note: Two options are available for each UniOP port regarding the Internal Controller: the Application Mode and the Service Mode. A port should always be assigned to the Internal Controller in Application Mode if it has to be used for normal operations such as ISaGRAF Project downloading and debugging. The Service Mode is reserved for special Internal Controller maintenance and should not be used.

The Port icon available in the Keyboard Macro Editor allows access to the Port Assignment dialog box shown in Figure 43.

Figure 43

Each UniOP port can be assigned to the Internal Controller Communication or to the UniOP.

Note: Only one port can be assigned to the Internal Controller. When a port is being assigned to communication with the iPLC, the other panel serial port must be assigned to UniOP. When a serial port is assigned to the Internal Controller communication, all other setup options are overridden (i.e. Printer, UniNET, Passthrough,…).

Figure 44 shows all possible UniOP serial port assignments.

Figure 44

The PLC port and the PC/Printer port can be individually assigned to several operating modes. The port selection is done using the two radio buttons in the upper part of the dialog box. The actions are selected from the Action list box.

Assign to UniOP

The port is assigned for normal UniOP functionality. PC/Printer port can be used to connect a serial printer; PLC port can be used for an additional connection with an external controller. In case the Designer project is configured to use stand-alone iPLC, the PLC port is not in use.

Assign to Internal Controller (User Mode)

The port is assigned to the communication with the Internal Controller in the User Mode. The ISaGRAF Workbench can be connect to this port.

Assign to Internal Controller (Service Mode)

The port is assigned to communication with the Internal Controller in the Service Mode. The Service Mode is reserved for special Internal Controller maintenance and should not be used.

Assign to Next Available Mode

The port will be assigned to the next available mode following a rotation sequence between the available operation modes.

Assign to Previous Available Mode

The port will be assigned to the previous available mode following a rotation sequence between the available operation modes.

Displaying the Assignment Status of UniOP Serial Ports

Serial port assignment status can be displayed at run time while UniOP is in Operation Mode by using panel Control Variables. As shown in Figure 45, four control variables are available to inform the user of the status of the port assignments.

Figure 45

The possible values of each of the control variables are shown in Table 2.

 | Assigned to UniOP | Assigned to Internal Controller – User Mode | Assigned to Internal Controller – Service mode
PLC Port Mode | 0 | 1 | 2
PC/Printer Port Mode | 0 | 1 | 2
PLC Port Module Number | 7 | SCM03 module number | SCM03 module number
PC/Printer Port Module Number | 7 | SCM03 module number | SCM03 module number

Table 2

The Port Module number control variable assumes a value of 7 if the port is assigned to UniOP. If the port is assigned to the communication with the Internal Controller, they inform on the SCM03 module address as displayed in the UniOP System Menu. Firmware V4.40 and the current UniOP hardware platform support only one SCM03 module; its default module number will be always set to zero.

Note: Control variables can only be used to display the ports assignment status. They cannot be used to change the port assignment; data access to them is “Read Only”.

Message fields can be used in combination with these Control Variables to better report assignment status information of the UniOP ports.


Designer 5.08

Panel I/O

The UniOP panels with hardware type –0050 are ready to house the local I/O module UIM-03. It can be used in conjunction with the Internal Controller to be part of its I/O, it can be used as an extension of the external controller that is connected to the UniOP, or it can be used as a stand-alone module. The operation of the local I/O board in combination with the Internal Controller is described in the tech notes TN137 and TN156.

Note: The UIM05 I/O board cannot be used with Panel I/O.

Selecting Panel I/O from the Project menu of Designer will bring up the Panel I/O Setup dialog box, which is shown in Figure 463. The digital I/O points of the UIM03 board can be mapped to a free memory area within the connected controller (either the Internal Controller or an externally connected controller). The resident PLC program will read the physical status of the UIM03 inputs from the memory area dedicated to the input points; the UIM03 outputs are controlled by the PLC user program by writing to the memory area assigned to the UIM03 output points.

Figure 46

The Input area allows the user to specify the configuration parameters for the digital input points of the UIM03 board.

Update cycle

Specifies the average update cycle time used by the UniOP firmware to update the external controller memory area assigned to the input points. This memory area can be specified in the

Address

Specifies the starting address for copying the image of the input data.

The Output area allows the user to specify the configuration parameters for the digital output points of the UIM03 board.

Update cycle

Specifies the average update cycle time used by the UniOP firmware to update the status of the physical output points. The output points are updated by reading them from the external controller memory area assigned to the output points.

Address

Specifies the starting address for copying the image of the output data.

The Enable checkboxes allow the user to specify which part of the UIM03 has to be mapped to the external controller memory.

Note: The Update Cycle time needs to be selected with care, as the UniOP is using the same communication channel to update the local I/O as it is for communication with the external controller. If the Update Cycle time is set to a value that is too small, communication performance between the UniOP and the external controller could be sacrificed.

Available Modules

Designer shows a list of all the local I/O boards available for use with the Panel I/O feature.

Note: Current UniOP hardware supports only one local I/O module. For this reason, the Move up and Move down controls are not used.


Designer 5.08

Transferring Projects with the UniLOAD Device

UniLOAD is an optional device that can be used to write SSFDC memory cards much faster than downloading by using the PC serial port. When UniLOAD is correctly installed on the PC, the Update Firmware and Transfer to SSFDC controls will appear in the Transfer Options dialog box. (These controls are hidden when the UniLOAD software is not installed).

Figure 55

Update firmware

Use this checkbox when the user wants to check the panel firmware files on the SSFDC memory card. See the section “Automatic Firmware Upgrade Procedure” for more details.

Transfer to SSFDC

Select this button to start writing the current project file to an SSFDC card using the UniSSFDC Loader device connected to the PC parallel port. Please note that the user has to manually select the correct panel model to ensure the project file will run on the target UniOP. If the user has the UniOP connected to the PC through the serial line, executing a Get Panel Resources command before transferring the project file to the SSFDC card will ensure this.

During the file transfer, the dialog box shown below will be displayed.

Figure 56

Format SSFDC

The SSFDC card will be formatted for use inside of a UniOP panel. If it becomes necessary to format the SSFDC card, the user can use the Format SSFDC command that is found inside the Advanced section of the Transfer Options dialog box.

Installing the Software to Manage the UniLOAD Device

The software necessary to use the UniLOAD device can be installed from the Designer installation package. The custom mode must be chosen and the UniLOAD option must be selected.

Figure 57

Manual Installation

If the user wants to manually install the UniLOAD software, they will have to copy the UniLOAD files inside a directory on their computer (for example inside a Designer subdirectory as: C:\Designer\UniSSFDC) and then enable the software by adding the following line (in bold) inside the DESIGNER.INI file.

[Designer]

Toolbelt=1

Statusbar=1

ZoomSize=1

...

UniSSFDC=C:\DESIGNER\UniSSFDC\UniSSFDC.exe /pathcode C:\DESIGNER\Firmware /rom %s

...

The “/pathcode C:\DESIGNER\Firmware” is the parameter that specifies where the panel firmware files are stored on the computer.

Windows NT/2000 support

Follow the steps below to manually install the UniLOAD device on a computer with either Windows NT or Windows 2000 operating system.

Copy the ssfdcpp.sys file to the following directory: \winnt\system32\drivers

Double click the SsfdcPp.reg file to add the necessary keys to the Windows registry

Reboot the machine

Troubleshooting

If communications problems arise, please check the following:

Ensure that the cable used to connect the UniLOAD device is not longer than 50 cm.

Check to see that the parallel port setting on the computer is set for EPP or ECP.

If the SSFDC card is not recognized, format the SSFDC card before trying to load the project file.


Designer 5.08

Overlapping Graphic Objects

The Dynamic Graphics tool within Designer allows the user to configure a dynamic sequence of images that UniOP will show according to the numeric value of an attached controller variable. Versions of Designer older than 5.08 allow placement of Dynamic Graphic fields only over an empty area of the screen. Starting from Designer 5.08 it will be possible to position Dynamic Graphic fields over static background bitmaps. Creating animated images will be easier and effective.

Overlapped Dynamic Graphics and static bitmaps work with any firmware version that supports graphics.

Placing Dynamic Graphics on Top of Static Bitmaps

The following procedure explains how to create a dynamic graphic field that overlaps a static bitmap.

Import a static bitmap that already shows the elements you want to animate;

Make the dynamic graphic elements that will represent the animation. These are the bitmaps that will be used later on within the Dynamic Graphic object;

Create the Dynamic Graphic fields over the static bitmap that was imported.

Application Example

As an example, Figure 584 shows a Designer project page that contains a large static bitmap. The goal is to display the tanks using different colors according to the value of the process variables in the PLC. Once the bitmap has been imported, the Transparent Graphic tool should be used to make the imported graphic transparent so that the Dynamic Graphic fields can be created.

Figure 58

Figure 59 shows the same Designer screen after adding some static text and some numeric fields. Note that the Transparent Graphics button is pressed.

Figure 59

The next step is to define the areas where the Dynamic Graphic fields are to be displayed. Error! Reference source not found.6 shows the project page after the creation of the Dynamic Graphic fields.

Figure 60

The bitmap images to be used in the Dynamic Graphic fields should be carefully created in order to match exactly the details of the static bitmap. Figure 617 shows the bitmaps included in the dynamic field that has been added in the upper left corner of the project page.

Figure 61

Note that the Dynamic Graphic fields and the bitmaps they use will have to snap to the character-based grid of the page.

Touch Cells over Static Bitmaps

Transparent and three-dimensional touch cells can be defined over static bitmap images as shown in Figure 628.

Figure 62

Note: It is not possible to overlap two dynamic objects. For example, a numeric field cannot be placed over a dynamic graphic field (both items are dynamically changed by the controller).


Add All Button in Reports

This button will add all of the pages in the project file to the current report.


Add Button Popup

This allows you to specify a printer that is not currently listed in the Printer selection box. A dialog box will appear, allowing you to set the communication parameters that the printer will use.


Add and Insert Buttons Lang Popup

These buttons allow the user to add a new language.


Add Popup for Reports

This button will add the selected page from within the 'Available pages' box to the current report.


Alarm Block Options

The Block # field allows the user to choose either block 1, 2, 3, or 4.

The # of Alarms field is used to specify how many alarms will be used in a particular block. The software will automatically round off the specified number to a multiple of 16 because the alarms are addressed as words of information.

The Update cycle field allows the user to specify how often the alarms are updated.

The Block start address field allows the user to specify the starting address of the current block. Clicking on the Address Reference button will bring up a detailed dialog box for addressing. If the panel is accessing multiple controllers, the user will also have to specify the controller slave ID numbers within this dialog box.

Clicking on the Advanced button will bring up a dialog box that allows the user to specify how they want the alarms to be reported. The options that the user can select from are:

Default - This depends upon how the C2 bit is set in the RDA. Also, if an alarm occurs and the user presses a key (or touchcell) within three seconds of the alarm becoming active, the alarm will not be reported for another three seconds.

Disable Alarm Popup - This will prevent the default alarm screen from appearing each time an alarm occurs.

Show Immediately on Any Alarm - This will cause the default alarm screen to appear as soon as an alarm bit gets triggered.

Set Delay After Last Keystroke - This allows the user to specify the amount of time (between 1 second and 127 seconds) after a keystroke that an alarm will be reported. For example, assume the user has this time set to 5 seconds. If an alarm occurs, and the user presses any key (or touchcell) on the panel within five seconds, the alarm will not get reported for another 5 seconds.

Disable Time and Date Display – This option allows the user to disable the tie and date display in the UniOP alarm page. This feature is interesting in all cases where the time and date information is not of interest to the user. This feature requires firmware version 4.20 or greater.


Alarm Message Window

Alarm messages can be scrolled through by using the scroll arrows located to the right of the alarm message window. To create or edit a message, either click on the desired value or use the Alarm # field to select the value and then enter the message.


Alarm Options

The Alarm # field allows the user to select which alarm message they wish to edit. The alarm number can be selected by either using the spin buttons located to the right of the Alarm # field or by simply entering the desired alarm number in the box.

The On alarm go to page field can be used to make the panel jump to a specified page whenever the alarm is activated. The user will need to program a key in Alarm Mode in the Keyboard Macro Editor using the following elementary macro commands in sequence: Acknowledge Alarm (if required), Go to Alarm Page, Page Mode. whenever the alarm occurs, the panel will switch to Alarm Mode. By simply pressing the key that has the previously described set of elementary macro commands, the panel will switch to the desired page.

The Alarm requires acknowledgment field can be selected if it is desired to have the operator press a key to acknowledge that the alarm is active. Once the alarm is activated, the panel will enter Alarm Mode and display the currently active alarms. The operator must acknowledge the alarm by pressing the ENTER key for a few seconds (a macro command in Alarm Mode entitled Acknowledge Alarm may also be used). Pressing the CLEAR key will return the user to Operation Mode. Note, however, that it is still necessary to reset the proper alarm bit.

By selecting Print alarm ON, Print alarm OFF, or Print time of acknowledgment, the user can have the specific alarm data printed via a serial printer.

The checkbox Enable log to event list will allow the user to send the selected alarm to the historical event list. If it is not desired to send the alarm to the event list, the user can simply unmark this box.


Alarm Update Area

The Alarm Update Area is used in conjunction with Compatibility Mode alarms. This area controls the display of up to 256 alarm messages. Each alarm is assigned a bit in this area. To inform the panel that an alarm has occurred, the controller application logic must set the corresponding bit. When an alarm has been set, the display will switch to Alarm Mode and display the corresponding alarm message. All alarms are archived in a circular buffer called the Event List.


Attribute Transformations Popup

This allows the user to select how different attributes will be printed on the report.


Changing the Background / Foreground Color for a Specific Area

  1. Highlight the area that is to be affected.

  2. Either select Color palette from the Edit menu or click on the appropriate icon in the Extra ToolBelt.

  3. Select the color(s) to be used and click on the Change button.


Changing the Background / Foreground Color Globally

  1. Either select Color palette from the Edit menu or click on the appropriate icon in the Extra ToolBelt.

  2. Select the color(s) to be used and click on the Pick text color button.


Changing the Language at Run-Time

In order to change the language that the project is using once it has been downloaded to the operator interface panel, the user needs to create a control variable with a data type of Language. To change the language that is being used, the user will need to increment or decrement this field.

This can be done in one of two ways:

  1. Simply edit the control variable field and enter the number of the language that you want to use.

  2. Program a key or touchcell using the macro command Control Variable Step. The user could program one key (or touchcell) to step up the language variable and another to step down the language variable.


Choose Colors

This option is available underneath the Options - Preferences menu. Designer for Windows allows the user to select colors for the screen text, grid, field, page background, screen background, attributes, and touchscreen grid.


Choosing a Date Format

The user may modify the way that the date gets displayed on the panel by selecting Panel Setup from the Project menu. Doing so will cause a dialog box to appear in which the user can choose between two different date formats:

MM/DD/YY

DD/MM/YY

The user can add a date data field by selecting Date from the Edit menu. Date fields use the information contained within the panel's internal clock to display information.


Choose Grid

No Grid

Selecting this option erases the grid on the page editor workspace.

Point Grid

When selected, grid dots are displayed on the page editor workspace.

Line Grid

When selected, grid lines are displayed on the page editor workspace. This option is set by default.


Choosing a Time Format

The user may modify the way that the time gets displayed on the panel by selecting Panel Setup from the Project menu. Doing so will cause a dialog box to appear in which the user can choose between two different time formats:

  • 12 hour format

  • 24 hour (military) format

The user can add a time data field by selecting Time from the Edit menu. Time fields use the information contained within the panel's internal clock to display information.


Clear Event List

The controller can use this command to request that the UniOP panel clear its event list.

Command code: 97

The command requires no parameters.

After performing the operation, the panel will respond back to the Command/Response Word with a 0, indicating that the event list has been cleared.


Color Application Notes

Application Notes

  1. Each field can be in only one color. For example, assume the user has a field that displays a two digit number. If the first digit is blue, the second digit can not be displayed in any other color but blue.

  2. If the user tries to make the background color and the foreground color the same, a warning message will appear asking the user if this is what they wish to do. If the background color and the foreground color are the same, everything will appear transparent and no data fields or static text will be visible.


Color Attributes

All UniOP color panels support a new type of dynamic attribute field that will allow the user to dynamically control the color of an area on the display. The color attributes have been introduced as an extension to the existing monochrome dynamic attributes (blink, reverse and highlight).

The word in the controller memory referenced by the dynamic attribute will be interpreted as shown in the table below.

Bit 0, 1, 2 | Monochrome Attribute
Bit 3 | C (this enables color attribute mode)
Bit 4, 5, 6, 7 | Not used
Bit 8, 9, 10, 11 = B0-B3 | Background Color
Bit 12, 13, 14, 15 = F0-F3 | Foreground color

C is the bit that enables the color attribute mode:

The Color attributes are interpreted according to the table below.

C=0, Color Attributes Disabled

C=1, Color Attributes Enabled

Bit 3 | Bit 2 | Bit 1 | Bit 0 | Numeric Value | Color
0 | 0 | 0 | 0 | 0 | Black
0 | 0 | 0 | 1 | 1 | Dark Red
0 | 0 | 1 | 0 | 2 | Dark Green
0 | 0 | 1 | 1 | 3 | Dark Yellow
0 | 1 | 0 | 0 | 4 | Dark Blue
0 | 1 | 0 | 1 | 5 | Dark Magenta
0 | 1 | 1 | 0 | 6 | Dark Cyan
0 | 1 | 1 | 1 | 7 | Dark Gray
1 | 0 | 0 | 0 | 8 | Light Gray
1 | 0 | 0 | 1 | 9 | Red
1 | 0 | 1 | 0 | 10 | Green
1 | 0 | 1 | 1 | 11 | Yellow
1 | 1 | 0 | 0 | 12 | Blue
1 | 1 | 0 | 1 | 13 | Magenta
1 | 1 | 1 | 0 | 14 | Cyan
1 | 1 | 1 | 1 | 15 | White

Note that the Foreground color and the Background color can be independently controlled. UniOP firmware 4.20 or later is required to support dynamic color attributes.


Communication Error Page

This option can be accessed by selecting Project - Panel Setup and clicking on the button marked Misc. Setup.

The user can specify which page in the project file the panel is to go to whenever a communications error occurs. Keep in mind that once a communication error occurs, good communication between the panel and the controller must be re-established (i.e., data must be exchanged) before the panel can recognize another communications error.


Command/Response Word

The controller specifies which Mailbox command it wants to execute by placing the command code of the desired command in the Command/Response Word. The available Mailbox commands and their command codes can be found by selecting the particular command you are interested in on the Mailbox page. The UniOP panel writes a binary value to the Command/Response Word when it has executed the command requested by the controller to indicate the result of the operation.


Configuration Mode

If no project file has been downloaded to the panel, the panel will default to Configuration Mode when power is applied.

To re-enter Configuration Mode after the panel is in operation, press and hold the ENTER key for a few seconds. The System Menu will appear. Use the arrow keys on the display panel to highlight the Configuration Menu selection in the top right-hand corner of the menu and press ENTER.

NOTE 1: If you get locked out of Configuration Mode, there is a possible solution to the problem. Before attempting this, make sure that you have saved your project file!

    Hold down three (3) arrow keys, power the unit down (continue holding down the three arrow keys), and power the unit back up.

NOTE 2: If you have a touchscreen panel, there is another method that may work. Please note that not all touchscreen panels are capable of this 'quick fix'. Before attempting this, please make sure that you have a backup copy of your project file!

  1. Begin tapping the center of the screen.

  2. Power the unit down (continue tapping the center of the screen).

  3. Power the unit back up.

  4. You should be prompted by the panel to touch a circle on a portion of the screen. Follow the panel directions. After completing the panel's instructions, press the enter key displayed on the panel (This process is sometimes difficult to complete, as the touchscreen is particular about the area you press. You may have to do this procedure more than once to get it to work!). This should put you into Configuration Mode.

NOTE 3: If you have used passwords and are locked out of Configuration Mode, you can enter 0007 as the password. This should allow you back into Configuration Mode.


Start Controller to Controller Transfer With No Confirmation

This feature allows the user to transfer data in two different manners:

Command code: 49

This command requires only one parameter:

Parameter 0 Job Number (1 to 255

After performing the operation, the panel will respond back to the Command/Response Word with one of the codes listed in the table below.

Code | Description
0 | OK
1 | Error: Controller to Controller not defined
2 | Error: Illegal job number
3 | Error: Queue is full

  • Between two controllers. In this case, the controllers can be connected by a controller network or with the UniNET network.

  • Between two registers located within the same controller.

NOTE: Once more than one job has been created, it will be impossible to entirely delete the first job without also deleting the second job. For example, assume there are three jobs, created in the order Job 1, Job 2, Job 3. If the user wishes to delete Job 2, they must also first delete Job 3. On the other hand, modifications can be made to any job at any time.

We will call one complete data transfer a job. When the controller requests a job to be executed, the panel responds immediately back to the controller and executes the job as soon as possible. Therefore, the controller does not know when, or if, the requested job will be executed.

To set up a transfer, select Data Transfer from the Project menu. The dialog box shown in Figure 8-2 will then be displayed.

Figure 8-2

The Job # field is used to select between the different jobs. Click on the Source Reference button to specify the register to be read. The dialog box shown in Figure 8-3 will then be displayed.

Figure 8-3

These fields will be slightly different depending on the controller that is being used. Use these fields to specify the type of data, format, and address of the register that is to be read. Once this information is entered, pressing OK will return the user to the dialog box shown in Figure 8-2. Enter the number of words to be transferred in the appropriate box. Clicking on the Destination button brings up a dialog box similar to the one shown above in Figure 8-3 and allows the user to enter the address in which the data is to be written.

If the Job Execution Mode is set to In Cycles, the panel will automatically transfer the data on each cycle. The cycle period can be set between 1 second and 127 seconds. Remember the faster the cycles, the faster the panel will transfer data, but this will slow down the rest of the system. If the Job Execution Mode is set to On request, the controller must send a request to the Interlock Mailbox before the data will be transferred. After completely setting up the dialog box, click on OK. Now select Interlock Mailbox from the Project menu. Set up the Mailbox as described within the section entitled Definition of a Mailbox. When the controller sends a request to the Mailbox, it will read the command word and the parameter. The panel will then send a response word back to the controller and execute the command.


Data Entry Field Number

When the panel is in Data Entry Mode, this variable will contain the number of the selected field.


Data Entry Status

This will be set to 1 whenever the panel is in Data Entry Mode. At all other times, this variable will be set to a value of 0.


Default Font Popup

This specifies the default font to use when the user has not selected a particular font in the page definition dialog box.


Defining Symbols

The Designer software offers the user the ability to creat their own symbols. While still included in the software, this feature has become obsolete with the graphical release.

  1. To select Symbol Mode, choose Define Symbol from the Options menu.

  2. Select Symbol Dimensions, enter the height and width of the symbol you would like to define and select OK.

  3. Choose Define Symbol - Draw New Symbol from the Options menu in the Font Editor.

  4. The display will then change to the symbol dimensions that were selected. The editor will put the selected number of characters from the font in this symbol edit box, starting with the character that was highlighted.

  5. Select Define Symbol - Compose Symbol from the Options menu in the Font Editor. Double click on each character that makes up the symbol. Start with the characters that will be in the upper left-hand corner and move across. The light gray character box will automatically move to the next character location. If a mistake is made, simply single click on the character location to move the cursor box. Then, double click on the correct character in the font bar. When the symbol contains all of the correct characters, click in the small upper box. Give the symbol a name by typing it in this box and clicking on OK.


Dynamic Attributes

Dynamic attributes are defined during development but may be directed by the controller to change their appearance during run-time.

To set a dynamic attribute, highlight the area of the screen that the attribute is to affect and select the Attribute icon from the ToolBelt. This will cause the dialog box shown below to appear.

The PLC Reference area will be grayed out until the user selects the Dynamic radio button from within the Attribute Type group box. Once this button is selected, the user will be permitted to enter the address that will reflect the current state of the attribute.

Keep in mind that if the attribute is referenced to a bit, there will be no attribute displayed when the bit has a value of 0. The blink attribute will be displayed whenever the bit has a value of 1.

If the attribute is referenced to a word, the attribute that gets displayed is dependent upon the three least significant bits in the word.

Decimal Value | Bit 2 | Bit 1 | Bit 0 | Attribute
0 | 0 | 0 | 0 | Normal
1 | 0 | 0 | 1 | Blinking
2 | 0 | 1 | 0 | Highlight
4 | 1 | 0 | 0 | Reverse


Editing Characters

  1. Select Run Font Editor from the Options menu.

  2. The font will appear on the display in the Font Editor. By double clicking on a particular pixel, the user is able to toggle the appearance of that pixel. For example, if a pixel is initially black, double clicking on it will change it's color to white.


Edit_Printing_Popup

This allows you to edit the parameters for the currently selected printer.


Enhanced Mode Alarms Dialog Box

The Enhanced Mode alarms dialog box is shown below. Clicking the mouse button on a particular area will bring up a description of that area.

Alarm Block Options Alarm Message Window Alarm Options


Enhanced Mode Alarms

Enhanced Mode Alarms offer the user 1024 alarms, which are broken into 4 separate blocks (with the exception of the MD01 and MD03, which offer 256 alarms in 4 blocks). Each block can be addressed to any location in the controller's memory. Every alarm is referenced to a specific bit in the controller. When a particular bit is set high, the corresponding alarm message will be displayed. In order to use Enhanced Mode alarms, the Alarms section of the RDA must be disabled.

Enhanced Mode Alarms Dialog Box

Example 1

Example 2


Example 1 - Dynamic Graphics

Example using Dynamic Graphics

In this example, assume a user has the following scenario: If there is a value of 0 in the register, there is nothing occurring and no graphic is to be displayed. If there is a value of 1 in the register, a blower is operational, and a graphic of the blower is to be displayed. If there is a value of 2 in the register, a pump is operational, and a graphic of the pump is to be displayed.

  1. Highlight the location in which the graphic is to be displayed.

  2. Either select Dynamic Graphics from the Graphics menu or click on the appropriate icon in the Extra ToolBelt.

  3. This will bring up a dialog box in which the user can enter the memory location in the controller in which the values 0, 1, or 2 will be written. Since we are using values in the range 0 to 2, our maximum value is 2 and our minimum value is 0. These must be entered in the respective fields in this dialog box.

  4. Once these values have been entered, click on the Edit Graphics button.

  5. This will bring up another dialog box in which the user can associate the graphic with a value. To assign a value to a graphic, either click on the value that is to be used or select the value by using the up and down arrow keys located next to the Current value box. Since we do not need a graphic for the value of 0 (remember, 0 indicates that neither machine is active), we can leave this value blank.

  6. Select the value 1. Since we are using graphics that are available from the Graphics Library, click on the From Library... button. If the graphic was not located in this library, we would need to click on the Import New... button instead.

  7. A dialog box will appear, allowing the user to select a graphic. Since we have the value 1 selected, we need to choose the graphic of the blower. By selecting the filename BLWR.BMP, a preview of the blower graphic will appear. Clicking on the Import button will bring up another dialog box in which the user can configure imaging and dithering options. Clicking on OK will return the user back to the dialog box that was present upon entering step 5.

  8. Perform step 7 again, with the exception of choosing the filename PUMP.BMP instead of BLWR.BMP. The setup is now complete. Simply confirm all of the choices by clicking on the OK buttons until the page editor workspace is present.


Example 1 - Enhanced Mode Alarms

Example 1

Assume a user is using a Siemens Simatic TI 435. They want to use alarms that begin at V7377 (a word) for their particular controller. Their alarm messages and their respective locations in the controller are as follows:

Alarm Location | Alarm Message
V7377 - Bit 0 | Pressure too high
V7377 - Bit 1 | Temperature too high
V7377 - Bit 2 | Pressure too low
V7378 - Bit 1 | Temperature too low

Keep in mind that each alarm message is referenced to a BIT in the controller.

  1. Once the user has Designer set up for their particular panel and controller, Enhanced Mode Alarms can be accessed by choosing Alarms from the Project menu (ensure that the Alarms section of the RDA is disabled). The Enhanced Mode Alarms Dialog Box will appear, allowing the user to specify the starting address for the alarms. In this example, the alarms begin at memory location V7377.

  2. The alarm message window is located beneath the Current alarm block options box. This is where the alarm messages are entered. Each numeric value corresponds to a bit. For example, since the alarms begin at V7377, the numeric value 1 in this window corresponds to the address V7377 - bit 0. The numeric value 2 in this window corresponds to the address V7377 - bit 1, and so on. In a similar nature, the numeric value 17 corresponds to V7378 - bit 0 (since these are word locations and there are 16 bits in a word).

  3. The numeric values in the window and their corresponding alarm messages would be as follows:

    1 | Pressure too high
    2 | Temperature too high
    3 | Pressure too low
    18 | Temperature too low

  4. The alarms are now properly configured. Clicking on OK will save this configuration and return the user to the page editor workspace.


Example 2 - Enhanced Mode Alarms

Example 2

Assume a user wants the panel to go to page 3 whenever alarm 1 is active. Assume that this alarm also requires acknowledgment.

  1. Select Alarms from the Project menu (again, ensure that the Alarms section in the RDA is disabled).

  2. Make sure that all of the alarm data is entered correctly, such as the alarm message and the beginning address of the alarm block.

  3. Enter a 1 in the Alarm # field. Following this, enter a 3 in the On alarm go to page field and click on OK.

  4. Select Keyboard Macro Editor from the Project menu. Assume that the F1 key is to perform the function of acknowledging the alarm and going to page 3. In this case, the F1 key needs to be programmed in Alarm Mode, and have the following three elementary macro commands executed in order: Acknowledge alarm, Go to alarm page, and Page mode.


Example - Graphics Library

Example using the Graphics Library

Assume a user wishes to use the Graphics Library to put a picture of a blower into the project file. To do this, the following steps must be performed.

  1. Highlight the area in which the graphic is to be located.

  2. Either select Graphics Library from the Graphics menu or click on the appropriate icon in the Extra ToolBelt.

  3. Select the file BLWR.BMP. A picture of a blower will appear in the dialog box.

  4. Click on the Import button. This will bring up a dialog box in which the user may enter the label, as well as imaging and dithering options. It is recommended to use the default selections initially. If the result is not satisfactory, delete the currently imported graphic and re-import the graphic using a different combination.

  5. Click on OK and choose Exit. This will return you to the page editor workspace.


Example - Indexed Addressing - Creating the Stage Numeric Field

Creating the Stage Numeric Field

  1. Since we want to create a numeric field, we need to turn off the indexed addressing mode. This can be done by either selecting Indexed Addressing Mode from the Edit menu or by clicking on the proper icon in the Extra ToolBelt.

  2. Now simply create a numeric field and address it to DB10 DW9. The dialog box of this is shown below. Note that since this field is only going to be displaying a single digit, the field width has been reduced to 1.

Note that if it were desirable for the user to be able to edit the stage of the process, that numeric field could have been created as a read/write field instead of a read only field.

The Finished Project


Example - Indexed Addressing - Creating the Pressure Indexed Field and the Time Indexed Field

Creating the Pressure Indexed Field and the Time Indexed Field

  1. Repeat steps 1 through 3 exactly as explained in Creating the Temperature Field.

  2. Repeat step 4 as explained in Creating the Temperature Field, with the following exceptions:

    • When creating the pressure indexed field, the value of 1 should be referenced to DB10 DW3. Likewise, the value of 2 should be referenced to DB10 DW4, and the value of 3 should be referenced to DB10 DW5. A configured dialog box is shown below.

    • When creating the time indexed field, the value of 1 should be referenced to DB10 DW6. Likewise, the value of 2 should be referenced to DB10 DW7, and the value of 3 should be referenced to DB10 DW8. A configured dialog box is shown below.

Creating the Stage Numeric Field


Example - Indexed Addressing - Creating the Temperature Indexed Field

Creating the Temperature Indexed Field

  1. Either select Indexed Addressing Mode from the Edit menu or click on the appropriate icon in the Extra ToolBelt.

  2. The addressing mode has been set to indexed. Now create a field on the screen where the temperature information for the process will be displayed. This can be done in the same manner as when creating a numeric field.

  3. This will bring up a define field dialog box. The top portion of this dialog box is controller specific. The address we are using is DB10 DW9 and can be entered in this area of the dialog box. Since the values written into this memory location will be between 1 and 3, we can enter these as the minimum value and maximum value, respectively. This field needs to be a read only field, because we have the controller set up so that it will write the numeric value of the current state (either a 1, 2, or 3) into this location. A screen capture of this dialog box is shown below.

  4. Clicking on the Indexed button will bring up a dialog box that allows the user to specify which memory location’s contents will be displayed when a particular value is written into DB10 DW9. For example, whenever a value of 1 gets written into DB10 DW9, we want the temperature for stage 1 to be displayed. Likewise for the values 2 and 3. To specify the address, simply click on the value you wish to link to an address and click on the Reference button. This will bring up a dialog box (shown below) in which you can specify the address. Since we want a value of 1 to display the temperature in state 1 (whose value is located in DB10 DW0), the value of 1 gets referenced to DB10 DW0. This is done in a similar fashion with similar reasoning for DB10 DW1 and DB10 DW2.

Creating the Pressure Indexed Field and the Time Indexed Field


Example - Indexed Addressing - The Finished Project

The Finished Project

A dialog box representing what the finished setup may look like is shown below.


Example - Indexed Addressing

Example of Indexed Adressing

For this example, assume a user has a plant in which industrial equipment is washed. There are three stages comprising the wash process. The user wants to be able to monitor the water temperature, the water pressure, the amount of time the equipment was in a particular stage, and the stage the process is in; all without pressing a key on the panel. The controller memory locations and their contents for this example are as follows:

DB10 DW0 | Temperature in Stage 1 (ranges between 0 and 9999)
DB10 DW1 | Temperature in Stage 2 (ranges between 0 and 9999)
DB10 DW2 | Temperature in Stage 3 (ranges between 0 and 9999)
DB10 DW3 | Pressure in Stage 1 (ranges between 0 and 9999)
DB10 DW4 | Pressure in Stage 2 (ranges between 0 and 9999)
DB10 DW5 | Pressure in Stage 3 (ranges between 0 and 9999)
DB10 DW6 | Time in Stage 1 (ranges between 0 and 9999)
DB10 DW7 | Time in Stage 2 (ranges between 0 and 9999)
DB10 DW8 | Time in Stage 3 (ranges between 0 and 9999)
DB10 DW9 | The stage the process is currently in (ranges between 1 and 3)

The numeric values are written into the controller by the machine and are changing constantly. Note that the memory locations are controller specific; those listed above are done so only to be able to more easily explain the procedure of using indexed addressing.

This example can be broken down into four basic steps:

  1. Creating the ‘Temperature’ indexed addressing field,

  2. Creating the ‘Pressure’ indexed addressing field,

  3. Creating the ‘Time’ indexed addressing field, and

  4. Creating the ‘Stage’ numeric field.

These fields are all related in that the values that are displayed within them are dependent upon the stage of the process. The indexed fields will be addressed in a manner so that whenever the field number is written into the ‘Stage’ numeric field location (DB10 DW9), the corresponding information will be displayed in each of the indexed fields. For example, when a value of 2 is written into DB10 DW9, each of the indexed fields will display the corresponding data: the temperature in stage 2, the pressure in stage 2, and the amount of time spent in stage 2.

Creating the Temperature Indexed Field

Creating the Pressure Indexed Field and the Time Indexed Field

Creating the Stage Numeric Field

The Finished Project


Finding Out the Colors of a Particular Area or Field

  1. Either select Color palette from the Edit menu or click on the appropriate icon in the Extra ToolBelt.

  2. Position the cursor on the desired location by single clicking the left mouse button.

  3. Click on the title of the dialog box. The currently selected colors for the area will be reflected in the color palette bars.


Footer Popup in Reports

This will bring up the following dialog box, which allows the user to define the parameters that comprise the footer of the report.


Get Current Language

The controller can use this command to get the number of the currently active language from the panel.

Command code:129

This command requires no parameters.

After performing the operation the panel will respond back to the Command/Response Word with one of the codes listed in the table below.

Code | Description
0 | OK
1 | Error, the project is not multilanguage.

If Code 0 is returned, the Parameter Word 0 will contain the number of the active language.


Get Parameter Set Number

The controller can use this command to get the current Recipe parameter set number.

Command code: 5

Only one parameter is required by this command:

Parameter 0 Page Number (1 - max. number of pages in the project file)

After performing the operation, the panel will respond back to the Command/Response Word with one of the codes listed in the table below.

Code | Description
0 | OK
2 | Error: Recipes not defined in project file
3 | Error: Error in project file
4 | Error: Illegal page number requested


Get Recipe Transfer Priority

The controller can use this command to get the current Recipe transfer priority level.

Command code: 6

This command requires no parameters.

After performing the operation, the panel will respond back to the Command/Response Word with one of the codes listed in the table below.

Code | Description
0 | Normal
1 | Highest
2 | Error: Recipes not defined in project file


Header Popup in Reports

This will bring up the following dialog box, allowing the user to specify the contents of the header of the report.


Untitled

Technical Support

You can obtain technical support for UniOP panels by:

  1. Calling our office in Wellington, FL at (561) 753-2250.

  2. Send an email message to info@exor-rd.com

  3. Visit us at our Internet site at www.exor-rd.com.


"In Cycles"

If this option is chosen, the panel will automatically transfer the data on each cycle. The cycle period can be set between 500 milliseconds and 127 seconds. Be advised that the faster the cycles, the faster the panel will transfer data, but the slower the rest of the system will be.


Insert Page

This option allows the user to insert a page before the page that they are currently on. For example, if the user is on page 3 of the project file and selects 'Insert Page', the present page 3 would become page 4, and a blank page would be inserted as page 3.


Keyboard Update Area

The Keyboard Update Area is formatted to contain flags for each key on the panel and extended keyboard. These flags are set HIGH when a key is pressed and set LOW when released. Each key status flag occupies one bit in the controller memory.


Language Control Variable

To create a language control variable field, select Edit - Data Field Source - Panel Control Variable. Then, create a numeric field as you normally do.

This will pop up the control variable dialog box. In Data Type, select Language. To be able to edit the field, it must be selected as Read/Write in Data Access.


Making the Colors of a Data Field or Static Text the Global Default Colors

  1. Position the cursor somewhere on the data field or on the static text.

  2. Either select Color palette from the Edit menu or click on the appropriate icon in the Extra ToolBelt.

  3. Click on the Pick text color button.


Maneuvering Alarm Messages

Manoeuvering Alarm Messages

The familiar Windows features - cut, copy, and paste - are also available for use in editing alarm messages. If the user has several alarm messages that are similar, they can use the Copy alarm text and Paste alarm text features to copy and paste alarm messages. Simply select which messages to copy by highlighting them. If you want to copy several messages that are in successive order, click on the first one and drag the mouse down until the last one is highlighted and release the mouse button. If you have several messages to copy that are not in successive order, simply hold down the Ctrl key, click on each of the messages that you want to copy, and release the Ctrl key. Either of these methods will copy the text into Windows' Clipboard. Next, highlight the alarm message number where the first message is to be placed and click on Paste alarm text to copy the messages.

You can also use a Windows based text editor to create a list of alarm messages. To do this, place each alarm message on a separate line and use the copy function of the editor to copy the text to the Clipboard. Then, use the Paste alarm text feature as previously described to paste the alarm messages into the project file.


Maneuvering Alarm Messages

The familiar Windows features - cut, copy, and paste - are also available for use in editing alarm messages. If the user has several alarm messages that are similar, they can use the Copy alarm text and Paste alarm text features to copy and paste alarm messages. Simply select which messages to copy by highlighting them. If you want to copy several messages that are in successive order, click on the first one and drag the mouse down until the last one is highlighted and release the mouse button. If you have several messages to copy that are not in successive order, simply hold down the Ctrl key, click on each of the messages that you want to copy, and release the Ctrl key. Either of these methods will copy the text into Windows' Clipboard. Next, highlight the alarm message number where the first message is to be placed and click on Paste alarm text to copy the messages.

You can also use a Windows based text editor to create a list of alarm messages. To do this, place each alarm message on a separate line and use the copy function of the editor to copy the text to the Clipboard. Then, use the Paste alarm text feature as previously described to paste the alarm messages into the project file.


Menu commands

Designer Menus

File

Edit

View

Page

TouchScreen

Graphics

Project

Transfers

Options

Help


Miscellaneous Setup

Display Selected Page on Communication Error - This allows the user to specify a page for the panel to go to whenever communications between the panel and PLC are lost.

Timeout for Panel Command Menu Display - This allows the user to return to Operation Mode from the Panel Command Menu if there are no keys pressed for a specified amount of time.

Timeout for Data Entry - This allows the user to return to Operation Mode from the Data Entry screen if there are no keys pressed for a specified amount of time.

Timeout for Field Selection for Data Entry - This allows the user to return to Operation Mode from Data Entry if there are no fields selected within a specified amount of time.

Screen Saver for LCD Backlight - This allows the user to turn off the backlighting on an LCD panel after a specified amount of time.

Buzzer Enable - This allows the user to turn off the buzzer that sounds everytime a touchcell is pressed.


New Button in Reports Dialog

This button allows the user to create a new report.


"On Request"

If this option is chosen, the Interlock Mailbox will be read only when bit C15 of the Controller Control Word in the RDA is set. The purpose of this mode is to reduce the overhead of the communication time when there is no need for the controller to send commands to the panel.


Packing Popup

If the page width is longer than the display width, packing will attempt to print two or more rows on a single line.


Page Separator Popup

The page separator is a character that can be used to put a separation line between two different project file pages that are printed on the same page.


Panel Setup

Our panels come in many different types, with different capabilities such as the number of rows and columns. The Panel Setup dialog box allows the user to specify the appropriate panel type and the amount of target memory in the target panel. The dialog box also allows the user to specify the required format of the Time and Date data items. This dialog box also permits the user to specify if they have a panel capable of supporting a touch screen, as well as enhanced graphics.

Users may access the Panel Setup dialog box by either selecting Panel Setup from the Project menu, or by clicking on the appropriate icon in the Extra ToolBelt.

The Panel Setup dialog box also enables the user to configure the data for the TTY printer that is to be attached to the Panel by pressing the button marked Printer Setup.

This dialog box also allows the user to enable or disable the UniNET network. The UniNET network can only be enabled if it has already been configured using the Network Configuration dialog box. If it is enabled then the panel to which the project file will be downloaded will act as part of the network, while if it is disabled the panel will function as a normal, non-networked panel. If the UniNET network is enabled then one of the already configured nodes can be selected, thus assigning the node number for the current project file and for the panel to which the project file will be downloaded.

If the UniNET network is enabled then the user can specify whether the panel is to broadcast periodic real time clock synchronization messages across the network. The purpose of these messages is to synchronize the clocks in the different panels attached to the UniNET network. If the check box Broadcast Periodic Clock Synchronization Messages is checked then the panel will broadcast a clock synchronization message across the network every 60 minutes. If the check box is not checked then the periodic clock synchronization messages will not be broadcast by the panel.

The best way of ensuring clock synchronization across the UniNET network is to configure only one panel as the broadcaster of the periodic clock synchronization messages.

The check box Broadcast Periodic Clock Synchronization Messages only controls the periodic clock synchronization broadcasts. However every panel in the UniNET network, regardless of the setting of this check box, will always broadcast a one off clock synchronization message to the network whenever the time and date menu is exited on the panel and whenever the panel receives a mailbox command instructing it to perform a clock synchronization.

Pressing the button marked Misc. Setup allows the user to configure two options. One option allows the user to specify a page to go to upon receiving an error message. The other option allows the user to select a timeout period for the panel command menu display.


Panel Status Area

The Panel Status Area is formatted to contain time and date infrmation from the panel's real time clock and a two byte panel status word. This area also contains several status bits, as well as a current page register.


Panel Status Word

The panel sets and resets bits S0-S8 in the panel status word to indicate it's current status. The user's application logic can monitor these bits to determine how and when it should interact with the panel. A brief description of each status bit is given below.

Bit # | Function | Description
S0 | Link Status Monitor Flag | This bit is used to monitor the status of the communication between the panel and the PLC. The value of this bit is changed by the panel with a cycle time of a half second or less. If a transition is not detected within one (1) second, the controller should consider that the panel is either not connected or not operating properly.
S1 | Data Entry Active | This bit is set whenever the panel is in Data Entry Mode.
S2 | Printing in Progress | This bit is set whenever the panel is sending data to the printer.
S3 | Printer Status | This bit contains the current logic state of the clear to send (CTS) line. This line is driven by the printer to indicate it's readiness to accept data.
S4 | Date and Time Update in Progress | This bit is used to synchronize access to the real time clock (RTC). Before writing a new time and date record, the panel sets this bit to indicate that this information is about to be changed. The panel then writes the time and date information to the RDA (which stands for Reserved Data Area) and resets this bit. Note that when the panel updates only the seconds field, this bit is not set.
S5 | Attempt to Access Protected Function | This bit is set when a user tries to access a function that is not allowable with the current password.
S6 | Battery Low | This bit is set when the backup batteries become weak or are completely discharged. The backup batteries maintain projects that are stored in RAM. If this bit is set, the fault light on your panel will blink continuously until the batteries are replaced.
S7 | Alarm Active | This bit is set when at least one alarm is active. Alarms are part of the RDA. This bit is reset when all alarm bits in the RDA are set to zero.
S8 | Unacknowledged Alarm Active | This bit is set whenever there is at least one active alarm that requires acknowledgement. This bit is reset when all alarms have been acknowledged.


Parameter Set Selection

For every Recipe page in the project file, a space in the panel memory is reserved for a Parameter Set Selection variable. The Parameter Set Selection variable for a required Recipe page is addressed by specifying the page number of the Recipe. The Parameter Set Selection variables are used to both monitor and control the parameter set currently used for the Recipes. Variables of this type are Read/Write. The value of the variable contains the parameter set number that is currently being used for the Recipe on the specified page. By entering a new value for a Parameter Set Selection variable the parameter set currently being used can be changed.


Password Control Variable

This is used when users want the ability to change the password from the front panel, without having to go back into the Designer software, change the password, and re-download the project file.

To create a password control variable field, select Edit - Data Field Source - Panel Control Variable. Then, create a numeric field as you normally do.

This will pop up the control variable dialog box. Underneath of Display Format, select ASCII. This will force the Data Type to Password.

A password control variable field can be created for each password in the project file. To redefine a password, a user who has correctly entered a password can modify any of the password control variable fields. By modifying these fields, the user is actually changing the password in the panel.


Passthrough Status

This variable shows the status of passthrough mode. Zero means that passthrough is not active. One means that passthrough is active.


Password Status

The controller can use this command to request information about the current password status.

Command code: 33

The command requires no parameters.

After performing the operation, the panel will respond back to the Command/Response Word with one of the codes listed in the table below.

Code | Description
0 | No passwords are defined in the project file
1 | No valid password has been entered
2 | A valid password has been entered
3 | The system default password (0007) has been entered

If Code 2 is returned, the Parameter Words will contain additional information as follows:

Parameter 0 | Current password level
Parameter 1 | First character (ASCII coded) of the current password
Parameter 2 | Second character (ASCII coded) of the current password
Parameter 3 | Third character (ASCII coded) of the current password
Parameter 4 | Fourth character (ASCII coded) of the current password


Passwords

Using the Passwords dialog box, the user may define up to eight passwords with varying degrees of access rights. This feature may be accessed by either selecting Passwords from the Project menu or by clicking on the appropriate icon in the Extra Toolbelt. Each panel provides password protection for:

CON | Access to Configuration Mode
TIME | Access to the Time and Date set Mode
ACK | The right to acknowledge alarms
PRINT | The right to request printouts
PAGE | Access to Direct Page Selection Mode
ALOGI | Automatic Login (see description below)
ALOGO | Automatic Logoff (see description below)
 | Data Entry Enable

If no passwords are defined, every user has the right to perform all functions.

ALOGI - Automatic Login. This option is used so that when the panel goes from Configuration Mode to Operation Mode, this password is automatically loaded. This option can be assigned to only one password. This enables restrictions to be placed on panel operation until an authorized user enters a password.

ALOGO - Automatic Logoff. This option is used to automatically deactivate a password 10 minutes after it is entered. After the 10 minute period, the panel will return to the mode it was in before the password was entered. This time period is currently a fixed value and cannot be changed. This option can be selected for several passwords.

If you decide to use passwords in your application, you MUST define a system password which retains full access rights. The system password is always the first password as indicated by the box drawn around its access rights. To enter a password, click on the password edit control box and enter the password digits. All passwords must be four digits long (no letters). To enable or disable access rights click on the corresponding check box.

NOTE: The password 0007 will allow the user to get back into configuration mode in case passwords are forgotten.


PC Setup

PC to Panel Communications

To communicate with a panel, you must have:

  • The Designer software installed correctly as described in Chapter 1 in the Manual

  • The correct communications parameters set

  • The Designer communication cable connected between your PC and the panel.

  • The panel placed in configuration mode

The communications parameters are set during installation. However, they should be checked by selecting Communications in the Options menu.

Unless otherwise noted, you can communicate with all models by setting the following parameters:

Baud | 38400*
Data Bits | 8
Parity | None
Stop Bits | 1

* Not all panels are capable of communicating at this speed.

Whenever you start the Designer, it first checks to see if the requested COM port is available. If the COM port is currently occupied by some other program, the Designer will automatically switch to the next available port. When this occurs, a message box will appear explaining the conflict and the action taken.


PLC Update Area

The PLC Update Area allows the controller to access and control certain aspects of the panel. All keyboard and front panel LEDs can be controlled from this area to provide feedback to the operator. The controller may also request a specific page to be displayed by writing the appropriate value in the first two bytes of this area. The last two bytes contain the Controller Command Word, which allows the controller to initiate a command to the panel to perform some specific procedure. Please see the help file about the Mailbox for more information on the Controller Command Word and the available commands.


Power

Our panels require an input voltage of 24 volts DC.


Printer Setup

Note that if you are going to be printing reports, the paper height must be defined here before the report is defined!!!


Properties Button in Reports

This button will bring up the following dialog box, allowing you to change the properties of the page that is selected in the 'Report pages' box.


Recipe Action

For every Recipe page in the project file a space in the panel memory is reserved for a Recipe Action variable. The Recipe Action variable for a required Recipe page is addressed by specifying the page number of the Recipe. The Recipe Action variables are used to both monitor and control the actions of the Recipes. Variables of this type are Read/Write. The value of the variable contains the action code for the action that is currently being performed for the Recipe on the specified page. By entering a new value for a Recipe Action variable the certain Recipe actions can be performed. The possible actions and their codes are :

0 | No action
1 | Download current Recipe parameter set to the PLC
2 | Upload current Recipe Parameter Set from the PLC


Recipe File Status

This type of Control Variable refers to a unique memory location inside the panel that is used to store the state of the Recipe File. The integrity of the Recipe data is monitored by means of check sum protection. On every power up of the panel, a check sum is performed on the Recipe data. If the check sum fails, the Recipe data has become corrupted. In this case, a value of 0 is placed in the memory location inside the panel for the Recipe File Status. If the check sum is successful, then a value of 1 is placed in this memory location. Recipe File Status variables are read only.


Recipe Page for Selection

This variable specifies that page that the recipe items are on.


Recipe Status

The controller can use this command to request information on the status of the Recipes in the panel.

Command code: 1

No parameters are required by this command. The panel will respond with a code in the Command/Response Word. The possible codes are listed below.

Code | Description
0 | OK, Recipes contain valid data
1 | Error: Recipes contain default data as defined in the project file
2 | Error: There are no recipes defined
3 | Error: Error in project file


Remove Button in Reports

This button will remove a page from the 'Report pages' box (the pages that will be included in the report printout).


Remove All Button in Reports

This button will remove all of the pages from the report.


Remove Popup in Languages

This button is used to remove a language from the list.


Request Data Entry Mode

The controller can use this command to switch the operator panel to Data Entry Mode.

Command code: 17

Two parameters are required by this command:

Parameter 0 | Index Number of required Page (1 to max. page number in project file)
Parameter 1 | Index Number of required Data Field (1 to max. number of data fields in the page)

After performing the operation, the panel will respond back to the Command/Response Word with one of the codes listed in the table below.

Code | Description
0 | OK
1 | Error: Illegal page number has been requested
2 | Error: Illegal field number has been requested
3 | Error: Panel is not ready for Data Entry Mode


The Reserved Data Area

Each panel may use up to four small reserved areas of controller memory to establish a full interface with the controller. The number of areas used is automatically determined by the Designer software during project development according to the controller model you choose. If the target controller has enough free memory, all four areas described below will be reserved. When controller memory is limited, the designer will selectively turn off certain areas or limit their use. The default address of each area is set in the RDA setup dialog box. You may choose to accept these defaults or change them by editing the entry for each address.

It is not necessary to have complete knowledge of the reserved data areas to complete a project. For example, if your project does not require keyboard status information you may simply disregard the data in this area. It is also entirely possible to display messages and controller data without any knowledge of these areas at all. The only requirement is that a valid address must be entered in theRDA Setup dialog box in order to tell the panel where you have placed these areas.

Keyboard Update Area

Panel Status Area

Controller Update Area

Alarm Update Area


Saving a Font

  1. When finished modifying the font, it can be saved by selecting Save or Save As from within the File menu. Fonts need to be saved to the Windows - System directory. When changing a font, it is recommended to use Save As and give the font a new name so as not to change the original font.

  2. The font must then be installed by selecting Install-View installed Fonts under the File menu from within the Font Editor. Select which display panels this font is to be used with and click on the Install Font button.

  3. Now the user can choose Select Font from the Project menu from within Designer and be able to select the customized font.


Selecting Panel Models

To choose a new panel model click on the down arrow at the right of the model window or press the ALT + P key combination. A dropdown list will appear showing the available models. Click on the model name with the mouse. To confirm the model change, click on the OK button. The page editor workspace will change form to reflect the available screen area on the newly chosen panel.

The panel model may be changed at any time. However, some restrictions apply regarding the screen area. You can change from a small screen size to a larger screen without affecting the contents of your project. However, changing from a large screen to a smaller one may cause some data fields to be deleted if they are beyond the new screen boundary. If this occurs, you will be warned before the fields are removed and given the chance to cancel the operation.


Selecting Panel Memory

This field in the Panel Setup dialog box specifies the available memory in the target panel. The current memory sizes that can be specified are in 32K increments and range from 32K to 1024K.

If the internal memory size is not known, you may use the Get Panel Resources option from the Transfers menu (or click on the appropriate icon in the Extra Toolbelt) to acquire the panel's configuration parameters and then instruct the Designer to apply them to the panel setup.


Set Current Language

The controller can use this command to change the language in the operator panel.

Command code:130

Parameter 0 Language number

After performing the operation the panel will respond back to the Command/Response Word with one of the codes listed in the table below.

Code | Description
0 | OK
1 | Error, the project is not multilanguage.
2 | Error, illegal language number requested


Set Default Popup in Languages

This button is used to set the selected language as the default language for the project file.


Set Parameter Set Number

The controller can use this command to select a given Recipe parameter set.

Command code: 4

Two parameters are required by this command:

Parameter 0 | Page Number (1 to max. number of pages in the project file)
Parameter 1 | Parameter Set Number (1 to max. number of pre-defined parameter sets)

After performing the operation, the panel will respond back to the Command/Response Word with one of the codes listed in the table below.

Code | Description
0 | OK
2 | Error: Recipes not defined in project file
3 | Error: Error in project file
4 | Error: Illegal page number requested
5 | Error: Illegal record number requested
6 | Error: Requested record locked


Set the Real Time Clock (RTC

This command enables the controller to set the Real Time Clock located within the panel.

Command code: 81

This command requires six parameters:

Parameter 0 | Day (1 to 31)
Parameter 1 | Month (1 to 12)
Parameter 2 | Year (94...99, 00....)
Parameter 3 | Hour (0 to 23)
Parameter 4 | Minute (0 to 59)
Parameter 5 | Second (0 to 59)

After performing the operation, the panel will respond back to the Command/Response Word with one of the codes listed in the table below.

Code | Description
0 | OK
1 | Error: RTC error
2 | Error: Requested setting out of range


Set Recipe Transfer Priority

The controller can use this command to set the current Recipe transfer priority level.

Command code: 7

Only one parameter is required by this command:

Parameter 0 Priority Level (0=Normal, 1=Highest)

After performing the operation, the panel will respond back to the Command/Response Word with one of the codes listed in the table below.

Code | Description
0 | OK
2 | Error: Recipes not defined in project file
3 | Error: Illegal priority setting requested


Setup Printer

Printer Setup

This dialog box allows the user to specify different printer settings. Among the options are:

  • Setting the printer as the default printer - This will be the printer that is used unless another printer is specified.

  • Setting a specific printer - This allows you to choose to print on a printer other than the default printer.

  • Orientation - Whether to print in landscape mode or portrait mode. If portrait mode is selected, the resultant printout will be from left to right along the shortest part of the paper. If landscape mode is selected, the resultant printout will be from left to right along the longest part of the paper.

  • Paper Size - The size of the paper that is to be printed on.

  • Paper Source - Where the paper will be fed into the printer from (i.e., upper tray, lower tray, etc.).

There are two buttons that will take the user further in depth in the setup of the printer. These two buttons are entitled Options and Network.

  • The Options button permits the user to specify more in-depth printer information (such as duplex).

  • The Network button allows the user to connect the printer to a network, as well as disconnect the printer from an existing network.


Special Characters With Alarms

Special characters may be added to the alarm message by clicking on the Special Chars... button. This will bring up a dialog box (shown below) in which the user can select the character(s) to be used by double clicking on them or by single clicking on them and pressing Select. After confirming the operation, the characters will appear in the last position the cursor was in prior to entering the special characters dialog box.


Start Controller to Controller Transfer With Confirmation

This command is set up in the same manner as the command Start Controller to Controller Transfer With No Confirmation.

Command code: 50

This command requires only one parameter:

Parameter 0 Job Number (1 to 255)

After performing the operation, the panel will respond back to the Command/Response Word with one of the codes listed in the table below.

Code | Description
0 | OK
1 | Error: Controller to controller not defined
2 | Error: Illegal job number
3 | Error: Not used
4 | Error: Communication while reading source data
5 | Error: Communication while writing destination data


Start Recipe Download

The controller can use this command to start a Recipe download from the panel memory to the controller memory.

Command code: 2

Two parameters are required by this command:

Parameter 0 | Page Number of required Recipe (1 to max. page number in project file)
Parameter 1 | Parameter set number (1 to max. number of pre-defined parameter sets)

The panel will respond back to the Command/Response Word with one of the codes listed in the table below after performing the operation. Note that a Recipe transfer may take several seconds, depending mainly on the number of bytes that have to be transferred.

Code | Description
0 | OK: Transfer completed successfully
1 | Error: Recipes contained default data
2 | Error: There are no recipes defined
3 | Error: Error in project file
4 | Error: Illegal page number has been requested
5 | Error: Illegal number of parameter set has been requested
6 | Error: The requested parameter set is locked (it is being used by the operator panel for data entry)
7 | Error: A communication error occurred during the transfer


Start Recipe Upload

The controller can use this command to start a Recipe upload from the controller memory to the panel memory.

Command code: 3

Two parameters are required by this command:

Parameter 0 | Page Number of required Recipe (1 to max. page number in project file)
Parameter 1 | Parameter set number (1 to max. number of pre-defined parameter sets)

After performing the operation, the panel will respond back to the Command/Response Word with one of the codes listed in the table below. Note that a Recipe transfer may take several seconds, depending mainly on the number of bytes that have to be transferred.

Code | Description
0 | OK: Transfer completed successfully
2 | Error: There are no recipes defined
3 | Error: Error in project file
4 | Error: Illegal page number has been requested
5 | Error: Illegal number of parameter set has been requested
6 | Error: The requested parameter set is locked (it is being used by the operator panel for data entry)


Start Report Printout

This command is used to start a report printout.

Command code: 113

This command requires only one parameter:

Parameter 0 Report Number

After performing the operation, the panel will respond back to the Command/Response Word with one of the codes listed in the table below.

Code | Description
0 | OK
1 | Error: Printer process already active (if START command issued more than once Error: Printer process already inactive (if CANCEL command issued more than once
2 | Error: Illegal report number
3 | Error: Activation queue is full


Static Attributes

Static attributes are defined once during development and remain constant whenever the given page is viewed in actual operation. To set a static attribute, choose the static mode radio button and the desired attribute type. Press the OK button to confirm the selection.


Status Word

The Status Word is the main handshaking register of the Mailbox. Both the controller and the panel can write to this register. The status word contains a binary number, the meaning of which is described below.

Code | Status | Written by
0 | No request, Mailbox is available | Controller
1 | Pending request | Controller
2 | Mailbox busy | Panel
3 | Error code: Illegal command | Panel
4 | Command completed | Panel
5 | Panel restart | Panel


Stop Report Printout

This command is used to stop a report printout.

Command code: 114

This command requires no parameters.

After performing the operation, the panel will respond back to the Command/Response Word with one of the codes listed in the table below.

Code | Description
0 | OK
1 | Error: Printer process already inactive


Timeout for Command Menu

This dialog box allows the user to specify the timeout period for the Panel Command Menu.

If this option is selected, the panel will return to Operation Mode from the Panel Command Menu if there are no keys pressed within a user specified amount of time.


UniNET Network

With the UniNET Network, many operator panels can be networked together. In this way, any panel on the network can access data from any of the controllers attached to other panels on the network. The UniNET network is a token passing network which can contain a maximum of 32 nodes. Each operator panel on the network has a unique node number.

Operator panels in a UniNET network can be classified into two categories, Servers and Clients. A Server is a panel which is directly attached to a controller, it can read data from and write data to the controller. A Client is a panel which is not directly attached to a controller, but which can access data from any controller that is attached to a Server in the same network. Similarly a Server can also access data from any controller that is attached to any other Server in the same network.

The UniNET network is very powerful and can provide the following capabilities:

  • Up to 32 operator panels can access and display the data from a single controller.

  • Every panel in a UniNET network can access data from any controller that is attached to a Server in the network.

  • The controllers attached to the Servers in the UniNET network can be of different manufacturer brands and different model types.

Since the UniNET network is a token passing network, it is required that every panel on the network has it's own unique node number for identification. The node number for the panels can only be set by the Designer. Generally the easiest way to manage the UniNET network is to first configure the layout of the entire network. This involves deciding the following points:

  • How many Servers and how many Clients are required.

  • Which COM port on the panels to use for the UniNET connection (either the Printer Port or the controller port can be used for the UniNET connection).

  • Which controller manufacturer brand and model type to use for the Servers.

The UniNET network can be easily configured using the Network Configuration dialog box.

Once the network is configured it is a good idea to save the network configuration to disk. This can be done by invoking the Network Configuration box and by selecting Export. This will allow the Network Configuration information to be saved in a Network configuration file with the extension .NET. Subsequently it will be possible to read in the Network configuration data by selecting Import in the same dialog box.

The next step in using the UniNET network is to specify which node is to be used for the current project file. When the project file is downloaded to the attached panel the node number will then be assigned to the panel. The node number for the project file can be assigned by invoking the Panel Setup dialog box.

The step of enabling the UniNET network, assigning a node number and then downloading the project file must be repeated for every panel in the UniNET network. If it is necessary to display different data on every node in the UniNET network, then it will be necessary to create a new project file for every node in the UniNET network. In this case, to ensure that the Network Configuration is consistent for all the nodes, and to save time reconfiguring the network, it is highly recommended that the Network be configured only once and that the Network Configuration data be stored on disk in a Network configuration data file. Then, every time a new project file is created for one of the nodes in the network this same Network configuration file can be imported to recreate the network configuration.


Wrap Lines Popup

If wrapping is selected, if a line is longer than the width of the page, it will be printed on the next line. Otherwise, it will be truncated.


Zoom Factor

The zoom factor changes the zoom step size for both zooming in and zooming out. The zoom factor can be set between 1 and 5.


Append Button

In the screen capture shown below, the user has entered the elementary macro commands while having the Append button selected. In this case, the 'Go to page 1' command was entered first, with the 'Write value to Controller memory' command being entered afterwards.


Append/Insert

These two buttons allow you to program a function key with elementary macro commands in different ways. If you have the Append button selected, each elementary macro command that is added will be placed directly after the last command that was entered. If you have the Insert button selected, each elementary macro command that is added will be placed directly before the command that is highlighted.


Insert Button

The Insert button allows the user to place an elementary macro command directly before the command that is currently highlighted. The screen captures shown below demonstrate the functionality of the Insert button. The first screen capture (Figure 1) shows the first elementary macro command being entered. This command is "Go to page 1".

Figure 1

The second screen capture (Figure 2) shows the effect of entering the second elementary macro command "Write value to Controller memory" while having the first command highlighted.

Figure 2

As you can see, the "Write value to Controller memory" command was placed before the "Go to page 1" command.